commit 1c21fb8053ce5853e7585e0327eb7308d0fb5e98
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Mar 10 12:35:04 2016 -0500

    Version 0.2.8

commit 3ec04587156f63f105051731acada2b43f74f8dc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Mar 10 12:20:49 2016 -0500

    fs-rtp-substream: Drop non-serialized events without caps
    
    This prevents some events that shouldn't be forwarded from
    going downstream.

commit c4bca15b08a34874fefc06529df98b4609abbf3d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jul 24 19:52:11 2015 -0400

    rtpstream: Accept all uncrypted packets if no crypto set

commit 28f0e7985cab9e305a32f830f974db0f049a8f51
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jul 24 19:24:41 2015 -0400

    rtpstream: Accept everything when no crypto was set

commit e9a20b815d88b6b2aac4bd2ddd2e30dc8a3e6725
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Apr 27 17:28:09 2015 -0400

    bitrateadapter: Template caps are ANY and absorb the rest, so ignore them

commit 76c4b7e3c3c2463ac256f2631bbdc3cc07bc8d6f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 25 15:25:00 2015 -0400

    rtp: Opus is now our favorite codec

commit db14343c55fb4616153a5ab783293f957c88f1b5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 25 15:24:27 2015 -0400

    rtp: Parse payloaders with multiple names

commit 2b085b0a3a37cf87e4a9ccf6b2de50a3fc236de3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 25 15:24:13 2015 -0400

    rtp: Put channels as encoding-params as expected

commit da2191e01ff5beb50cb1ce193778b4fe59225a2d
Author: Sebastian Dröge <sebastian@centricular.com>
Date:   Thu Mar 19 19:06:57 2015 +0100

    fsrtpxdata: Add gst-plugins-base libs to the CFLAGS and LIBS
    
    Fixes compilation in gst-uninstalled, as otherwise the RTP library is not
    found.

commit 45861c192761b7059a6ffd4b6daea2ebcdd82642
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   Thu Oct 30 19:36:25 2014 -0400

    Enable building static FsPlugins
    
    This required change FS_INIT_PLUGIN() macro. It's now taking name and
    type argumenet. This is a slight API break, but there never existed any
    external plugins. Also, already built plugins should not be affected since
    the symbol remains the same.
    
    Note also that plugin are no longer unloadable, it was already not well
    supported. Instead of adding loads of if, we simply register the module
    types as static (just like GStreamer does).
    
    To register static plugin, you can declare it's registration function
    using FS_PLUGIN_STATIC_DECLARE(name), and then in your code call the
    function using FS_PLUGIN_STATIC_REGISTER(name).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89287

commit adb4765979f627dfce44590b243cd74af086da9a
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   Thu Oct 30 17:42:05 2014 -0400

    Enable building static GStreamer plugins
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89287

commit 98235c97645ff81cac4078b97d8f30d06eea1fff
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Feb 23 14:34:37 2015 -0500

    stream: Add "require-encryption" parameter
    
    If it is set to TRUE, then all buffers will be dropped before
    the decryption key is set.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89288

commit 9a8e68e837029031bf082350ff5dfb2ef5cf4f7a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Feb 4 16:27:54 2015 -0500

    rtpconference: Make get_extension() static

commit 7cec3506bfe45a89c3043bd4a3026c997f858fcf
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jan 29 15:44:29 2015 -0500

    rawudp-stream: Stop the component if the port is already used

commit c73e5a7d14e10558533d1434922a58fb3535dde3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jan 28 22:22:10 2015 -0500

    Version 0.2.7.1

commit 01fafe82fbc01f31e76623fbbbe6dd99eb28d6bb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jan 28 22:15:59 2015 -0500

    Version 0.2.7

commit e8c277eeed5c277605f2ecc191f347f68fed0a61
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jan 28 22:15:25 2015 -0500

    configure: Add "subdir-objects" automake option
    
    Automake now warns that it will be the only behavior
    in the future. So quell the warning by adding it.

commit e7857ade23f9771d250e4c3be772a1dcdc0584d5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jan 28 22:08:04 2015 -0500

    Fix GIR annotations to remove deprecated styles

commit b788ca15fae591a917de0ed77eeb632a919f7325
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Wed Jan 28 18:19:08 2015 -0500

    transmitter: Fix nice unit test for rtcp-muxing. Ignore component 2 ready.
    
    Component 2 may become ready before component 1 in which case data
    sent to that part of the pipeline will be dropped since cid 1 is not
    yet ready, which causes the unit test to fail since data is missing.

commit f2c04851e27dc428153cb1520cb412fd8db2a144
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Tue Jan 13 17:36:01 2015 -0500

    transmitter: Add a unit test for send-component-mux property on nice transmitter

commit eda61c44c79956eaa5723725d31d606a9df67c92
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Fri Dec 5 12:52:51 2014 -0500

    rtpxdatapay: Use gst_buffer_copy_into to avoid unreffing the buffer

commit 645b9490bb3ec507cac2b01061c9b67c18abb5ae
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Fri Nov 28 17:58:34 2014 -0500

    rtpxdatapay: Add support for MTU and split long messages into multiple packets
    Split all messages into max 1200 bytes of payload and send a GstBufferList when needed
    Keep sending a normal buffer in case the buffer is smaller than 1200 bytes
    to things slightly faster

commit 9102709e6f8a0b9c390e8636589c3d80f9b1810a
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Mon Aug 11 15:53:51 2014 -0400

    Add support for send-rtcp-mux on fs-rtp-session and nice transmitter
    
    In fs_nice_transmitter_set_send_component_mux(), the component IDs,
    which start from 1, are used as nicesinks array indexes and
    nicesinks[0] is always NULL.

commit 5bd19ca4a6c4fa0df50f521eb860d97e95310641
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   Thu Jul 17 23:46:44 2014 -0400

    Add support for reliable nice transmitter and selection of ice-udp/ice-tcp

commit 7f02aac24c859aadf4a0a83991502c9bcc1ddaf8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jan 27 16:37:57 2015 -0500

    msnconnection: Fix potential race/deadlock
    
    Unlock the mutex while waiting for the thread to exit.

commit 6b5e40c6c1f62ae1a1099f56ae70ed26b23c8a88
Merge: 83199d9 fb51436
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jan 27 15:58:30 2015 -0500

    Merge branch 'branch-0.2.6'

commit 83199d96480cd7835adc9d290e537effc550b4ca
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Tue Jan 13 14:11:27 2015 -0500

    fs-session: Reduce padding because added set_encryption_parameters

commit b71946fd05e2cdf80af132c306624c60d779ef89
Author: Evan Nemerson <evan@nemerson.com>
Date:   Sat Nov 22 11:02:01 2014 -0800

    introspection: Call g-ir-scanner correctly
    
    This provides a symbol prefix separate from the identifier prefix,
    corrects the identifier prefix to not include the trailing underscore,
    specifies the exported pkg-config file, and provides a list of C
    headers.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=86589

commit 3e36909e396d389348a62181585cd20f43929937
Author: Jakub Adam <jakub.adam@ktknet.cz>
Date:   Mon Oct 20 15:03:28 2014 +0200

    nicestreamtransmitter: expose port range setting from libnice

commit 75e249e8d9aa95e414145933aecb6b4f6614096f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Nov 11 18:53:15 2014 -0500

    nice-stream-transmitter: Return right enum for GstPadProbeReturn

commit 16ae4d0126faefcc725311073f4971617bfd7858
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 28 16:24:57 2014 -0400

    Fix clang warnings
    
    https://bugs.freedesktop.org/show_bug.cgi?id=85565

commit 80d4827a83f22d861adbd64a8cebc2ab372dddc1
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   Tue Oct 28 14:52:00 2014 -0400

    rtp-discover-codecs: Make global access to blueprints thread-safe
    
    The global variable list_codec_blueprintfs refcounted with codecs_list_ref
    was not thread safe. This patch uses a global lock to make this code path
    thread safe.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=85567

commit bf84ab63c8313d2c7299c82928dbfa528448062b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 28 15:18:19 2014 -0400

    rtpsession: Don't try to return srtpenc/dec if not installed
    
    https://bugs.freedesktop.org/show_bug.cgi?id=85566

commit 15dc8ef0efc871e4af7f7c661b05e081b6062d17
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Mon Oct 13 10:32:08 2014 -0400

    nicestreamstransmitter: Remove extra unlock..

commit fb51436e0a6dcefac5506744a6be3fd236b1ca79
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 18:05:22 2014 -0400

    Version 0.2.6.1

commit f7aba8f7709981db4e46307439cdc7b183d8bbf3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 17:57:46 2014 -0400

    Version 0.2.6

commit 3cd69d66c849df4541cf0974c8429623dc103cbb
Author: Jakub Adam <jakub.adam@ktknet.cz>
Date:   Tue Apr 22 14:26:49 2014 +0200

    Add ICE-TCP candidates
    
    Also to the nice transmitter

commit 2cb3e163f153434b6e386d1fe80efcc6e70eb738
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 17:35:29 2014 -0400

    Version 0.2.5.1

commit 37f8913ca758dd26eb3bbdf03eace04164b7a87c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 17:31:09 2014 -0400

    Version 0.2.5

commit 0d19d5610ac05b27aab1af447165c3eca795ed84
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 17:11:11 2014 -0400

    rtpstream: Use the right variables in validation
    
    Copy-paste error

commit 958728fe7ca77b74a6b876b97f6d6e2ef877a840
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 16:39:13 2014 -0400

    Requirement is actually 1.4 for srtp

commit 5f6f8aa6c7eeeeb0cf564499967e292f5a0eee07
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 16:23:24 2014 -0400

    nice stream transmitter: Ignore ICE-TCP candidates for now

commit 5128b46b1f981668eb9fdfd436ce900abba506fb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 7 16:29:36 2014 -0400

    rtpsession: Don't try to start sending before a transmitter is set
    
    No stream is really sending before a transmitter is set.

commit b79bb94f11fecbff4a1cff4f1952610c8da2da05
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 18 15:48:30 2014 -0400

    Bump requirement for srtp, need GStreamer 1.2

commit 3c993718d0b559bfb27dcb8ae56f19fec00b4bd7
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Thu Aug 7 23:23:29 2014 -0400

    session: Add internal-session property

commit b344a73c10cb1a57bbacf55292c0a376f7e43c97
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Thu Jul 31 17:03:02 2014 -0400

    rtpsession: Fix discovery of RTCP ssrc.
    
    SRTCP packets will have SDES encrypted, so we need to check for RR and SR reports.
    Also, the code was checking if rtcp_map failed, instead of succeeded.
    This also allows us to mix rtp and rtcp on the same component.

commit c8a6bf9f4b72dd3264cc6a80290ee8ef71c7b695
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   Thu Jul 17 23:44:45 2014 -0400

    Fix unit tests not working with gst 1.0

commit 52e41e7324e3e8a54c5991e0bb3e6217a8ef46c0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 22:32:25 2014 -0400

    rtp: Add srtp test

commit 344468a3b7a6828c0c16f95c81b99ed3af8c001a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 21:26:39 2014 -0400

    rtp: Implement setting SRTP decryption key

commit 8989360664f68944ca6c00e69b2d88194fed4c38
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 20:29:44 2014 -0400

    rtpsession: Factor out SRTP parameter validation

commit d95620da48f4c10127eaf32e3a52cdecd3af1f9e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 16:15:51 2014 -0400

    rtpsession: Implemnt setting SRTP encryption key

commit 9d4e85377d991abeb01de9c9aac77d2c70fbeef3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 2 16:10:15 2014 -0400

    rtpsession: Create srtpenc & srtpdec

commit 7a68e77830e4c8472f52bdf39272b86da35bc4aa
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 2 15:54:58 2014 -0400

    lib: Add parameters to set encryption and decryption parameters

commit 9c7aa550ed0ea0b6962c7e3c1f42d7af253ea0fa
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 23:20:11 2014 -0400

    transmitter: Remove recvonly-filter
    
    It was pretty much useless anyway.

commit 220236e6564486571b0e7eae079b9cb6a554b933
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 22:47:23 2014 -0400

    Remove fsrtcpfilter
    
    It's not useful in real life

commit deb2be339b727b5fcdc7337c0c77a9202e7e4933
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 21:50:58 2014 -0400

    tests: Test for x-data type

commit 3bf911fd7586d8cb72368c4d3d25fe27c58c2e16
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 6 17:01:53 2014 -0400

    fsrtpxdata: Add RTP pay/depay for Microsoft Lync RTP x-data

commit ac98be9a8a48f6f21babd2d5b41df0f5b85a3e42
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 6 16:20:36 2014 -0400

    Add Application Media type

commit 4e4d73f86c19d2615992445b89b2622fb45ac7e9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 20:55:03 2014 -0400

    rtpdiscocodec: Also discover formats with no encoder
    
    This makes L16, L24 and Video/RAW available to Farstream without profiles.

commit 04a706724d818f450f68b453492aae9e8cb08af5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 20:50:48 2014 -0400

    rtpdiscocode: Ignore codecs with no "payload" property

commit 8d818b6377f19fe9e4e25b3c40c35ba49bcc13ed
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 18:03:41 2014 -0400

    rtpdiscocodec: Use GQueue instead g_list_append

commit 35f0811fa6f064cc771e67edc9f73585fb954155
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:52:11 2014 -0400

    rtpbitrateadapter: Check bitrate changes since last getcaps or last notification
    
    Not only since the last reconfigure

commit aaf96cc1715fddcee6e4a6a99f37e6961d182d74
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:47:04 2014 -0400

    rtpbitrateadapter: Remove unused caps

commit e9ac7697589d6c9fb493ed489a8c33efa7d17b79
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:45:41 2014 -0400

    rtpbitrateadapter: Support non-video caps too

commit 3856338f15d79bdb2ae410079ac26042a4f5f6f8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:45:12 2014 -0400

    rtpbitrateadapter: Do dynamic getcaps

commit 11cd5652bd027186902b440eb3a11d592bbcf2f1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:25:33 2014 -0400

    rtpbitrateadapter: Let upstream do possible renegotiation on > 10% bitrate change

commit dc66a180329b6b0cc53fc8d26ff256d2726f37c5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:17:57 2014 -0400

    rtpbitrateadapter: Remove caps property

commit 11dba722578095699a686ec8765590b11a0717cd
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:13:05 2014 -0400

    rtpbitrateadapter: Pass media type from caller

commit 75285f4aa31a17296d8399389aaec11c5b0179f7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:11:01 2014 -0400

    rtpbitrateadapter: Remove gray caps

commit af34d45cb18c3c588198e0ad8f3f4d57942289e5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 21:25:27 2014 -0400

    rtpcodecnego: Filter by input and output caps

commit e0815937292a6083f78bd5a0288cb1668c80adae
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 16:23:53 2014 -0400

    rtpsession: Implement allowed caps setting

commit 279d507732bedc0395584c9ba0ad7bb555163e6d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 22:32:26 2014 -0400

    session: Add API to set the allowed caps

commit 0cb4edb253ea78d8544682079c36b16f0b082df8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 21:25:14 2014 -0400

    rtpsession: Add input and output caps

commit a072e43f45379ca0641da9c20575217d372148ec
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 21:12:00 2014 -0400

    rtpcodecnego: Skip full list iteration
    
    One send codec is enough to be happy!

commit 9ec4fe113a4d3f816087cbc36a827f1bebd1a26b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 20:35:55 2014 -0400

    rtpcodecnego: Discover input/output caps for application specified pipelines
    
    From the codec preferences, if there is a pipeline, inspect to find the
    possible caps.

commit 2beafb328ed8bc6f09e9a4af03c228edd4e86cdc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 20:05:51 2014 -0400

    rtpdiscocodec: Factor out in/out caps discovery

commit 6062868a5eb42ba31b39e4898acc24033c977e6e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 18:26:20 2014 -0400

    rtpcodecnego: Add CodecPreference struct wrapping codec prefs

commit a56dd182a6de3a13bf40c4a80e9335e52655dcf5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 15:16:42 2014 -0400

    rtp: Use FsStreamDirection instead of "is_send" gboolean
    
    Makes the API clearer

commit 3af84c53630b362dde97cf98802303dd389826e6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 7 23:07:48 2014 -0400

    rtpcodecdisco: Discover output caps from receive codecbin

commit c8d42be114f72159cea45b8f7da5c59d6d3823e2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 7 22:51:59 2014 -0400

    rtpcodecdisco: Discover input caps from send codecbin

commit ec1dc8736b5e05e882762a2034e70c0dea3844f4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 7 22:27:24 2014 -0400

    rtpcodeccache: Add input/output caps to the codec cache

commit 063fa048b38d6aea79f8aaed4654cfe1a3f9a0b2
Author: Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
Date:   Wed Sep 3 15:01:35 2014 -0400

    example: Sources need to be live
    
    In current state this commandline example produce choppy audio,
    with warning: "Unexpected discontinuity in audio timestamps of
    -0:00:03.168625000, resyncing". Setting the source to live,
    as it's suppose to be, fixes the issue.

commit de7da7e70dbc1117ca59da4e98af5cc9d7a0efb2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 31 15:59:46 2014 -0400

    rtpsession: Only try to read RTCP if mapping succeeded

commit 4571880743d2d37938bd4a618bd305907a8518f3
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Jul 22 20:01:22 2014 +0300

    fs-element-added-notifier: do not unref elements from already added bins when setting a keyfile
    
    The FsElementAddedNotifier does not own a reference to these elements.

commit a911b7543fe396b98b45a06e53aa3a130173b9f5
Author: Jakub Adam <jakub.adam@ktknet.cz>
Date:   Mon May 12 12:07:45 2014 +0200

    rtpdiscocodec: Fix build with -Werror=format-security

commit 44ef0dffa8a3fda3695cda360bb16739d0610bdd
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 21:55:25 2014 -0400

    rtpconference: Fix debug print

commit 241326fcc90d2a6e2d3d717d8deacbad92dd97b7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 00:03:10 2014 -0400

    rtpcodecdisco: Style fix

commit f01a491107f19be196fe2b32ae6f62ad09241b0c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 18:34:04 2014 -0400

    rtpsession: Verify object exists in dispose path

commit 1f71dc237e90313cf1d0c4753ed9048401a279b5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 20:07:48 2014 -0400

    rtpdiscocodec: Debug pipeline at the right level

commit dabb550aba18486b115fe6b15986222d29ac26ba
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 7 22:51:41 2014 -0400

    rtpcodecdisco: Use GST_PTR_FORMAT for caps debug

commit 76374a1844b33da20f70b5b2a17f6414d6109482
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 7 21:36:30 2014 -0400

    rtpcodecdisco: Improve debug printing

commit a15b66e23dd29ace82b9de218ea243b88d343890
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 6 17:17:20 2014 -0400

    videoanyrate: Use the Fs prefix internally too

commit 72f7b6326839caecc979d64eba3c0e459ddb4af9
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   Tue May 6 00:45:35 2014 -0400

    rtp: Fix a couple typos
    
    https://bugs.freedesktop.org/show_bug.cgi?id=37997

commit c84c351e3dd55f3cd77e4031d4faf86e5637b4bc
Author: Iain Lane <iain.lane@canonical.com>
Date:   Fri Mar 21 15:18:38 2014 +0000

    Fix some mismatched / redundant <para> gtk-doc tags
    
    gtk-doc 1.20 got more strict about correctness here wrt. balanced tags.
    
    Also bump the relevant gtk-doc requirement, these tags were added for
    a reason back then.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=76458

commit 32dcff23964fa6d6910584b1b664150734033fd2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 15:17:39 2014 -0400

    Version 0.2.4.1

commit 798be3e02f665855577b6886768868ee24d7e4df
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 15:09:16 2014 -0400

    Version 0.2.4

commit 53db372266191c757fc38e222f4d08f9c6d6f46f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 14:41:23 2014 -0400

    msnconnection: Fix typo

commit 587f35ea8e3126c00b6c4e33e67277a60c3d45ba
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 01:18:47 2014 -0400

    msnconnection: Double check return value of recv()
    
    Even though it has already been peeked at!

commit 3aec0fb8ec87299835987266fed208f5267bb000
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 00:48:28 2014 -0400

    rtpsession: Check that there is either a blueprint or a profile
    
    Having neither is always invalid!

commit 64bfaf6af39957996ae1114767d1f674e246fd97
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 00:47:13 2014 -0400

    msnconnection: Make sure token is correctly read

commit 3610fe76c1856f19595b8d966180444922ca4056
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 00:45:40 2014 -0400

    rtp: Check both variants, not only one!

commit 4b1f0b5fa6bc9f435453839d4d58ca5d8a6c863e
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 00:40:03 2014 -0400

    multicast: Assert that udpsock is valid if there are ttls left
    
    If the sock is not valid, that we should be the only user and the ttl
    should have been flushed.

commit 148e8f2f815c5060e35840de00daa8eba5b58897
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 00:36:57 2014 -0400

    rtptfrc: Fix off by one error
    
    128 is dynamic and needs checking

commit 89b390d95860eacccdf0686de28c332ff779a16d
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 00:35:19 2014 -0400

    rawudp:  udpsock is never NULL there

commit e126cd6e0c1e23682b3ca79154cede6994297dc8
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 00:34:14 2014 -0400

    multicast: udpsock is never NULL there

commit dc1e2819c45341d2232cefce47bfb7d086b4e554
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sat May 3 18:53:25 2014 -0400

    rtpkeyunitmanager: Correctly check for local ssrc
    
    Found by coverity

commit 67538d45102afb55bcee200917aabc866117e04e
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sat May 3 18:39:11 2014 -0400

    rtpsession: Since GStreamer 1.2, the real internal SSRC is on the incoming caps

commit eb809dbae5074cf527b37f6bb7171ccd1d20682b
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sat May 3 18:38:55 2014 -0400

    rtpsession: Also notify of SSRC change on caps change

commit 055e0f4089a094c6f9735270280e9d5970716bd3
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sat May 3 17:00:24 2014 -0400

    tests: Disable upnp tests by default

commit 4bf22a838a8641c997ef50e38b1d0b784a63e444
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 2 16:01:20 2014 -0400

    Fix documentation

commit 70267acdd6cde281d9be936701d4e3d1c92cd885
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 1 19:00:34 2014 -0400

    docs: Use Farstream API version when installing docs
    
    This also forces us to make a private copy of the gtk-doc.mak

commit 02e2009bca52f7a886a981c5559c6344e8d63371
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Mon Mar 3 15:21:30 2014 +0100

    include <sys/socket.h> for setsockopt(2)

commit 5f52c16b14fd8fac562aaf04e926a0d8e9a298e1
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Mon Mar 3 15:39:00 2014 +0100

    Include <netinet/in.h> for struct sin_addr.

commit 8fb69ff4f49a42548321177135af99dcc168fb56
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Mon Mar 3 15:48:16 2014 +0100

    Include <sys/uio.h> for struct iovec.

commit e349a7db681b643beaf8174a32b071292abd980e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Feb 27 18:00:13 2014 -0500

    raw: Fix crash where the stream would try to contact its session before its been set

commit 8b99315a911e82aaaac31566c33d0a2d7f3483b1
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Feb 13 22:03:09 2014 -0500

    transmitters: include <netinet/in.h> for IPPROTO_*
    
    POSIX says that we need <netinet/in.h> for IPPROTO_* to be defined, so
    make sure we include it.
    
    It also ensures that we get a definition of 'struct sockaddr' which
    appears in the rawudp header as an argument type.

commit cbe9ad35878f921ea7ad67957335eb7a2685eb93
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Dec 5 17:14:29 2013 -0500

    rtpsession: Need to read the method on stop too
    
    Otherwise it used an initialized variable. Thank you clang-analyzer

commit ad52fadfa918a3f0f72dd400502e9b6e0813d218
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Dec 5 17:14:16 2013 -0500

    examples: Remove unused variable

commit 320f6514aad713e465fb8c7b963e9680bb606c79
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Nov 7 16:46:32 2013 -0500

    rtp-codec-nego: Actually test that the codec id is valid
    
    Bug found by David Binderman <dcb314@hotmail.com>

commit e035edc0fd27b2ae7f08742d820f8fc22c7023a2
Author: Mathieu Duponchelle <mduponchelle1@gmail.com>
Date:   Wed Oct 16 16:33:11 2013 +0200

    tests/rtp/sendcodecs: pass a GError to parse_launch.
    
    Otherwise for some reason launch_full returns a pipeline
    even when an element is missing, despite the FATAL_ERRORS flag.

commit d2931996112ad9850ff57019c1b1d779b52fa1c3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 5 12:41:28 2013 -0400

    Add files from newer autotools to .gitignore

commit c217975266aa3ad379b613a9b154f757432413df
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jun 25 10:38:24 2013 -0400

    multicast: Remove not required non-standard header

commit 699ab34321dff414ba3e9c8f329bfc3d2a9ff6d0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jun 20 22:58:52 2013 -0400

    tests: Only use matching host candidates for nice force_remote_candidates test
    
    The other candidates may or not may not work

commit 6e899cdc8210aa28fec63cce0de65338c73234d2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Jun 3 20:06:53 2013 +0100

    Prefer dynamic PT 101 for telephone-event at clock rate 8000
    
    The WebRTC implementation in Google Chrome <= 26 would reject calls
    if there was "a telephone-event payload type less than 101"[1] and
    as of 2013-06-03, the Google Mail web UI with the VoIP extension
    seems to have a similar signalling bug. Experimenting with the web UI
    indicates that telephone-events with clock rate != 8000 are irrelevant,
    and only clock rate 8000 matters. Hopefully the same was true in WebRTC
    (I can't find a libjingle commit that looks likely to have fixed this).
    
    Meanwhile, many SIP implementations and at least one Jingle
    implementation (Freeswitch's mod_dingaling) either hard-code payload
    type 101 to be telephone-event, or make the payload type for
    telephone-event a configuration option. I can't help thinking this
    was not how dynamic payload types were meant to work, but
    interoperability is interoperability...
    
    This fixes interop when Empathy 3.8 + telepathy-gabble 0.17.4, on a
    system with not many codecs installed) calls the Google Mail web
    UI. When the same setup is called by a peer that specifies a different
    PT for telephone-event:8000 (the Google Mail web UI uses 126 in its
    outgoing calls), the peer's choice of PT takes precedence.
    
    [1] https://code.google.com/p/webrtc/issues/detail?id=1783
    
    https://bugs.freedesktop.org/show_bug.cgi?id=65311

commit ea40fa9de7ed76c92dd8806be944633374bf9b7e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Apr 15 21:53:22 2013 -0400

    Version 0.2.3.1

commit c79445e6df897014cdbe2799717226394f89a6fb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Apr 15 21:47:13 2013 -0400

    Version 0.2.3

commit 47b852d92214d0e3a6fa732b08a9c92cf32ec5e0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Apr 15 20:55:33 2013 -0400

    tests: Use G_GSIZE_FORMAT where appropriate

commit 10b3d38560ec53d980d13240559e6758c1113e21
Author: Havard Graff <havard.graff@gmail.com>
Date:   Thu Mar 21 13:46:11 2013 +0100

    fs-rtp-discover-codecs: plug memoryleak
    
    use g_list_delete_link to free the list as well

commit d5d734480e923156c8155cbc1d4f1faacd89c969
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Apr 4 14:17:59 2013 -0400

    rawudp: Use GSocket abstraction for portability

commit 5caa188909453f8890a8af8b4b41fe3d287a7fec
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Apr 4 14:17:15 2013 -0400

    multicast: Use gio instead of getaddrinfo for resolving

commit cdf4998b4ce7da59f15aa88b5f4629e5995cab94
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Apr 4 14:04:03 2013 -0400

    tests: Use GSocket instead of getaddrinfo to parse IP addresses

commit 81351b580da0f8db520ca0ff5e5725c199a7a8b9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Apr 4 12:19:18 2013 -0400

    Misc win32 portability fixes
    
    Based on a patch by Conrad Poelman

commit 50fffb08d941dce58ae48bf531faead8a4e22ed7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Apr 2 19:13:06 2013 -0400

    codec-discovery: Intersect different parts of the same caps to reduce them
    
    We do this because a caps may have the static payload in a separate structure from the encoding-name
    We just want both in the same structure

commit 982231315490a59b83b3ff8165d21caa7cb1944d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Apr 2 16:34:42 2013 -0400

    rtpsession: Set error in all error cases

commit a5c7a7d4afa43a1a2b65587c5ddfc1ea9a553b5a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 29 14:44:50 2013 -0400

    rtpsubstream: Don't free codec after setting it inside substream
    
    Bug discovered by Havard Graff

commit 2c19591ca948fc302508b2afbdd232b219d92e2a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jan 11 19:47:42 2013 -0500

    session: Add API to set the transmitter parameters as a GHashTable

commit 77df96b6b6fad5aac69dc73c06816d050f60a735
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jan 11 19:46:52 2013 -0500

    candidate: Add helper function for pygi
    
    This way, it can set a FsCandidateList to a GValue

commit 9676376e6c5e31fb83d205c33c1a755acd58f61e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jan 11 19:46:19 2013 -0500

    candidate: Allow various elements to be NULL

commit fdf07e579b90760f1e2cdcd1a4c4a9b3476009af
Author: Havard Graff <havard.graff@gmail.com>
Date:   Thu Mar 21 17:50:51 2013 -0400

    fs-codec: plug memory leak
    
    encoding_name is already g_strdup'ed in codec_new

commit eca3548baca2ba4fbed2addf960342d846936b39
Author: Havard Graff <havard.graff@gmail.com>
Date:   Thu Mar 21 17:49:18 2013 -0400

    rtp-stream: plug session leak

commit bc8fd0624d7da549d1d76d02488d3fbe8e444b95
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Mar 21 17:47:04 2013 -0400

    fs-rtp-substream: Don't leak caps on error
    
    Based on patch from Havard Graff

commit 076cf029c54ac5d328a70d186897fa0678df387a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Mar 26 14:33:52 2013 -0400

    rtp-codec-discovery: Intersect instead of merge
    
    We want the semantics of intersection, not merging, as this will
    produce a caps with two separate structures in some cases.

commit 5d84ac699038d3d53f6c79c0cf1fee24c2c13be1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 22 15:15:25 2013 -0400

    Use == instead of = test for portability
    
    Bug reported by OBATA Akio

commit 5bdb476dfe467c129cb2e50fc7bf120df7babfdd
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Fri Mar 22 15:09:29 2013 -0400

    rtp: Tune pulsesink/pulsesrc latency values further
    
    This makes for lower overall values without forcing a bunch of underruns
    at the start which we got by having pulsesink's buffer-time as
    2*latency-time.

commit 1a0dd0526eb5ab5ed40fe54ccb37b61a619c7d6c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 22 15:04:55 2013 -0400

    Remove deprecated GStaticMutex usage

commit c355f2191a9bd67026d9d08969c370a4018513f0
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   Fri Jan 25 01:37:08 2013 +0100

    Fix the build with automake 1.13
    
    In Automake 1.13, the long-deprecated macro AM_CONFIG_HEADER (deprecated
    since 2002) has been removed in favour of AC_CONFIG_HEADERS.

commit ba382df8e27bd1e3e7fda1a9740f2b7928535d73
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Feb 28 17:26:54 2013 -0500

    tests: Fix GSource leak

commit 1f9fcbdf164612d0d630bb3c903e7e70fe61693f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Feb 28 16:54:32 2013 -0500

    shm: Fix candidate leak

commit 45b9a3fe974a72140cdfda21c0e98f16dd8cc4e6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Feb 28 16:52:33 2013 -0500

    shm: Fix funnelpad leak

commit 7a453aff93040adf414d5bc7af34b214d51a471f
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Fri Feb 22 11:05:00 2013 +0000

    build: Fix building with the gold linker by referencing gmodule-2.0
    
    With the binutils-gold linker the '--no-copy-dt-needed-entries' flag is
    active by default and using any symbol from indirectly loaded libraries
    will result in undefined reference errors.
    
    Add to the libfarstream target the AG_GST_GLIB_CHECK-generated GLIB_LIBS
    variable, which references gmodule-no-export-2.0.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=61268

commit f4727622b206f534bf6e6c1a1711d3df9c2e19ec
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Feb 5 17:25:41 2013 +0100

    Use the generic marshallers instead of generating them

commit 8c05863f85469223192409f7852b2ce19f44fdfc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jan 11 18:40:14 2013 -0500

    dtmfdetect has moved to spandsp

commit 31b5b16da88a0a9623981d1dbd8e08b989077a20
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Nov 14 13:23:35 2012 +0100

    Version 0.2.2.1

commit bfad285b3695bd154a36f7d67149e7f3562a8745
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Nov 14 13:13:16 2012 +0100

    Version

commit fef0054b2c492426219e23ac8f1c36d23968f217
Author: Debarshi Ray <debarshir@freedesktop.org>
Date:   Wed Oct 24 17:54:08 2012 +0200

    Update and fix the default properties for vp8enc
    
    The property names of the vp8enc element changed in GStreamer 1.0. See
    the following commits from gst-plugins-good for some of the
    corresponding changes:
      - 392bd12a45b959b696365e5f25e315c2489fe025
      - 9c0ff2f38174f2e4111859bd66956a77764cb515
    
    Also, vp8enc uses target-bitrate, not bitrate.

commit 1fd82440d4b3c16dcb1d1b5df0c3484eb95ffc43
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 4 16:31:21 2012 -0400

    Version 0.2.1.1

commit 6c488e499417dbfa8957d7717c3cbe6a5214ac09
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 4 16:17:33 2012 -0400

    Version 0.2.1

commit be619f6564d552dba6cacca91b7515d650d5de83
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 4 15:30:55 2012 -0400

    rtpsession: Set the discovery valve to playing before linking it

commit 3f1f966a1db423b7068d14f2487aa10b0154f881
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Oct 3 12:28:11 2012 -0400

    Update the LGPL headers to the new FSF address

commit e08986bf2e923896800681011a705c005ffbca75
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Apr 27 17:18:39 2012 -0400

    elementaddednotifier: Add signal id when setting default properties too

commit 3901964fa0696305a548191cf568eca05a4aec15
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Apr 27 16:39:07 2012 -0400

    elementaddednotifier: Return the signal ID when adding from a keyfile

commit 44b935ca4b889816a004e413f95bdaa0b4c7156f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Apr 27 16:37:25 2012 -0400

    elementaddednotifier: Free keyfile using GClosure notifiers

commit 36508987dc0c03c12fc4b8dcf26d5f86f6b9ebab
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Apr 27 16:35:52 2012 -0400

    elementaddednotifier: Chain up finalize

commit 3160dfb4abe8420a4790d6549212471678a81184
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Apr 27 16:05:13 2012 -0400

    elementaddednotifier: Set keyfile properties on already-added bins too
    
    Iterate through already added bins to add element properties

commit d406132e22bf7fc28c1024455232631cdace1492
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 9 15:00:03 2012 -0500

    elemendaddednotifier: Annotate the fact it takes ownership of the keyfile

commit 402b496c7a483c906d0598c59d5b2fd462968191
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Apr 27 16:04:33 2012 -0400

    utils: Don't crash if trying to get default properties of a factory-less element

commit 4a3606a6ec570ecf0500dfefbc6bfffa4cbeb120
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Apr 17 18:16:48 2012 -0400

    Make fs_conference_debug category symbol private
    
    Don't export it in the dll

commit 1b77821dd10a08b2a23325b700384ac8b6bdcebb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 2 17:36:28 2012 -0400

    stream: Keep ref to src pads for iterator to not break

commit 895b34c4dab9840c478816e8713c29d12c321a7e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Oct 1 17:46:43 2012 -0400

    tests: Re-enable shm test

commit 444b0d1b9aef13ef0b5017858b76610eea429b30
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Oct 1 17:23:21 2012 -0400

    Remove GST_USE_UNSTABLE_API as GStreamer 1.0 has been released

commit 87556cc9902e7ab257fe533e89681a03ed5cd566
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 25 16:47:30 2012 -0400

    Version 0.2.0.1

commit 501ef7d6ad4ff3cb724ab4ea43e466796eb66c9a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 25 15:10:43 2012 -0400

    Version 0.2.0

commit dfcbd4cbcf111d6cfe6c174c4fdb5a9235062cf9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 25 15:08:26 2012 -0400

    Port to GLib 2.32

commit 224a49a5c784efbe6bc4b9e8c7632332efcf7456
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Sep 24 13:26:54 2012 -0400

    rtp: Register error downgrade element before using it

commit 4650d969bd0e55d13b273d8f1a1fd68aa3011c35
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sat Sep 22 15:13:10 2012 -0400

    rtp: Prefer Opus and VP8
    
    But we still place H.264 above VP8

commit f1a047a526360480bc2c2e3835b236271adeea30
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Sep 21 16:57:18 2012 -0400

    Example: Port to GStreamer 1.0 and misc improvements
    
    Also add volume controls
    Also port to GTK+ 3
    Also port to GObject introspection
    Also use default properties and preferences

commit d074dd9f633dc9244d354a90ae2eabf5ee5ce295
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Sep 21 22:00:16 2012 -0400

    rtp: Ignore decoder error messages
    
    Add a GstBin that transforms the error messages into warnings

commit 177fa0ecfff9c5e946f65006ca289a7b0690a217
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 20 18:54:08 2012 -0400

    rtpsession: Announce send codec parameters whenever they change
    
    Re-announce send codec parameters if they change in any way

commit f68a5d7d7615bab8911d818bad14e82f5a9fb87a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 20 18:53:15 2012 -0400

    rtpsession: Set codec pointer for debug messages

commit 97f705a3ba001fd8d948d6493c057bdb1c8ee845
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 20 18:52:27 2012 -0400

    Add some allow-none annotations

commit 740ec399f90944d56648367bba914b922f97b4cc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 18 17:36:07 2012 -0400

    fsrtpsession: Add a valve before the param discovery pipeline

commit 48e94cef47a605fdb1e5034a8d3eeec2f31a5b2d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 18 17:35:38 2012 -0400

    Re-base onto GObject

commit 23376fd825bf8aaa9181e9217edbb82189ee07d9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Sep 14 16:37:32 2012 -0400

    candidate: Add fs_candidate_new_full()
    
    Without it, introspection can not set the other field

commit 143aff0c4420f517f9ac2258f1fefbeddd5fbf37
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 13 21:53:28 2012 -0400

    Version 0.1.91.1

commit 7436327f318fe87640f01ec34e11c47d611420ce
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 13 21:48:31 2012 -0400

    Version 0.1.91

commit da58e0cfd3c11a56d0079363cdbb27a980d69844
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Wed Sep 12 23:35:29 2012 +0200

    Rename the mutex to test_mutex as gstcheck defines mutex now

commit 0d5714b926e4e2aac1fa7aeeb4c584789a9655b6
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Wed Sep 12 23:34:42 2012 +0200

    Update for gstcheck changes following the GLib api changes

commit 31a4ba93eec6c0813af6f77ce017180e04c06cdf
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Aug 12 13:13:06 2012 +0200

    rtp-discoverer: Fix reference counting
    
    gst_caps_merge takes ownership of both arguments, fix the reference
    counting to take that into account

commit 528caf919d92d6a4f501c161f863fccccd851462
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Aug 26 19:15:33 2012 +0200

    Add uninstalled pc file

commit 129176598afd1d760ef5d7864276fc681d40abfd
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 11 12:36:52 2012 -0400

    Replace FS_MAJORMINOR with FS_APIVERSION

commit d58ba0017be71c37ef4b5a36109c3dd68cc423c3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 11 12:33:34 2012 -0400

    Using git for a long long time

commit 75e530c41571376e037ecab4c0c1cda0548b3b46
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 11 12:33:13 2012 -0400

    Change version numbers

commit cb7fa417ab3f3268b5565571f79d5d6eba387bb7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 11 12:08:11 2012 -0400

    fsvideoanyrate: Apply filter caps

commit 812768968f895deb3bf37e98b8a754a54ff631fb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Aug 28 15:46:59 2012 -0700

    gst_caps_merge now eats references

commit 7ffdc23a2b6ac98c864ab2df58e2989cb268efe6
Merge: 4263c6b 6d4f0c1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Aug 28 15:43:38 2012 -0700

    Merge branch 'master' into gstreamer-0.11

commit 4263c6bc1f0f4aff94e7351904102c229c66e47c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Aug 28 15:43:19 2012 -0700

    Port simple-call to gst 1.0

commit 6d4f0c15cc64ebc99cb1ac08d3703f90c37b35d1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Aug 14 17:44:52 2012 -0700

    Add dependency to enable parallel build of introspection

commit 462fd20e8174f59cf8835871a0f3fed5eb75c5c6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Aug 7 15:37:00 2012 -0700

    Fix annotations to make new gir happier

commit 88e90aa877f1acf59374c8011ad2d82071a37b97
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Aug 7 15:27:50 2012 -0700

    Replace GST_MAJORMINOR with GST_API_VERSION

commit b2590cc39404fce58aa214f82dfc23a64f07bbf6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Aug 6 14:29:50 2012 -0700

    Put the correct new Freedesktop URLs

commit 6fd5e6db851979b11130d7ba081b555dade3e6fa
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Aug 6 13:03:40 2012 -0700

    msn: Add extra debugging info

commit 48bf154c33a478dc9e68698bb112462ca3f5a2f2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Aug 6 13:03:04 2012 -0700

    Revert "Add breakpoints in error functions for easier debugging"
    
    Because the unit tests fail on the breakpoints :-(
    
    This reverts commit 9fac4e2b35fccc976cf1d9ed202030beae091e66.

commit e6678aa684635866c9d1c0aeae97dbd89306a41e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Aug 6 11:45:09 2012 -0700

    The plugin name is no longer a string

commit b1131d0c192d002e98a8db43abd4ea30f73b059a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jul 31 18:53:50 2012 +0200

    tests: Remove unfixable tests

commit 8610a3b5466203f7ed1223f8dd90d49032ce624b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jul 31 18:53:06 2012 +0200

    tests: Remove broken _destroy() tests

commit 6365c268b7f3074bc0663d7d598b63976cbe4982
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Mon Jul 30 08:43:36 2012 +0200

    Switch to modern video caps

commit bbede55529e95da8c9bd3d5cbd9cfd7046ec7f68
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Mon Jul 30 08:41:56 2012 +0200

    Change video caps from x-raw-yuv to x-raw

commit f8abadfd6bc2fcf217937cd8bf54cdeefe6f00ea
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 17:11:22 2012 +0200

    tfrc: Use new API for buffer appending

commit 61bdb747d1027e5040c774cd57c27b477e3dc7c0
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 17:09:51 2012 +0200

    tests: gst_rtp_buffer_validate has been pulled into gst_rtp_buffer_map

commit 37a223f60b1002bd84fa0d9f6fbbea655db68e39
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 17:08:57 2012 +0200

    tests: Update for changes to the gst_bus_set_sync_handler api

commit 1320a919f835570461948744e52cdb5bb7adbeb2
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 17:08:09 2012 +0200

    Add base plugin cflags to tests that need them

commit 66c8f5819a55a2d8a867aa5d2612da43660e0ba7
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:25:58 2012 +0200

    Use the rtp packet length accessor instead of the struct

commit 0ce579fbd1898d95c2e7bc769783d6ec4e1c109f
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:25:22 2012 +0200

    gst_caps_fixate now returns the fixated caps

commit 073b7ddecba997ce6717a5e9135e2643a44ec4fb
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:22:38 2012 +0200

    Update for new BaseTransform fixate-caps prototype

commit 3c9f9f1c05ec655a3529f6e2ae9e3a4c9d262898
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:15:18 2012 +0200

    Add missing headers for stat

commit 1a9cc3d30a6a3984c65e5cf1b445d7507a59693e
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:14:55 2012 +0200

    Use accessor functions for pad templates

commit df556de3d968874ea8575bbb65b95f5735b5e42f
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:13:30 2012 +0200

    Return an error on unknown address family

commit c8e87af2a27edf1279a5ab18f3ec16fcc8722dc7
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:13:13 2012 +0200

    Fix crash if fs_transmitter_list_available returns NULL

commit 9b4d8c10a2c872791504bb0c6f3f6a18e2d3ba1f
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:12:38 2012 +0200

    rtp_buffer_validate is gone, validation now happens on mapping

commit 14131d2803f2523780e99c6984b27bd023e38aee
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:11:41 2012 +0200

    Use gst_caps_merge instead of removed gst_caps_union

commit 14256fb917dac59578dc229f2fc8cfbc109513a2
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:10:21 2012 +0200

    gst_clock_id_wait_async_full was renamed to gst_clock_id_wait_async

commit d2a7db650913095c2a5d3c0aa97f279e74294c76
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:07:33 2012 +0200

    Add missing ;

commit 084f8006b2d1991e60da12b58bf6017b07bcb307
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:07:04 2012 +0200

    Search for python for mangle-tmpl.py

commit 6a6df70780c1693076c1afe39d63ae95896b0d24
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Jul 29 12:06:10 2012 +0200

    Use gstreamer 1.0 instead of 0.11

commit 303c1a902816d3c742a26b34eb12c17b887ac00e
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sat Jul 28 16:33:07 2012 +0200

    Update common module

commit ec267d9d072298100b6b13bafa1fce3440dabe38
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sat Jan 28 14:02:06 2012 +0000

    tests: Ignore non-running multicast devices

commit 9fac4e2b35fccc976cf1d9ed202030beae091e66
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sat Jan 28 13:53:35 2012 +0100

    Add breakpoints in error functions for easier debugging

commit 077745926547f0b7f6859072ffa0d45f11692cfe
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sat Jan 28 13:44:49 2012 +0100

    debug-msg is gone, remove from tests

commit 53239894e9e1b033744d9404b1e50f402b935449
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sat Jan 28 08:38:45 2012 +0100

    update rtcpfilter test for gst check api updates

commit ed911efc60de1538c4e24ca01f376e25c09a4124
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jan 27 16:50:08 2012 +0100

    Port to GStreamer 0.11

commit fb74f736e23844bbf289011f9bff7ad91581af18
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jun 29 15:35:56 2012 -0400

    fs-codec: Remove outdated TODO

commit 39450457190675716c8e66700e35b05334a6a1a0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 25 17:06:59 2012 -0400

    Gtk-doc tags belong after the description

commit f6b097be1a591332b2b7af9ff97126d7c0ed80e7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 4 11:12:42 2012 +0200

    The right macro is GLIB_VERSION_MAX_ALLOWED
    
    https://bugs.freedesktop.org/show_bug.cgi?id=48285

commit 23122f81bf3eeb20d2acf0af1275ed5abd6be20a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 23 18:28:24 2012 -0400

    tests: Remove used of deprecated g_strcasecmp

commit 2c266acb41c65004e63fb66b708d5ed02e22ccd0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 23 17:45:55 2012 -0400

    tests: Link against libgstbase when it is used

commit d686cc11a8135947fb06136edf4320a07d793b91
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 23 15:42:14 2012 -0400

    rtpdiscovercodecs: Typecast factory into feature to make compiler happy

commit f13bbc080f28d22bef6d24472eddc1bdfc689755
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 23 15:33:03 2012 -0400

    Version 0.1.2.1

commit ee62969e5d28a942384f245f4ffd79ca492af838
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 23 13:18:17 2012 -0400

    Version 0.1.2

commit 3ba750b3a2d4f1205e728db71cf5c9e7edc8d43e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 23 15:29:06 2012 -0400

    Add empty overrides file as the new gtkdoc creates one and to make distcheck happy

commit 1504e2c7881947b9917c17aa5f3e14d6ec7d5807
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 23 15:29:29 2012 -0400

    Ignore rank==0 from auto discovery

commit 629cc095af3b031dd4661377608f3718b59575ed
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 23 13:44:12 2012 -0400

    tests: Make debug messages into GST_DEBUG

commit 04cc2bbca52b7047e8b7baf6e39fc99646babd42
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 23 13:39:48 2012 -0400

    Update doc generator from common

commit 62d74a0d6a77fe064206ce5c51f4200f54e651d2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Mar 23 13:07:37 2012 -0400

    Revert "shm-stream-transmitter: Add property to control the buffer-time"
    
    This reverts commit 7a8dd5ef57afc9dd279366b6c07a38c30493f927.
    
    Because the patch in shmsink was bad and did not deal with timestamps
    going backwards. We must re-apply this patch once a new upstream GStreamer
    has been released.

commit c38383444d605650e8f33eeed2e445ef36e129c9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 21 15:03:56 2012 -0400

    rtpcodecnego: Add more debugs on local codec list creation

commit 7d26b23ce613498f86ddb0723e929c9868ac17de
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 21 15:03:18 2012 -0400

    rtpdiscovercodecs: Remove duplicate codecs
    
    Only keep the first codec if there is more than one way to produce
    the same RTP codec

commit 56d3f36341d9f6a6eeff38db22f7cb25ee46fb7c
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   Thu Mar 15 12:56:43 2012 -0500

    Set better latency/buffer time for pulse src/sink

commit 028b3ed519b6a1c0b548819a86304f1fef85e341
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   Thu Mar 15 12:53:46 2012 -0500

    Add default element properties for rawconference

commit 900483fd33efb8e985d0e908e042a3dfc6998af8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Feb 29 13:30:50 2012 -0500

    example: Call the right function

commit 659f0dffcdee0e48344b03b581f8477847653306
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Feb 29 13:30:38 2012 -0500

    Update glade file

commit 6553314dde640e1ef7a37c4e630156cd027159db
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Feb 29 12:08:43 2012 -0500

    Require GLib 2.30, do not allow APIs added after and ignore later deprecations

commit 10e6385ebccab96ef254f62271b0f19d3d5be3cf
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Feb 28 17:14:49 2012 -0500

    Don't emit element-added signal without a parent

commit d9fa44186200e1cd17d69a1ae5b0dead202f7a58
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Feb 28 17:13:43 2012 -0500

    rtpcodecnego: Ignore config while comparing send codecs

commit d01dc756827235d0caa6f6e067994cf117387708
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Feb 28 17:13:16 2012 -0500

    Remove check for gst <0.13

commit 3e416cad5dcdda95d94770dd2828574f50b04f11
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Feb 22 16:53:26 2012 -0500

    Update common

commit 544e5ef7af95dd8d70bbc122962a04a3f0c9f74a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Feb 21 20:11:29 2012 -0500

    Add "do-timestamp" property to the transmitters
    
    Make it possible for the "raw" plugin to not have the transmitter
    put timestamps on the buffers.

commit f8b2fbc4dcfe495ca26acb33e875aea56f929dd4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Feb 20 17:01:30 2012 -0500

    Version 0.1.1.1

commit 104b0bd8e937b762e7c4faeb6831df7847b5b57e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Feb 20 17:00:59 2012 -0500

    Version 0.1.1

commit 8028c159500f909d745b33327e71ba5b53b5a56e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Feb 20 16:49:51 2012 -0500

    Fix python examples

commit 04a8f33daab5c304e87fbd3c8559e8218a42fcdc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Feb 20 16:49:33 2012 -0500

    Fix python bindings

commit d5d0c925638a55c8b1f72a3472e5176862b5cd3a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Feb 20 13:22:23 2012 -0500

    Update defs

commit b355218252fc5a5cf7d7ef954e91e3225ad354b0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Feb 20 13:22:15 2012 -0500

    Add override for fs_stream_set_transmitter

commit 2ff161461abfefe2370d70c22ed86126d9225531
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Feb 20 13:06:09 2012 -0500

    python: Use force for force

commit a78b7d31ce00e718105d8193e52a973116040332
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Feb 15 15:56:40 2012 -0500

    Rename fs2-gui-user-frame.ui to fs-..

commit c70cf5ce02be0e4fe9c6104ac87a7ef66a9790b5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Feb 10 13:20:18 2012 +0100

    rtpsession: Wait until stream is destroyed to flush transmitters

commit f478640df6dffcd5d2d3bde604631fb389198103
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Feb 10 13:19:31 2012 +0100

    session: Remove extra ; where it doesn't belong

commit 4ffcc64264342c3fd285b9ff7a97903c106b94e3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Feb 10 12:20:37 2012 +0100

    Require new gst-plugins-bad, it's needed for  DTMF to work correctly

commit ddb7df30af670e5e3570d6a699adde215b211d5e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jan 10 15:41:24 2012 -0500

    Update GIR annotations

commit 906a08210dade0582c2654e26bdcb9e117cdd298
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jan 10 15:33:16 2012 -0500

    Add stream message parsers to the doc

commit a606a0518e89185946013f948fedbeb5a0c1076e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jan 10 15:33:00 2012 -0500

    Move the FsSession's conference property to the base class

commit eb3505fac61c06913ecf1920cb6b4fb7e20eb474
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jan 9 17:10:13 2012 -0500

    rtpsession: Set boolean property to exactly "1" if true
    
    It seems boolean properties don't accept values > 1

commit 052ae546e9a8afaf7f4bea751194e9c39d9fd46e
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Dec 20 14:13:56 2011 -0600

    Fix fs_stream_parse_component_state_changed()
    
    Check for the right message name and parse the state as an enum, rather than a
    uint.

commit e58a6d7e4fdb3da7b8d5e66cf464da796b1c9200
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Thu Dec 15 16:24:54 2011 -0600

    Improve error message for missing stream transmitter

commit 7a8dd5ef57afc9dd279366b6c07a38c30493f927
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Tue Nov 8 11:48:25 2011 +0000

    shm-stream-transmitter: Add property to control the buffer-time
    
    Allow the transmitter to buffer how much can be maximally queued in the
    shmsink before blocking. Default to 20 miliseconds.
    
    For audio network packets tend to be around 20ms is size, so 20ms is a
    suitable size for audio.
    
    For video, 20 miliseconds is less then one frame at 30 fps, so with 20ms
    as default at most one video frame will be queued up in the shm sink.

commit ec877c7a4df94e5ba419ff3c706481a2223c29b8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Nov 8 17:00:19 2011 -0500

    Add parsing functions for all GstMessages

commit daa31cd16df26a73b4d7b99d46c704322afbf2ea
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Nov 7 19:58:45 2011 -0500

    session: Put the messages argument into a real table

commit d5118475a8837f856ef41cfe69386b4fdbcc524b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Nov 7 19:04:20 2011 -0500

    session: Add functions to parse the custom GstMessages

commit d5936d72aad50ee811a92f719e4cc046ad9fc424
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Nov 7 18:52:43 2011 -0500

    session: Make the volume into a guchar

commit e53ef7872372b7da4331f755f5a53c7bc0f6a051
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Nov 7 17:55:09 2011 -0500

    session: Document the farsight-telephony-event-started/stopped messages
    
    Also use the specific registered types where appropriate

commit bd4a007703028127d00988cfd55e7d0c9469633b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Nov 7 17:26:21 2011 -0500

    rtpsession: Document the dtmf messages a bit more

commit df0a22311427638db1036448722b45c5ca7b5284
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Nov 7 15:53:28 2011 -0500

    Remove non-existing fs_add_constants

commit 3b55ff5184c192c36e4228e1116c5e25688db7e2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Nov 4 18:17:32 2011 -0400

    stream: Clarify the origin of the transmitter parameters

commit e61c563d342fcfc50cca9ff051c59d99a1b9c762
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sat Oct 29 22:48:44 2011 +0200

    rtpsession: Queue events inside instead of letting the sources do it
    
    Also, make it possible to iterate the sessions without holding the object lock
    
    Also, we track when the sources are done processing an event so that
    we can minimize the number of dropped events if we change the source.

commit e08de8e6518bdf28917e258d95fa5d891e968328
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sat Oct 29 20:46:49 2011 +0200

    rtpspecialsources: Keep ref to the sources until it is gone

commit fb64d45034c76c7e8e336440296f6f84bd7b87c3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sat Oct 29 19:30:42 2011 +0200

    fssession: Remove the "method" from the telephone_event methods
    
    Now, it will always try event then fall back on sound. If one wants to
    ensure that only sound is sent, one must remove the events from the remote
    codecs.

commit 195ac9201b2f04a22f7ecc099781d0f83d422d8c
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Tue Nov 1 13:58:42 2011 +0530

    rtp: Set proper latency values on pulsesink/pulsesrc
    
    This sets a 50ms buffer-time on pulsesink and pulsesrc and a 25ms
    latency-time on pulsesink, which should decrease the overall latency of
    the audio pipeline (the current value being used is the default
    buffer-time of 200ms).

commit 103fccc1ce2fa9bf82b9e3a5138d0e633e0d2d96
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sat Oct 29 19:18:41 2011 +0200

    Update python defs file

commit 097c4f31da296b486434ba8381911978817571f5
Author: Danielle Madeley <danielle.madeley@collabora.com>
Date:   Mon Oct 17 04:52:17 2011 +0200

    Use 0_1 in name of some variables for the introspection automake

commit 1d683055112a737f0246e2504f6b68e6efadceb7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Oct 17 04:26:45 2011 +0200

    autogen.sh: Include our m4 before the common one
    
    This way we get the newer introspection.m4

commit bd64cf328044d52bf696f1e48609d13148f00967
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 11 18:52:20 2011 -0400

    Use our own version name, not gstreamer's

commit 452ae1fb846f2fead11f1160320fe159291abf52
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 11 18:39:26 2011 -0400

    Aim the pkgconfig file at the right place

commit a8c245a7734659664be39981e227b9c017292959
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 11 16:35:09 2011 -0400

    Update docs

commit 3bad0f31069406428f496b2d4ad1199fd75b94bb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 11 16:12:44 2011 -0400

    Rename plugins directories to match plugin names

commit 52a59229d200a8d74d66e02126c290434d3157d8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 11 16:08:49 2011 -0400

    Move the lib out of gst-libs

commit 7098f40db04b6a32c311b802a2c12f0f450ee7b7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 11 15:55:45 2011 -0400

    Rename libgstfarstream into libfarstream

commit e33572c56e93ad1a0f644047f30fc23ab5e01372
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 11 14:55:29 2011 -0400

    Rename Farsight 2 to Farstream

commit 449a53f65146448d70f761cc1257171702c83db4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 16 16:45:03 2011 -0400

    tests: Disable GstMessage from nice thread tests
    
    FsRtpConference doesn't track the threads created by the
    Nice Transmitter as its not created by a GstTask and it does
    not emit a StreamStatus message, so we have to be careful.

commit 133c8c8f2296ec68ab62a5eb0e39741fd146b05b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 16 16:44:03 2011 -0400

    tests: Check g_critical if unreffed from wrong thread

commit f9ca612650ee69c616eecc92b4d6f6371dec33b1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 21:56:57 2011 -0400

    rawstream: Remove nasty dispose in other thread trick

commit e186668c0afe71ca232cda7f7ef5ac57e1c54d53
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 21:54:24 2011 -0400

    rtpsession: Remove nasty dispose in other thread trick

commit 0c76c4b94a4effc6e14439e0e3abf863567cf78a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 16 12:16:45 2011 -0400

    tests: Destroy session/stream instead of unreffing it in raw tests

commit f2bb626523363316dc3451472130d38b0dc8d30d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 16 12:15:51 2011 -0400

    test: Check for state change failure

commit fb7fa764c3d5abeb0760b106397efbdb898c92a9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 16 12:15:13 2011 -0400

    raw: Don't make all test fails on critical

commit c51fa775f003b5b9fcc8df1ce7fc833691a693b6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 21:44:40 2011 -0400

    python: Remove .dispose() methods, they've been replaced by .destroy()

commit 23ce62d4af95759e0c56885edf2423d7214f14da
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 21:42:28 2011 -0400

    tests: Call fs_session/stream_destroy in the tests

commit c54795623db610a99362d030c926467019ae447d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 21:42:24 2011 -0400

    rtpsession: Protect callbacks from the stream against session dipose
    
    Session dispose can be called manually, the callbacks from the streams
    should be protected against it.

commit 365cd55a62deddbffd98ce114b027ada2b364846
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 21:15:18 2011 -0400

    rawsession: destroy stream on dispose

commit 3bdf7667759e5c4716040a236b0eaa4987feac27
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 21:12:46 2011 -0400

    rawsession: Remove unused code

commit 240c86ca4472ab83ace61d00c89a544ebd04d95e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 21:11:53 2011 -0400

    msnsession: Destroy stream on dispose()

commit d04e03aa89f266e1f8f44eab8db6fd2aefb8d571
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 21:09:50 2011 -0400

    rtpsession: Destroy stream on dispose()

commit 643096fc4444d5e54bbba6247f481796dcf08615
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 20:08:29 2011 -0400

    session: add _destroy() method
    
    This will remove all references to other objects and remove
    it from the conference and _destroy() all of its child streams.

commit 9bf185861238db37c973a1dfe497888eb5ea7598
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 19:48:42 2011 -0400

    stream: add _destroy() method
    
    This will remove all references to other objects and remove
    it from the session.

commit 4f5d87bc48fd2d595427b2deda307db3fd66215e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 17:35:17 2011 -0400

    conference: Remove BaseConference
    
    Merge the FsConference interface and FsBaseConference
    
    All the plugins will use the base class

commit 942c16ae7de74774e9d3466b82a60d9bf109d2cc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu May 12 16:14:25 2011 -0400

    stream: Rename fs_stream_get_src_pads_iterator to fs_stream_iterate_src_pads
    
    This is for consistency with other Gst elements

commit d7057e4088d6b03628fb1c574bd4e8c2a4fdaad1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu May 12 16:10:02 2011 -0400

    fs-conference: Rename file from fs-conference-iface.[ch] to fs-conference.[ch]

commit 43050cc249532c66d957980259b2b57816db3269
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu May 12 15:58:46 2011 -0400

    codec: Remove ABI/padding from FsCodec

commit abfbf593d6c6834280d0d5dd6266eb51a903070f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 16:55:11 2011 +0000

    Rename fs-enum-types.h to fs-enumtypes.h

commit 0d96bce3ebbb625bf570394729556b8d2324ab75
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 16:40:05 2011 +0000

    interfaces: Remove fs-interfaces
    
    Use nice-interfaces instead

commit ee625ac37479928550ce9f4d47a003388ed47b0f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 16:34:17 2011 +0000

    msnconnection: Use nice interfaces

commit 1eb6d734e100cbacd7dddefaf0ea03be59f9400a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 16:08:18 2011 +0000

    rawudp: Use nice-interfaces instead of fs-interfaces

commit ba8b7d2818e7a78de47d40cc3aa4594458bb0193
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 9 11:25:04 2011 +0000

    session: Remove transmitter creation from fs_session_new_stream()

commit 49f40c71c2073c94c8f824e3bd1d7594211dc2e9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 18:33:43 2011 +0000

    msnstream: Port to use only set_transmitter
    
    also ported the tests

commit 9f8848ea4ed24b7aa66d509be5507b02dfa28dd8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 18:16:22 2011 +0000

    tests: Use set_transmitter for raw tests

commit 4aa321820f8c6b99d034c8ec5c7b391e4fe04b4e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 18:00:04 2011 +0000

    tests: Use set_transmitter for rtp tests

commit 0c8d9f6f03f908b1c9579ffc1f677baf5bed09db
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 17:41:26 2011 +0000

    tests: Remove unused header

commit 2589b0aec011871f942d89a74e41360a05d41aa5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 17:33:39 2011 +0000

    msnstream: Implement set_transmitter()

commit 3b462a9d63fc0dfbfe7eb91d962c4771236e1bc5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 17:04:56 2011 +0000

    rawstream: Implement set_transmitter()

commit 49839f32d48adef791c5280c6bd6c236030f17de
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 7 18:56:17 2011 +0000

    rtpstream: Implement set_transmitter()

commit b1524b5456537db80ffe60f970926ad1c447a058
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 7 18:29:48 2011 +0000

    stream: Add set_transmitter() method

commit 71decc1a43524d7a32e1b75a2bf256a7dba3a33a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 7 17:45:04 2011 +0100

    stream: Remove set_remote_candidates() with add_remote_candidates()

commit f8af52d65a721585e4b9125a92e1b1f65448f8dd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 7 17:30:02 2011 +0100

    streamtrans: Replace set_remote_candidates() with add_remote_candidates()

commit 4d3b2521dcaf27f5fd5682a45a723b495c98b4bd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 7 16:24:45 2011 +0100

    session: Remove "codecs-ready"
    
    Now "codecs" is NULL until the codecs are ready

commit 8b0c48cfc07464dc993ccca4c6635430c2bf3272
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 7 15:40:13 2011 +0100

    shm: Use force_remote_candidates instead of set_remote_candidates

commit 8f1682fdb15dda2aa0081cee0e05461a1ec5cdb9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 7 15:39:42 2011 +0100

    rawstream: Implement force_remote_candidates

commit 252ce36964bf77858590e3f3a56d43b74718ff2b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 7 13:13:00 2011 +0100

    rawconference: Remove cname parameter from new_participant()

commit 9ba53f18d80976f12d4e4ca63d1b54cb0fdc7cae
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 22 18:12:02 2010 -0500

    session: Replace FS_DTMF_METHOD_IN_BAND with FS_DTMF_METHOD_SOUND

commit c63836b5b6b662b80ef6bea2d5365cea313fe42c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed May 5 13:17:31 2010 -0400

    rtpconference: Pass the SDES GstStructure as-is

commit 631cad73bf08ae9c5b828d315f09ba659a835bb8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed May 5 13:19:42 2010 -0400

    gui: Remove usage of sdes-cname property

commit e1e9025c2aa3a9effc2f9fb17ff92eb2903b6bb9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 4 20:29:23 2010 -0400

    codec: Remove special ptime/maxptime

commit 56654e9555d741bbf4327f17b8c4e972de6b40b2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 20:54:34 2009 -0400

    multicast: Use force_remote_candidates, not set

commit 6fe8daabcf8ba6fff6e7926330c6c4d64327a88c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 20:36:47 2009 -0400

    rawudp: Use force_remote_candidates, not set

commit 1e79915c6e26e57aafc91766c2fdeb9d08fe6d24
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 20:01:11 2009 -0400

    session: Remove debug-msg from error signal

commit 93491d1e99f3362023800094717b74ce546920dd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:50:05 2009 -0400

    stream: Remove debug-msg from error signal

commit cee1670b7a34e9de31bedbe5b7e4b7172b3225e2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:39:47 2009 -0400

    transmitter: Remove debug-msg from error signal

commit af9c99feca26c3ca44dc321006ef4cc748100d44
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:32:29 2009 -0400

    streamtransmitter: Remove debugmsg from error signal

commit 720630513361d7f4ce7fe4e4108a96d6d5914fd3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:24:34 2009 -0400

    rawudp component: Remove error debug msg

commit a0b8044350a2030402a220555003f24964309d2b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:19:42 2009 -0400

    examples: Remove debug-msg

commit 6632c4111ce4e03585b18620a14464242ed78467
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:18:24 2009 -0400

    tests: Remove debug-msg

commit e90b7f50ab103d8769eb0e0c3653bcffa67ffbd4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 20:02:35 2009 -0400

    conference: Remove debug-msg from documentation

commit d41576225f9c6b31568be6453365d34b3dcc1077
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:03:27 2009 -0400

    streamtransmitter: Derive from GstObject

commit 6fd405efd6ecc1425e4eda9728b397e9a1e6f1de
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:02:59 2009 -0400

    transmitter: Derive from GstObject

commit cf9e24032510df0bea3e43fd49a62d88ebb79ba3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:02:32 2009 -0400

    stream: Derive from GstObject

commit c7b41d372cbc875f9748d202d1359c6e17f9f303
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:01:54 2009 -0400

    session: Derive from GstObject

commit b82a0f9bc0a6f8d19a153650e3bf1af60935a902
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 19:01:03 2009 -0400

    participant: Derive from GstObject

commit bebda696501be2868113f06d979a10b35acb5754
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 18:56:42 2009 -0400

    participant: Remove unused error signal

commit 6c479966098c96dce8b715cd8fa3f375d67fbb15
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 17:57:39 2009 -0400

    participant: Move the cname property to the RTP subclass

commit b1357f194fefaf3b2b119585383a386fff8be0a0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 18:52:03 2009 -0400

    conference: Remove cname parameter from new_participant()

commit 29a7936ba2a08dc4b4f40daae41d40c2fc601b29
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 17:48:51 2009 -0400

    Remove unknown cname error

commit 0ad38341d101fbf7942e8bf9b08703acb7fdf6e4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jul 25 17:48:27 2009 -0400

    Restore full padding

commit 3ebc62d310bf31db6931ccfe1a1d5ea11588c0e0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 9 18:02:18 2011 +0000

    Build introspection data

commit 09b6afa0ade08c64c201a2ee8d458f493a027720
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 9 18:05:54 2011 +0000

    Add introspection annotations

commit 67d47857389ed45fbba4e7789f6ba92051dda2bb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 17:20:26 2011 +0000

    elementaddednotifier: Add defaults function

commit 73851cc96165c5df80c0379e3688cc6eff96cfe0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 11 15:20:16 2011 -0400

    codec: Make FsFeedbackParameter into a Boxed type

commit e536c5e0b57f8f0becb5566a2d12bbf8d6f5c2f8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 9 18:06:52 2011 +0000

    codec: Make FsCodecParameter into a Boxed type

commit f0f07f51f14a91d9dda04ef86cae221f154df55b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 9 18:06:37 2011 +0000

    Put enums in introspection friendly format

commit b468d0864a2c105a0026a8db5364156f041f64bc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 9 14:29:25 2011 +0000

    lib: hide the _fs_base_conference_init_debug symbol

commit 54f2bdf02ba3b47c83ca411d4a31f08bcbe2ff14
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Oct 10 16:24:42 2011 -0400

    Version 0.0.31.1

commit 68056b822543998b4943ea2648845b8fb62e579f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Oct 10 15:59:44 2011 -0400

    Version 0.0.31

commit f7441b7b8d24cf310a06d385f1242cbc47257bf8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Oct 10 12:09:00 2011 -0400

    rtpkeyunitmanager: Make sure the variable is initialised before using it
    
    Bug reported by Sjoerd's compiler

commit 6fd0f858a666097ccad7bcdbfa15c3b6b4ad5109
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Oct 10 12:10:26 2011 -0400

    tests: Check for passing the config data through the remote codecs

commit 17884a6c9aa1847441821f0958e978d39f7c6ccb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sun Oct 9 17:30:09 2011 -0400

    rtpsubstream: Restore the capsfilter for the recv caps

commit 802862f9dc0cc8dfde51e647c0625a6c289e27c7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sun Oct 2 22:00:59 2011 -0400

    rtp: Disable TFRC from default config

commit bd43fb41e48b131dc21f88bb456d05a3931a9284
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sun Oct 2 21:55:51 2011 -0400

    rtpkeyunitmanager: Hardcode FIR type in there as it's not in libgstrtp yet

commit 0ce4e886950c7d56ed40aa939a521abd7c7a1540
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Sep 30 17:46:15 2011 -0400

    rtptfrc: Deal correctly with the other side resetting its algo
    
    So it works fine if the other side stop and restarts sending.

commit 4fcf2d71a65fde17b5c1bf4e044b63e28a4bb619
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Sep 30 03:25:23 2011 +0300

    bitrateadapter: We don't hold a ref

commit 829928c7854754b173136f5617d298d09ff9bdc0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 29 18:50:23 2011 -0400

    rtpbitrateadapter: Make sure the async clock callback not called when in the wrong state

commit 4b31587e7fe714ff5e197ae730f6c05002b5521d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 29 20:28:49 2011 -0400

    rtptfrc: Clear byterate limiter when one stops sending

commit e7cdc578e781d7da57b1dbe8c6ce5375173b44cc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Sep 28 17:50:02 2011 -0400

    rtptfrc: Invert the API, reduce the footprint inside FsRtpSession

commit 529b9b62ca72baf24260930663e2fd0e3c61e7d6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Sep 28 14:56:38 2011 -0400

    rtptfrc: Dynamically add and remove the packet modder

commit a799325d87830947e62a1c43dd22ceb8488693a3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Sep 26 19:01:01 2011 -0400

    rtptfrc: Reset tfrc algo when we stop sending

commit 6abf465c7227b679c074afb2d4befe794fb71d25
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 13 16:07:48 2011 -0400

    rtptfrc: Print warning when filtering out TFRC

commit 0cfd3c8a5fb2038a96908bb7d6d12361cbf94741
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 13 16:07:18 2011 -0400

    rtpbitrateadapter: Remove g_debug

commit c11f3aa0470ae9727bb6f4f752748355c4c33e57
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 13 16:06:54 2011 -0400

    rtpbitrateadapter: Allow lower framerates if higher ones not available
    
    If the higher framerates are not available, allow the lower ones

commit 62fd2e5df73d323d7d920968e6d238b0a823b17c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 13 16:06:10 2011 -0400

    rtptfrc: Use the right URN for rtt-sendts

commit 5a5a309d21e37ac1f8c36993638102591aee98ba
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 8 21:32:21 2011 -0400

    rtpkeyunitmanager: Add object to disable automated keyframes when they're not needed

commit 8cc3956dfe71f9a44209912cd64262f946f7c64b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Aug 29 20:01:38 2011 -0400

    rtpbitrateadapter: Let template caps through
    
    Let template caps through so someone else can use a different algo to pick the resolution
    and framerate.

commit a669c2a7de33f0da40707504089af9c2e1f3174c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Aug 26 12:12:58 2011 -0400

    rtpbitrateadapter: Emit message from the fs-rtp-session

commit 095475e2eb9b703de4736d851860f167ad625ba0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Aug 26 12:12:34 2011 -0400

    rtpbitrateadapter: Add _new function

commit c576f3e07d1d85085a1a16ac0954cf2728d3b34f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Aug 25 22:29:13 2011 -0400

    rtpbitrateadapter: Name variable more accurately

commit 245081f2dc8fbd168ed89f5e6113a12959239d4b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Aug 25 22:14:50 2011 -0400

    rtpsession: Integrate bitrate adapter
    
    Attach the bitrate adapter

commit 2dade46d6236ac39751b2ecdf26b0301de721ad2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Aug 23 16:52:01 2011 -0400

    rtpbitrateadapter: Make resolution adaptation more sanely
    
    Adapt to mean-stddev bitrate, hoping that this is a good long
    term value

commit 76946b6ba9474a3536757dda9514ca6cf4d63aa2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 28 14:23:07 2011 +0100

    rtp-bitrate-adapter: 20 sounds like a good number

commit 336ac9e99bf4a9fc58bfdf659706157f7e5a80a2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 28 12:14:40 2011 +0100

    rtpbitrateadapter: Make updates always at least 30 secs appart

commit 99dad90959932c47a14d151e5ed62bdb0e537ef0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jul 27 16:18:05 2011 +0100

    rtp-bitrate-adapter: Remove unused rtp caps

commit f138ad007fdec708807020c3a817430bfc280571
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jul 27 18:57:50 2011 +0100

    rtp-bitrate-adapter: Simplify the algorithm
    
    Only allow some fixed resolutions and then bracket them by bitrate

commit 02ee31d7917dab248928d1ea173ad721a56cb347
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jul 27 18:56:19 2011 +0100

    rtp-bitrate-adapter: Replace buffer-alloc with property notification
    
    The source probably has to be restarted, so give an indication to the application

commit 08cfb22915ca286bf89c528d0061337901e9506e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed May 4 18:11:08 2011 -0400

    rtpbitrateadapter: Wait until the end of the interval to force a change
    
    Don't force a change before the end of the interval

commit 559a85e00a7648736d7c6a99c66cbf7b6b30ea19
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 3 15:12:56 2011 -0400

    rtpbitrateadapter: Add element to adapt resolution/framerate based on the bitrate
    
    New element that will generate a caps change if required

commit b59f3ceb78007613bcaa97bc589ce30d65713b62
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 26 17:05:21 2011 -0400

    rtptfrc: Move parameterless initialization to _init

commit e9e2f5b37a73b8113aa37aab7476ef026bd50a74
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jun 22 16:06:30 2011 -0400

    tfrc: Turn on inst_rate by default

commit 5628addcf92446342d65f3a85cdf9aec735c539d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jun 22 16:05:28 2011 -0400

    tfrc: Update inst_rate on no-feedback too

commit d83f037cda8583ef4ae41737dc851d9af6b4591f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jun 16 02:46:44 2011 +0300

    rtptfrc: Centralise bitrate update

commit 60c42af6acd76dad8a43a24c1a3fc7c3f5e18628
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jun 13 20:20:54 2011 -0400

    tfrc: header size is a constant, treat it as such

commit 11120f09b8adeae2f977f0be0dcd4f828fe9d3be
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jun 13 20:19:36 2011 -0400

    tfrc: Start at 20kB/s instead of the default 1.5kB/s

commit 32ef8661beddbb77fbb885333d9f830221411553
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jun 13 14:57:26 2011 -0400

    tfrc: Only use inst rate once it has been set

commit 8e9a92e86ff811d3c0e7d13688f4f5e042ebc004
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jun 8 18:38:26 2011 -0400

    rtptfrc: Make sure the time variable is initialized before using it

commit 99000fb1accee361d7b897bfa8763938b5dcd7d4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jun 8 14:28:34 2011 -0400

    tfrc: Make sure the feedback packets are not supressed by mistake

commit 5f2252f30feaee936b957afa6e019f48609a2041
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jun 7 14:34:02 2011 -0400

    tfrc: Don't start the feedback timer before the sender RTT is received

commit e3eb402a7311e49fbe3fea093043613d02060c2f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jun 6 18:24:54 2011 -0400

    tfrc: t_mbi is a constant so capitalize

commit 491818a636a09d4e361a299191fde12f8125f759
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jun 6 15:05:57 2011 -0400

    tfrc: Wait at least 20ms before declaring a feedback packet as lost

commit 311104492ccbe0c86a5a7a1bd2c9972293c71087
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jun 6 15:05:06 2011 -0400

    tfrc: Switch over to using usecs instead of msecs

commit e7997447a7726f0b5fecfdaf951b855154ad8312
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jun 3 18:17:03 2011 +0100

    int64 in tfrc

commit 1db256e6be79b199141e9831db23ec496118a7d9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jun 3 17:43:28 2011 +0100

    tfrc: Use gst_util_uint64_scale_round when it is useful for added safety

commit 0b775c19015d4e1fe15652d45d3999c2ea208c5e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jun 3 17:05:35 2011 +0100

    tfrc: Replace 1000 with a define

commit 3162db28947078dc8a5c49b92a09ebee6a2de47a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jun 2 18:23:40 2011 +0100

    rtptfrc: Make the on-the-wire timestamps be usecs

commit 66f1ccbf7c3abb89625b3a07bd1b91349f360af5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jun 2 18:15:30 2011 +0100

    tfrc: Use guint64 everywhere to refer to timestamps

commit fd293eda533722a79be2d31b774c9c1518e0adb7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jun 2 18:03:44 2011 +0100

    rtptfrc: Use guint64 for all timestamps

commit 319ccdcff14cfd9bbe1c562e6c6db1b6857b6f38
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jun 2 17:54:25 2011 +0100

    rtptfrc: Deal with ts cycles for the sender side

commit 55daf846ab30a8ff6d057395f951d7a38855fe17
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jun 2 13:58:40 2011 +0100

    rtptfrc: Handle ts rollovers for incoming RTP packets

commit eaae463a9773521699f6f6d0dd4149a44ec1f1a0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 24 17:53:53 2011 +0300

    tfrc: Print recover rate when halving the rate

commit 5580981d0d7d2197f301ef56633c8b5c535bb1e7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 24 17:37:39 2011 +0300

    rtptfrc: Ignore timeouts that are called after their ID has been removed

commit 103f349765ab52612ec7200333804b3676e7539b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 24 17:14:17 2011 +0300

    tfrc: Recompute initial rate when RTT changes
    
    The initial rate is really a function, not the actual initial rate,
    so recompute it every time. The RTT might change during a call, so the rate
    used as the recover rate should use the updated RTT.

commit bac20153465fd898ffb47f80b935e4ca44e091a2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 24 17:50:39 2011 +0300

    rtptfrc: Add debug message on sending RTP

commit c4db37c1aa1e27ac866e6b3863c8b096b81a2534
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 23 20:29:57 2011 +0300

    rtptfrc: Use GST_*_OBJECT logging macros

commit 71ac7b25d46ae0f5458a9aea129d47742607f23a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 23 14:12:55 2011 +0300

    rtptfrc: Time in async clock feedback is requested time
    
    The time in the async clock feedback is the time the event was requested for,
    not the time when it was delivered, so let's read the time from the clock again.

commit 99d5ff3881bb979b4d813f5c28bcac223259ae98
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 23 14:09:11 2011 +0300

    rtptfrc: Don't ignore reports with 0 RTT
    
    A RTT is 0 is valid, it just means its less than 1 ms, like on a loopback
    device

commit 606954d9610a9e7256f1e3b007cc5d752c99fecc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 21:10:38 2011 -0400

    tfrc: Correct debug message, p is not required

commit f7e4bafe2b3c73418c6fef8ec62d0480d54137d5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 21:05:50 2011 -0400

    rtptfrc: Add source to hashtable when its ssrc is found

commit 09dcfa6a68db36f7c0ae7553902f62879193ab55
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 19:20:55 2011 -0400

    rtptfrc: Remove unused get

commit 48188ecbc99f70e4ced43ba029e1f0c97915e74e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 19:20:40 2011 -0400

    rtptfrc: Mae sure the last src is set on validation if possible
    
    If a source is validated before getting any rtcp message from it, then make it
    the last_src

commit 2faff4a788d45efa50be8510fb0a743c9fa27684
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 18:44:14 2011 -0400

    rtptfrc: Remove duplicated on-ssrc-validated hook

commit ac610ac59521e5fc309178bc062a1a04117b8ef6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 18:06:09 2011 -0400

    rtpsession: Only add tfrc once
    
    Add tfrc once, and only to video for now

commit 87e7fd221a723ee6a90b69b5a7886bc54d5ee014
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 17:52:54 2011 -0400

    tfrc: Rename on_fb to fb in debug to avoid confusion with no_fb

commit 49ac37140fc68c66ea46d535ac37f9490083befa
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 17:30:37 2011 -0400

    tfrc: Don't halve rate if no packet has been sent
    
    This is the second case for RFC 5348 4.4 1

commit 0cd5347bc9931cdb360063f1dcdfb45b464bb692
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 17:29:33 2011 -0400

    tfrc: Don't let averaged rtt fall down to 0 even if its lower than 1ms

commit 8f8265d39d3864d75fca1d1c21ab450d6ed2ad56
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 13:30:24 2011 -0400

    rtptfrc: Only reset the feedback timer when feedback is sent
    
    Wait until the feedback is sent to set the new feedback timer, the time of
    the next feedback message is only computed when the next one is ready anyway.

commit 6e8c87f94d9c0d298a6d8d85c6233f19d4211336
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 20 13:21:37 2011 -0400

    rtptfrc: Hold lock while modifying object members

commit 0e6ccbd48a26d5f6288f1f85a95a015b9e8c295f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 19 17:10:44 2011 -0400

    tfrc: Fix -Wunused-but-set warnigns from GCC 4.6

commit cbadf0d0c4ab5e09039da470667c4abee2030bd7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 17 17:54:18 2011 -0400

    tfrc: Put %p of structs in debug

commit fd47b72b355e7e8a805d6de568795112a96e61d8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 17 17:09:53 2011 -0400

    rtp: Put nack/pli and tfrc in the default codec where appropriate

commit 089367412cdda0f4bb121d2dc0fd655e0cbb5ef3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 17 17:09:14 2011 -0400

    rtptfrc: Ignore sender timer if the source's sender is gone

commit 0561312154da7f6e5a9a1ce418de3b88fc3dd826
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 17 17:08:40 2011 -0400

    rtptfrc: Don't leak clock ids

commit 0bfb497bfa1f32310e81fc31501da16c0c8787d4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon May 9 14:13:23 2011 -0400

    rtptfrc: Disable syncing without a valid timestamp

commit 72d9fcbee6369d5d81ce6a35579f83ea0a6e6cb6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon May 9 14:11:40 2011 -0400

    rtppacketmodder: Reduce some debug messages to LOG level

commit 2846c431f146f163d7d51e620b2c150087def716
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 21 16:08:11 2011 -0400

    rtpsession: Don't set bitrate from tfrc before getting the codecs
    
    Only set the bitrate from tfrc once the codecs have been set

commit 624fe60999db909f082795a0a8a5d1f9a034ecd8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 21 15:53:51 2011 -0400

    rtpsession: Don't leak rtp_tfrc
    
    Don't leak rtp_tfrc on dispose

commit d7b30527ea1a0f4791d6bc1480ab2781d3bed59d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 21 15:51:59 2011 -0400

    rtptfrc: No instance is required for the filter function
    
    Filtering codecs doesn't require a FsRtpTfrc instance, so don't depend
    on one

commit ac639f6ea761fa147d61735496035010e2e0548c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 20 20:06:23 2011 -0400

    tfrc: Estimate segment size to compute the initial loss interval
    
    Estimate the segment size to compute the initial loss interval to try to
    reduce the amount of the jitter at the start of the connection

commit f79821d257f813240f900c62c762f3a131289124
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 20 19:20:40 2011 -0400

    tfrc: Use computed average of the segment size at the sender

commit 761f4ac5c9b398c79930e0766aab8ad82c7c5e0c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 20 17:44:12 2011 -0400

    rtptfrc: Print changes to the sending rate

commit f7c1a65a830ee1c4d8d5b1f9b813e00a53edbcff
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 20 17:42:38 2011 -0400

    tfrc: Add sender-side debug prints

commit 3e363a98dcae442269e6ea7d70116330b25e0957
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 20 17:40:53 2011 -0400

    tfrc: Produce separate debug for sender and receiver

commit 9d03ab1071e68d3699948d44aa023100db9c5965
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 20 16:50:00 2011 -0400

    tfrc: Compute the first loss interval correctly
    
    Follow RFC 5348 section 6.3.1 to compute the first loss interval
    from the interval that would have been required to produce the observed rate

commit db369c1dd7596c072dd7cfc6e5eabcf103820732
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 20 13:44:30 2011 -0400

    rtptfrc: Work around slighly misordered packets
    
    Need to make it more reliable in the case of timestamp or seqnum jumps

commit d84189f6f7ee702b31dec21437a9f33cfccbbb73
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 19 18:56:10 2011 -0400

    tfrc: Correct comment on TCP throughput equation

commit ec9e01708e07e1f374b71d67836afa17b9cc40c1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 19 18:55:08 2011 -0400

    tfrc: Reformat TCP througput equation

commit a929687ff3ebd8ec945e7e01cb92bb5036e12c6d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 19 17:17:44 2011 -0400

    rtptfrc: The bitrate its in bits/sec, not bytes

commit 2900e3669f0bec502596fe80e88ec5f6646c3079
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 18 17:15:39 2011 -0400

    tfrc: Remove dangerous loop and replace with a direct computation
    
    If there is less than one packet received in a RTT, then just jump to the next
    packet to compute the next loss interval.

commit 01a993a9f921b677b64eb6372f72128504d32a55
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 8 19:31:48 2011 -0400

    tfrc: Remove max_index < 1 assert

commit fbdf83284ec339f86b48bcba19bdbd9b79c853a8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 8 18:03:07 2011 -0400

    rtptfrc: Split packet modification and synchronization

commit e3506a7f31343bfe10a143398a3b2c32cbc3ac11
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 8 17:56:37 2011 -0400

    packetmodder: Use do/while for do/while

commit 237d7a0bb88b71b637fa324553b67bc276788a76
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 8 17:55:56 2011 -0400

    packetmodder: Sync on ts, not on buffer

commit 305049bf9d2370e8d9065d55de041a06cb9bc366
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 8 17:53:30 2011 -0400

    rtptfrc: Remove BufferList support
    
    Let's try to learn to walk before we can run

commit f302ddbf87aee9ee3b584ea1735f677f8dcc479f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 8 14:52:42 2011 -0400

    packetmodder: Factor out clock sync

commit 50688ff3170dcf5ce1b6802ec576f4489e468b15
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 7 19:06:29 2011 -0400

    tfrc: Verify data limitedness through throttling mecanics

commit 425667e528f1615fc6578d45e54b2b6bb5d5c59c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 7 18:49:28 2011 -0400

    rtptfrc: Delay packets to strictly enforce sending rate

commit 31c3d5d13acbb53e8ad584830e5f714fddcd93b5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 7 16:43:42 2011 -0400

    rtptfrc: Remove implemented TODO

commit 4047b09502bb4b9f8ab9e973da7f9046bd9a2afc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 7 15:25:05 2011 -0400

    packetmodder: Sync buffers to the clock

commit 8b1b112bfc1dfe5f3970961923c4e94799a23329
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 7 15:11:09 2011 -0400

    packetmodder: Always merge groups

commit 3a7b38163e831709e5e65566b4c45f306eb09cdb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 7 14:53:01 2011 -0400

    packetmodder: Don't push on error and return it correctly

commit 0e5b20b77dc5d3546ee1dc1f0ea5222cb64fd2bf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 4 21:02:56 2011 -0400

    tfrc: Simplify adding to history

commit 2be984d331cd3f33b598cde7c51d2600c778efd5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 4 19:57:49 2011 -0400

    rtptfrc: Ignore any feedback packets that are older than the newest one received
    
    This should help make the RTT evaluation better

commit 63dd709f4117debb932b945caccea6bebb6cc4c8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 4 19:46:34 2011 -0400

    rtptfrc: Use averaged rtt to compute the data-limitedness

commit 6f2df7b86c5ed134acb0d07dc44ecf9f5f9d6435
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 4 18:36:34 2011 -0400

    tfrc: Put memmove args in right order

commit dc8afb0a133abfef074106b2086864703ef4d44a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 4 18:21:42 2011 -0400

    tfrc: Pass parameters in the right order..

commit 34952c6e0406ff195d368dd3d29734e172b44580
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 4 17:16:59 2011 -0400

    tfrc: Make sure multiplication doesn't overflow

commit d327807d1f3ab85a7b6dec364893e85555adff7f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 4 15:39:17 2011 -0400

    tfrc: Don't send more than one feedback msg for milli-second

commit c5e9f084eda80f8fe9ed1b6a89de3948b35e054f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 1 20:03:32 2011 -0400

    rtptfrc: Don't try to access tracked source before fetching it

commit 9441e312e7c38ec5a8802489160ab5b4c6875ee0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 1 17:46:48 2011 -0400

    tfrc: Make sure we don't exceed G_MAXUINT

commit 8ebddda90a3af157c4ee4f92585366894f931002
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 1 17:45:12 2011 -0400

    tfrc: Simplify getting max recv rate

commit 887bcd5c9baffa870c3253048ffb4ee85d620d41
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 1 17:11:53 2011 -0400

    rtptfrc: Make sure bitrate doesn't roll over G_MAXUINT

commit 379efade84388e0a7686bc3e9c52ebe5d48d3341
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 20:30:44 2011 -0400

    rtptfrc: Only send requested feedback

commit 0ff0d3a8d2b017b77970ea8c91ef1ab8a2623ea2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 20:19:04 2011 -0400

    tfrc: Use R_(m-1) instead of R_m for x_recv computation

commit a8aa29c1f956fae5d599ba1fe98cc13c6c77ce5d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 20:02:18 2011 -0400

    tfrc: Compute x_recv and p as the last possible moment

commit 98da8cfd36dc7edcd702b5589d8040eca348b554
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 19:03:04 2011 -0400

    rtptfrc: Track initial source more directly

commit 2a18366132e9b1497b05988d5f6c30f7b83ce414
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 18:37:29 2011 -0400

    rtptfrc: Fix first rtt detection

commit d068041c4b243ba59dd7cb3442745c675cb61135
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 18:37:14 2011 -0400

    tfrc: Sync max rtt handling

commit ed4e043547719a34ed7c619429d55d578e11eb6b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 18:11:02 2011 -0400

    rtptfrc: Verify sender pointer before using it

commit 063504feb8f8e053085ccb817039885de35c7a7d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 17:51:40 2011 -0400

    rtptfrc: Start timer when creating sender src on first sent packet

commit b4ba7ff6584d0d03808e99e5911a1900a427dc5e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 17:48:50 2011 -0400

    rtptfrc: Created tracked source as first as the first packet is sent

commit 89a7b9e85c20d4939d498679939babeb243297da
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 17:48:31 2011 -0400

    rtptfrc: Factor out TrackedSource allocation

commit b7d53ff611d821b1056e02317111cf495e8d8d86
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 17:47:14 2011 -0400

    rtptfrc: Rename free function

commit 78d40c279bd22d41b8d2b084d4ed35bf2c7f9afe
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 17:36:13 2011 -0400

    rtptfrc: Remove unused variable

commit 369a34222db9ad5b6725af9dd6e0ec3e71d43617
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 17:03:36 2011 -0400

    rtptfrc: Tell all tracked sources about sent packets

commit 9bbe1bdef7cffe0a254559c4168a5dcb2421f698
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 15:55:42 2011 -0400

    tfrc: Send initial rate if TfrcSender not initialised

commit c2ca73e3f1ee9df67309ba647b8cbdc08ced49ba
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 15:40:57 2011 -0400

    tfrc: Use RTO to set nofeedback timeout

commit 710a339651e6f3b0d3902e341559528add908090
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 15:32:24 2011 -0400

    tfrc: Keep track of sending packets

commit 1fab89561bb579c4492e00f0eec56b3a335f14a2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 30 15:20:35 2011 -0400

    rtptfrc: Add some G_LIKELY

commit d669712bcf6d6e81ecabfe342dbfd8725eb106b6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Mar 28 17:30:46 2011 -0400

    rtp: Set tfrc rate from start if enabled

commit f3946c186204bed23f8a3156be25d85d5b4b2a34
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Mar 28 17:30:27 2011 -0400

    rtptfrc: Lock codec negotiation

commit 25f38e115a25584abfdffb392561ce14a1ddbc16
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Mar 28 16:35:06 2011 -0400

    tfrc: Smooth out sender RTT at the receiver too

commit 3d5b1d5502b13708a70eaba0ed40af83c190c4f1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Mar 25 16:39:57 2011 -0400

    tfrc: Don't emit seqnums outside of the seqnum interval

commit 48f5dce4841fb0c6eb2a0c14ca8b68ec5c07b02b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Mar 25 16:38:03 2011 -0400

    tfrc: Add a bit more debug info

commit 29d739b0eb553ab290aeb32e22a89e66ba934d20
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Mar 24 17:03:57 2011 -0400

    rtptfrc: Send averaged RTT as sender's estimate

commit b294cd3af2fdb5b243408b554f544389a5d8fcc7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Mar 24 15:42:02 2011 -0400

    tfrc: Remove artificial bitrate limitation

commit 3df89593f60540c824b8ba3c7977e2c36c8dc160
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Mar 21 17:53:20 2011 -0400

    rtptfrc: Correctly send max_delay as a guint64 to "send-rtcp" action signal

commit 11bdb4c7e6a261211726354973272afda526aee4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Mar 1 21:04:02 2011 -0500

    rtptfrc: Fix leak

commit 53abb8407ef88b9a83a979eeaf8b66f3960ac112
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 3 15:12:31 2011 -0500

    rtptfrc: Keep list of codecs that do TFRC

commit 0a9ed8aa73c19de4f53babca31da770483ff1bfc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 3 15:56:07 2011 -0500

    rtptfrc: Only send TFRC feedback if hdrext was seen and negotiated
    
    When getting a RTP packet, ignore it if it isn't a type for which TFRC
    feedback was negotiated.

commit 464ab51e47e350616ecd9eda85e91c8b5917e3ba
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Feb 18 17:47:38 2011 -0500

    rtpsession: Print debug message when setting bitrate

commit 93289c67af7d79bcaf79b7923543a463e22c9cce
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 2 17:17:48 2011 -0500

    rtptfrc: Use the hdrext id that has been negotiated

commit bd07039094eca57182d71314c0d32bfbc32c4b44
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 2 17:16:57 2011 -0500

    rtptfrc: Negotiate the TFRC hdrext and rtcp-fb parameters
    
    Add a new negotiation filter for TFRC

commit cd1a0831ef6d326db90380d20e4d57ea1887d555
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   Tue Oct 19 17:16:10 2010 +0100

    tfrc: Fix loss event rate computation algo again
    
    Fix some more bugs in the loss event rate computation, also
    add some optional debugging code to find future problems.

commit dba378765d06da5503e43271937bb27f7feb0570
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   Tue Oct 19 17:10:54 2010 +0100

    tfrc: Add method to use the instantaneous rate to reduce oscillations
    
    This is suggested for slow links by RFC 5348 section 4.5

commit 4bea2b47a388e17bc33741163361ed79420c389a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Oct 1 17:59:19 2010 -0400

    tfrc: Correct computation of the Average loss rate

commit efded9e57eb6262c5b253162f3ef7c79aac5e67e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Oct 1 17:44:01 2010 -0400

    rtpsession: Print the bitrate as unsigned

commit 0794a03f983724343824f7f59264e5d6ca3981c8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Oct 1 17:43:38 2010 -0400

    tfrc: Put a a ceiling on the sending rate

commit 43610eb5dc708e8d0c8adad11595e07ca969ebec
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Sep 27 20:07:57 2010 -0400

    tfrc: Make data-limited checker work

commit 29b7d3882a53dc5acf68e4c61ef60ec6475f7b88
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   Mon Sep 27 23:43:10 2010 +0100

    tfrc: Keep a minimal history in time
    
    Keep a minimum of 10 RTTs of packet history, it may be a bit too much
    but it works better if we have lots of packets lost one by one.

commit 3a137c0230e869660f4b895b19b4972522c29c15
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Sep 27 16:21:48 2010 -0400

    tfrc: Re-do the algorithm to find loss intervals

commit d31d9e688e3fc64caaec815878f72bac2fcb052c
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   Fri Sep 24 01:37:14 2010 +0100

    tfrc: Document another case

commit 0854a8b31a5efce57b76b0871aceb0d9c218e16b
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   Fri Sep 24 01:36:23 2010 +0100

    tfrc: Fix loss event rate computation

commit 6af55efa666148cafcaface86f424bc80604dd3e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   Fri Sep 24 01:33:04 2010 +0100

    tfrc: Initialise lost_count to 0

commit 571b930d68b233ec7e6901ba3833c77430bdf539
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   Fri Sep 24 01:32:11 2010 +0100

    tfrc: Improve identation

commit 19e519a51df42015dc1b5f7a26cc9fc54a653167
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   Fri Sep 24 01:28:03 2010 +0100

    tfrc: Manipulate the loss event rate as a double
    
    The loss event rate is between 0 and 1, so manipulate it as a double instead
    of a guint.

commit 48b5197fc3cd065e1aeab133c1f38bd3623f63d4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Sep 21 17:43:21 2010 -0400

    rtptfrc: Prevent computer RTT from being 0

commit 75381cf6e3fe2a6ac17b701379e03d03e082d2d7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Sep 20 19:40:06 2010 -0400

    rtptfrc: Transform send rate from bytes to bits

commit 5eb01b9272dc8e77f93f93a493250a2674bd7bdf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Sep 17 16:27:09 2010 -0400

    rtpsession: Print the bitrate as it is being set

commit fece6e17f053214bbeb41cfa00bc08022f39296e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Sep 17 16:23:13 2010 -0400

    rtpsession: Only use TFRC for Video for now

commit 05e6b820e4bd8dfcb650e8a3a8db0136f9d453c7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 15 17:25:58 2010 -0400

    rtpsession: Propagate TFRC decided bitrate

commit 0fec959dfc682d68365bc687e578aaed42b45568
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 15 16:13:02 2010 -0400

    rtptfrc: Export the desired bitrate

commit e9e9a8faa7e1a0a31781c549b04a3fb7165e26d3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 2 21:24:27 2010 -0400

    rtptfrc: Make disposal of timer thread safe

commit 3c7d1d704c9b52031d75870d0c4a3cdec0a99761
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 2 19:55:23 2010 -0400

    tfrc: rate is in bits/s

commit 3f994622b6a4b90b9afba353679bed322bb0d72c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 2 18:33:20 2010 -0400

    tfrc: Ignore if rtt==0

commit 1f50ff51ab24130ebebe6ce04e749a1fa5fae6ee
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 2 17:29:17 2010 -0400

    rtptfrc: Chain up dispose and lock it

commit b28867922130cd67e446ab8219787f19fa7af718
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 2 17:27:12 2010 -0400

    rtptfrc: Stop timers before unreffing rtpsource

commit 0d735588ecc97e64cf420c097104950ca53d4219
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 2 17:21:55 2010 -0400

    rtptfrc: Remove unfinite loop in sender timer

commit a1d501ef09ccd9bc977a21e463fa868096e84446
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 2 17:07:53 2010 -0400

    rtptfrc: Detect if it was data limited

commit d761afff98c281416e0ed0091716dbf6923330f7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 2 16:28:48 2010 -0400

    tfrc: Implement algorithm to find out if a period was data limited
    
    Implement the algorithm proposed in RFC 5248 section 8.2.1 to
    find out if a whole period was data limited or not.

commit cd52003115be86ec7d6c9839b255040ef6204597
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 1 18:58:16 2010 -0400

    rtptfrc: Add log message on RTP packet

commit 50e238a24cd465e77b8616e81fd15a5b399a5be1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 1 18:57:55 2010 -0400

    tfrc: Compute receive rate in bytes/s not per ms

commit a20cc1eda77616249bb094ab22c7f154e6ae24b2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 1 18:57:25 2010 -0400

    rtptfrc: Only call feedback update once on timer expiry

commit 661a5a11d7654870df448523027ffab7a4647b65
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 1 18:11:08 2010 -0400

    rtptfrc: Remove extra line

commit dd8098b9ced9f89628b283a7fc618e8f91e92516
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 1 18:11:01 2010 -0400

    tfrc: indentation fix

commit d2dd64fa6dcccc2ad2b14e3ecae998ad6b5d5c06
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 1 17:14:06 2010 -0400

    tfrc: Try to give a reasonable value if the rate==0

commit aa339af2497d964727eef6a0ceae3fc15d453a9c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 1 17:13:31 2010 -0400

    rtptfrc: Improve RTT debug message

commit a96e572fa86bfc7bd209f6f1512e9d67bfaa5091
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 1 17:11:42 2010 -0400

    rtptfrc: Initialise expiry variable
    
    Initilise the expiry stack variable, otherwise the initial value is random and
    could be the same

commit e794ccc7eee8aef6444f48af25cd1db55324fa8f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 31 19:30:23 2010 -0400

    rtptfrc: Ignore impossibly high RTT

commit b5d625eb9f8bb7032a695ebbb3e411ba37a63902
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 31 19:10:39 2010 -0400

    rtptfrc: Stop receiver feedback timer when freeing sources

commit 1e415ad2301455998b99f0ddccbde68e7eeb3670
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 31 17:32:44 2010 -0400

    rtptfrc: Store last source

commit 1aa9c670ebd6dcf2666123c35fcd5b8dc4ee455f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 31 17:10:12 2010 -0400

    rtptfrc: Prevent infinite loops in feedback timer

commit 5faacbd6c2a32684a6324060a6cb345cde287d9c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 31 17:09:39 2010 -0400

    rtptfrc: Set the RTCP FB packet type

commit b23c6045bcc24608f11562c44b7fd0127565c255
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 31 16:58:20 2010 -0400

    rtptfrc: Read RTT correctly

commit 9f3a93123ee7070696e0f8e56c236fa3a56ede7f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 31 15:31:31 2010 -0400

    rtptfrc: Wait until RTT is received to start feedback timer

commit f185f182ef9a5142634f823248b454127dac833d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 31 15:28:15 2010 -0400

    tfrc: Send TFRC report on every buffer until RTT is received

commit 4c08461f01d52a728ac05e5a30ea3d374b6625da
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Aug 30 19:14:16 2010 -0400

    add some more debug

commit f90e1e7a41c00c1de734b7ef8f261c693ad705a4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Aug 27 22:05:50 2010 -0400

    rtptfrc: Add debug message when sending report

commit 239dadd6ac942ea09aefe3e0f1ef97f5ad10b5d4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Aug 27 21:56:46 2010 -0400

    rtptfrc: Use the right property name for the RTPSession ssrc

commit 7fa817c82c987f88adda25a832e5128158eb0095
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Aug 27 21:48:40 2010 -0400

    tfrc: Initialize reset time with start time

commit c16bca26e8a4b2fb14ff2c608fe00d801afb554b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Aug 27 20:33:20 2010 -0400

    rtptfrc: Add TFRC header before getting a valid RTT

commit c26183a4f9ad1b962c46ca17e5ea5fd3a864e5a1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Aug 27 20:32:58 2010 -0400

    rtppackermodder: Remove extra unref

commit a1df5444af03bbfc8e339e0ee4fe56107f2644fe
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Aug 27 16:59:54 2010 -0400

    rtptfrc: Add debug prints for rate

commit 873e04ba6de4a9e440cd3d74ed683ff6067369d5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Aug 27 16:42:51 2010 -0400

    rtptfrc: Request RTCP packets when required

commit 95b9faaec0d2887a63c5601cf1b59e1eb439d8be
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Aug 27 13:55:32 2010 -0400

    rtpsession: Hook up FsRtpTfrc

commit c87292df93f544b36ce6c3759af013cd9e0788dc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Aug 27 13:54:02 2010 -0400

    tests: Simplify building the codec discovery test program

commit abb1157080923a99f3c8fde5b07816732333c9c8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Aug 27 13:36:43 2010 -0400

    rtptfrc: Hardcode extension type and id

commit 6a2298d5fe913fd2aa726d4c72881c6c019015be
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Aug 26 18:18:00 2010 -0400

    rtptfrc: Remove unsued finalize

commit 9941a6f04ad19477ad112a9f73bef69202bb76cd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Aug 26 18:08:50 2010 -0400

    rtptfrc: Simplify code a bit

commit 0c0a0a9c72551f37538e7e4bbf7c5a66da1e3004
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Aug 26 15:39:31 2010 -0400

    rtptfrc: Add feedback timer

commit e3c4edf631c59690642b3c6ef53c7514dbcf0d7d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Aug 26 13:23:44 2010 -0400

    rtptfrc: Hook up receive side packets

commit 8523d66506067a47092626a7741a23ab835cfa5d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Aug 26 13:22:29 2010 -0400

    tfrc: Export receive and loss event rates

commit 080b69351e61363b9e2e2bdaf751ba6dedabd88d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Aug 25 15:22:45 2010 -0400

    rtptfrc: Parse the TFRC header on incoming RTP packets

commit ec27e98596f988145a470f3072ca0725eb57b1c0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 24 19:54:38 2010 -0400

    rtptfrc: Use sender ssrc to track trackedsources
    
    To use the sender ssrc, we need to create the tracked sources dynamically
    when a feedback message is received.

commit e128be40da0151492f7a55914156de6d678c992d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 24 19:34:47 2010 -0400

    rtptfrc: Move rtt to trackedsource, keep trace of last active src

commit 6148a25ed869119b68de7aa5dc4e2c0b88344415
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 24 19:12:40 2010 -0400

    rtptfrc: Store rtt

commit 47d3eb996ff5a553356d4d35f5980d0751506e94
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 24 16:51:56 2010 -0400

    rtpsession: Use send_filter if it is present

commit 4e66786588c8e3f993fa2dd5c64741181df968c2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 24 14:40:54 2010 -0400

    rtp: Add element to modify RTP headers

commit 60591a54f45b24e61dca51baf36635a5d6478616
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Aug 18 16:31:26 2010 -0400

    rtptfrc: Implement the no feedback timer

commit a823b86a90fd8adceb130b94d08bf14207229512
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 17 17:56:53 2010 -0400

    rtptfrc: Push RTCP tfrc feedback into the TfrcSender

commit f20ed12ae7485be232812c87b587bdee49c3754b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 17 17:56:01 2010 -0400

    rtptfrc: Track sources so TFRC can be applied to them

commit d5e91ddea7565472af2c47b33863a51574c84e3a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 17 17:53:56 2010 -0400

    rtptfrc: Add function to get time in milliseconds

commit 00e3d7f03773e4e4957a36b312901efc9285dc8d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 17 17:52:20 2010 -0400

    rtptfrc: Add debug category

commit 2db3695f7d6863d45e8382a1df40e069ec133c2a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 17 17:51:27 2010 -0400

    rtptfrc: Remove private, put everything in object structure

commit 80166ec68ef25f71d3614ad02000196205aab7f9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Aug 5 17:17:20 2010 +0200

    rtptfrc: Hook up to various signals

commit 0aed65a96cb525566109903a507f0737432ad6ae
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 3 13:22:24 2010 +0200

    rtp: Add empty tfrc object

commit 39c0f1bfcd4c0a89492fd901226662296b8e2b26
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Aug 2 19:13:25 2010 +0200

    rtp: Add tfrc implementation

commit c8365c5b1930f31d182330a2d6dc7ebab1be4a4d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 22 17:23:13 2011 -0400

    rtp-codec-nego: Correctly keep the discovered properties on renegotiation
    
    First correctly keep the various properties in the send_codec, then
    correctly compare the send codec of the new and old codec association and if
    they are the same, then keep discovered properties.

commit 8744912ebb44e38189e8bbb3fc80160ff3badd47
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 22 18:44:10 2011 -0400

    tests: Add some extra tests for changing codec params

commit 9d4a8fb9432d12324e99ec68b677dd3da920b422
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 15 14:22:04 2011 -0400

    Version 0.0.30.1

commit 6dd0882eeb0bd2da42028abe1d90edcb34f67023
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Sep 14 15:28:30 2011 -0400

    Version 0.0.30

commit 24d7f7e8555a47fc5058e77c502a4bc7e31a8e93
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 15 14:06:38 2011 -0400

    tests: Make rawconf shm test work reliably

commit 2e0b1a5c46aa222a71f300ed8f12c1e78cbdb13b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 14 22:15:19 2011 -0400

    shmstreamtrans: Transform bus errors into state changes

commit 0f65cfc532bf4a225b50d092b7d1b9357f6087d8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 14 20:46:16 2011 -0400

    shm: Capture read errors and transform them into a signal

commit 99fce828b314565223bb8325b38b759adba15292
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 14 20:43:57 2011 -0400

    shm: Emit a signal on a SHM disconnection error message

commit b4430215672b8e1b62f4eee3b6ff6a8e6f9d1d6f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Sep 14 11:41:37 2011 -0400

    rtpsubstream: Drop newsegment events
    
    New segment events can cause the sink to think that there is segment
    accumulation going on and be really confused. We only operate in running time
    so just drop them. GStreamer 0.11 has the correct fix for that problem.

commit 47d921efdd6b24283253d672af6537a33b2e6fa7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Sep 14 15:01:34 2011 -0400

    tests: Test for unless changes in decoders

commit 758e13c65b6f6f220ecc9eba3db0d56c90de37ef
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Sep 14 15:06:13 2011 -0400

    tests: Make inband config data test actually work

commit f89a253187961e11f86a760ac273fec347558182
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 13 20:04:02 2011 -0400

    rtpsubstream: Only replace the recv codec bin if it has really changed
    
    Only replace the receive codecbin if the new one would be produced by a
    different blueprint of profile. This should reduce the number of unncessary
    constructions/destruction when extra parameters arrive. In that case, only
    the new setcaps will be called.

commit f02721ee169d895716edec25d06971c652dbb30c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 13 19:31:37 2011 -0400

    rtpsubstream: Do setcaps in have-data callback
    
    Also, drop buffers if setcaps fails, even if the buffers have
    old caps.

commit 8a826f852a82452719b0f26b4ee92a1f577c883a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 13 18:56:23 2011 -0400

    rtpsubstream: Remove useless capsfilter

commit de97aa97f7b36a5258c204cbea822bc3f8994bdc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 8 17:41:09 2011 -0400

    rtp-discover-codecs: Add spanplc after the decoder is available

commit 110e64a58db8ed23f6bb3fdfdebc275c12ea64a6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 8 17:40:38 2011 -0400

    test: print the receive pipeline correctly

commit fac564f9aa5284d05fb1080117e8990e3cfaf849
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jul 26 00:03:41 2011 +0200

    nice: allow port 0 for stun server

commit 965acccdded30e37e120b6bee429d9f1a88e6222
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jul 26 00:03:30 2011 +0200

    rawudp: Allow port 0 for stun server

commit a682e69d3c71bcae6e2c5ce774dfea237e978df4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 15 17:25:52 2011 -0400

    rtp: Send dtmf through rtpmux
    
    Send the DTMF events through rtpmux

commit 6c29f98e438786c5fb7c271c36fcf6cde27937b6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jul 26 00:53:28 2011 +0200

    rawudp: Test for candidate with port 0

commit f0a31c7bd67b0d73e00de4eb03532fd1736f1213
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jul 26 00:42:46 2011 +0200

    nice: Test for candidate with port 0

commit 1fc54c6671140d3f4a25c5cd25fe42acaa6f15ad
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jul 26 00:02:47 2011 +0200

    transmitters: Allow port 0 in remote candidates

commit 4e93a66d3521023196dce643c7ffece0349338cf
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   Thu Jul 21 13:54:56 2011 +0300

    Add #include <stdio.h> and <stdlib.h> where appropriate
    
    Needed for rename, sscanf, atoi, snprintf
    
    This fixes building on the new Meego.

commit 49d3ec270a88e9ecacd46557e95c7be2766aa1f5
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Thu Jul 21 19:34:26 2011 +0100

    When we start sending, request a KeyUnit so the stream starts at a valid point

commit 44a13a2449b91ec9cc1c9a269926fb41d3154c45
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 13 21:42:24 2011 -0400

    rtpsession: Protect callbacks from the stream against session dispose
    
    Session dispose can be called manually, the callbacks from the streams
    should be protected against it.

commit a1c911f1949b60b048e700ea76bd55047e95fda4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 14 20:49:20 2011 -0400

    shm: Don't register the internal bin

commit 0d7121f470cab2298e93fc101977ecd1b1fa98b8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 27 11:39:38 2011 +0300

    tests: Factor out identity bit of keyfile tests
    
    The keyfile tests have identical bits, put it in a common function

commit c875a6c57ba00e5815a65b91db5b02e1a3ce41b4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 27 11:28:23 2011 +0300

    elementaddednotifier: Allow using the object's name as the group in keyfiles
    
    Previously, only the factory name was matched against, now we can set
    properties that will be set only on one instance

commit 5052b6ab7c4ebb4e6f20a360c316dc77ffa2ef4e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jul 12 21:38:02 2011 -0400

    tests: Allow for longer timeout for sending DTMF

commit 768ee96f5d80132f26b7217e885631ecf97865e7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jun 15 16:33:45 2011 -0400

    Set the sinks async=sync=FALSE before adding them to their parent bins

commit 90977a2080eef430c3f1a8d1abe591b872ba62dc
Merge: 59b0d19 e47536f
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Mon Jun 13 18:16:51 2011 +0100

    Merge remote-tracking branch 'vincent/leak'

commit e47536fe12e1861dbb7a166c57d68d9b22732f6c
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   Mon Jun 13 20:04:20 2011 +0300

    Remove element from the bin when it fails to link or change state

commit bd78ccf83d0a50672a4d2942d248756137ba5e36
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   Mon Jun 13 20:02:53 2011 +0300

    Fix gst-sink leak
    
    The element returned via a property has a ref that the caller
    is supposed to unref.

commit 59b0d19d30b5e3a7489d1b5cac34cb88b45f4fe9
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   Fri Jun 10 19:44:49 2011 -0400

    rtpsession: send-bitrate property is also readable

commit 9ef8ca06fb965cdccb930e676ce0d35d7a799e77
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jun 10 16:16:59 2011 -0400

    Version 0.0.29.1

commit aaad8b0733b76982883dc4bcfae9457b200ac8e7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jun 10 16:02:26 2011 -0400

    Version 0.0.29

commit 8f86199aae8350159752fc82d5eaa9c1cb6bb0fa
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jun 10 15:35:18 2011 -0400

    tests: Release lock while calling set_remote_cands, src_pad_added could be called from it

commit d095818623d41e884dbfd6a77b655253b2716813
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jun 10 14:52:58 2011 -0400

    rtpcodecspecific: Document the meaning of the various codec parameter flags

commit 70f57dd69d418bd33e84eb5c2f373e1740d5a272
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jun 1 17:38:13 2011 +0100

    tests: Add test for fs_session_codecs_need_resend

commit 8f3955590a169b68e178ae320168a3ab61e64d3f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jun 1 16:48:44 2011 +0100

    session: Add new function to know if one needs to re-send the codecs
    
    Add a new vfunc so that the users of the plugin can know if the change in
    codec is big enough that the codecs would need to be reliably resent to the
    other side.

commit 9a186c1ab8e9d7b564b1127aac9e254864962787
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 31 21:24:30 2011 +0100

    rtpcodecspecific: Check if config params have changed and need to be re-sent
    
    Check if matching codecs have different config parameters, and return the list
    of codecs that need to be resent or NULL otherwise.
    We do that by matching the codecs one by one
    with a fuzzy SDP Offer/Answer match and then when we find matchs, we check
    if any of the config params are either different or only available in the new
    or the old one.

commit 668c68292feb400b27ecea32a91f1ad9e0bf9d88
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jun 1 13:20:04 2011 +0100

    Make gtk-doc more happy for the libs

commit b615afaa276060ef6b460c5bb32f46a6e8131190
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jun 1 13:14:10 2011 +0100

    make gtk-doc happier

commit 1465bec584585c62cc85083f6b672776c7bdd80d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 27 11:09:24 2011 +0300

    rtpconference: Add missing stdio.h/stdlib.h includes

commit 1b80532b449ddfc04042ce4357c7c5aa035efdfa
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 19 17:06:35 2011 -0400

    Fix -Wunused-but-set from GCC 4.6

commit c62997391b432b31c8f695607c1545864ff93da6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu May 12 17:24:13 2011 -0400

    Use GQueue instead of the g_list_reverse trick

commit 85dd356927accbce903e3980200f64946c14ef62
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed May 11 17:12:50 2011 -0400

    Add Python support for feedback params

commit d8f94d4923cd540e7b55a72315c19934d05301bc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed May 11 15:15:30 2011 -0400

    docs: Add missing opening tag

commit 783e942060af4b84d3874abed5e72b033670b440
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 10 21:25:04 2011 -0400

    Version 0.0.28.1

commit 76dc68d80b4ddae7bdb4159ebdf94f447457ae70
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 10 16:50:41 2011 -0400

    Version 0.0.28

commit 8ad7a67d943bc0aae96a97f049c0bd14ce342b5e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 10 17:59:29 2011 -0400

    Don't check for property we know to be there
    
    We require a newer version of gst-plugins-good/base/bad/etc now
    so no need to check if the properties exist at runtime.

commit fb125f32c9bb03e7ff55a97e35b073e04fe4c516
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 28 18:35:50 2011 -0500

    utils: Add function to get the default RTP Header Extensions

commit 9ad130b60723971127f20b2be4e45da1e357b145
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 28 18:25:34 2011 -0500

    tests: Add tests for Rtp Header Extension functions

commit b262c6ccc5eb62f2047fed62b3aa71ce0a6d7daf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 28 18:14:42 2011 -0500

    rtp: Add function to compare two FsRtpHeaderExtension structures

commit 5b3a20d2e22e835f5e9879ae428e43027a74b9f8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 28 17:12:05 2011 -0500

    rtp: Add function to load header extensions from a keyfile

commit c8782fe69bbf295c77e14785dfc8f4d618ed375b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 28 17:09:59 2011 -0500

    codec: Don't assert on invalid params

commit b3d6aeaad89e8e59330d37c9b6b6c30179de7ef5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Feb 18 17:31:46 2011 -0500

    rtp: Add formatter for hdrext types

commit 3b225697d5865b4d63b2ddbce2d8f263cbe0922e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 27 21:09:43 2011 -0500

    tests: Add tests for RTP header extension negotiation

commit 7eb6ee3991b7252ab957f0452e671ebf98ccafdd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jan 26 20:26:38 2011 -0500

    rtpsession: Negotiate RTP Header extensions

commit 3198dd02b4e5fde72df5b7099ee98039118f7ea4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jan 26 20:02:54 2011 -0500

    rtpsession: Set the new codec where they are created
    
    Improves the cleanliness a bit

commit be7232a85ba5b94ee2566814f6fb0f3300a40fa3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jan 26 19:20:47 2011 -0500

    rtpcodecnego: Add functions to do RTP Header Extension Negotiation

commit ea906e92d9cfd17e7894fb8b16d91b584674bb07
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 24 18:11:26 2011 -0500

    rtp: Add rtp-header-extension properties

commit 7d31c8292832b1f9446554a33fe009baebe595f0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 20 20:47:26 2011 -0500

    rtp: Document FsRtpHeaderExtension and its methods

commit 8d1c6e468da8300f9bec8963f8029724465bfe82
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 20 20:31:14 2011 -0500

    rtp: Add public header with the FsRtpHeaderExtension type
    
    Also now require GLib 2.26, welcome to 2011!

commit 4213400c11666ba223136d1bf7bafca4708782ba
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Mar 1 16:35:59 2011 -0500

    tests: Test minimum reporting interval negotiation

commit 39eef469c8e11fc6bf519e88952de8f0270e9067
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 4 18:49:42 2011 -0500

    tests: Add some other invalid codecs to the GKeyFile loading test

commit 97c2bc06ba7087f5f6f25712a13811bab108a62b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 4 18:49:18 2011 -0500

    codec: Always use fs_codec_new() to allocate a codec

commit 5ea7f5df1cf9320bf4d174757380ba868c369ae8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 21 20:36:29 2011 -0400

    rtpsession: Set the properties on the rtp session correctly
    
    Also request it early enough

commit 017d8dd4fbc7815fde01f218e21ebd272daec65f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 4 18:17:47 2011 -0500

    rtpsession: Set the minimum-reporting-interval to the minimum of the codecs
    
    Take into account the current sending codec as well as the receiving codecs
    of all substreams

commit d9a0e18a9c950a532f3e9309fcb2618b14737859
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 4 17:00:54 2011 -0500

    codec: Make the minimum reporting interval invalid value G_MAXUINT

commit 2471788666aeb248dba01577e699ed3cf883446a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Nov 26 16:19:36 2010 -0500

    tests: Test minimum_reporting_interval property

commit 5e09a0d71e7e2935290f03e4169edec40a85d4ef
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Nov 25 18:33:28 2010 -0500

    rtpcodecnego: Negotiate Minimum reporting interval

commit e8833d436b647be6177812722c74763ef61e7347
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Aug 12 16:55:16 2010 +0200

    tests: Add test for AVPF negotiation

commit c253ef2e4ebc167680063333f8df48317ff64079
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 10 14:08:24 2010 +0200

    rtp: Pass feedback params into the caps

commit f2a90db7e0be7e6633796df41840ceef355fa0b2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 10 14:02:13 2010 +0200

    rtpcodecnego: Intersect feedback parameters

commit 807da106f72d47cba98147e4da81ac66bfbd2391
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Aug 11 17:58:00 2010 +0200

    tests: Add test for feedback parameters

commit 6d33637c1e812847ded010c92fc095413c7fe56a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Aug 11 16:54:02 2010 +0200

    tests: Test reading feedback params from GKeyFile

commit f8781be57cb7cae76ccaacd4e30196948bdb0c92
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 10 13:50:44 2010 +0200

    codec: Add function to remove feedback parameters

commit 8254c4f7bf21340a65cd6ad2e7a27cc55f0a89e6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Aug 9 18:06:50 2010 +0200

    codec: Add feedback params to gkeyfile

commit 624a152060dd413d64eb0ecc5b54ad72f0c5a7f9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Aug 9 17:57:13 2010 +0200

    codec: Add feedback parameter

commit f228f6f47d95a10ade20ea9f0258ac1aeb923c66
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Aug 5 19:47:43 2010 +0200

    codec: Add minimum reporting interval parameter

commit 6784b6bb1b86402e4346e86c3c74c7d9def2d8ea
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Aug 5 19:23:30 2010 +0200

    fscodec: Refactor freeing of codec parameters

commit a8d280c7e1c305c665b160be67679bfee847b220
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Aug 11 17:32:43 2010 +0200

    tests: Use standardised function to remove fscodec optional params

commit 5dff4b882ce6f00f01b5b35621e7e74bda7b3d92
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri May 6 15:28:23 2011 -0400

    rawudp: Send the original STUN packets from the same thread
    
    This is to make sure the STUN packets for each component are sent in order.
    Some firewalls just allocate output ports linearly. In that case, we prefer
    if the order of the outside ports is the same as the order of the local ports,
    that way, if we do UPnP, we have fewer chances of mixing it up.

commit 88940cf647ae0365e04cd94731406f3a75a777ba
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 3 19:19:13 2011 -0400

    Version 0.0.27.1

commit e6f8664811983b7ebc799b795ee2c3bf25d6b18b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 3 19:11:20 2011 -0400

    Version 0.0.27

commit f6b0768165bae81725297c48ea06da25158d7544
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 27 19:17:39 2011 -0400

    tests: fix some leaks
    
    fix some leaks in the tests

commit 63feab41120a48fef5c31269d5c2ad0e6caa9255
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 25 20:07:15 2011 -0400

    nicetransmitter: Check if gststream isn't NULL before using it
    
    There could be a delay between the _stop() function and the stream transmitter
    is disposed during which one could try to access it.

commit 223d1cc50b512dab8cd84c2f8badb85fabf9cb9d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 25 19:28:51 2011 -0400

    rawsession: Set the fakesink to async=sync=FALSE
    
    If we don't do that, the whole pipeline may wait for frames to reach it.

commit d9285cc92c39b3b3446e7d63b39b58e47a634a3c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 25 16:32:10 2011 -0400

    tests: Allow for conflict in pad count in multicast test

commit 8f13ba6c97941c2ff5c93f66c799fb737688096d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 21 20:44:33 2011 -0400

    rtpsession: Set the bitrate inside the send codecbin based on the send-bitrate property

commit 900b91121c6f72c49e3325219ff4526c89715bed
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 21 20:43:45 2011 -0400

    rtpsession: Add send bitrate property

commit c50d6e3e6b8d38c6eae1582743136fbdccfab613
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 21 20:42:47 2011 -0400

    fsutils: Add function to set bitrate generically
    
    Since upstream GStreamer does not want to do it, lets add
    a function to set the bitrate on different encoders without having to
    keep all the knowledge around.

commit 23d85ce645fa96d8c258aa6bc4e67faada7c46d7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 13 18:35:53 2011 -0400

    rtpsession: Use the regular ca->codec, not the send_codec to create dtmf source
    
    The special sources lookup codec looks at the ->codec field, not at the ->send_codec
    field to look up the match CodecAssociation

commit c1df094b8451994ba8efdba279fe1e646d17aee6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 13 18:06:19 2011 -0400

    rtpsession: Return FALSE if there is an error on rtp_set_send_codec

commit 6b8ed9f70b5ca6ec94edde7077d6f628a47706bc
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   Wed Apr 6 17:31:20 2011 -0400

    shm-transmitter: Do not call sink_set_sending if the shm_sink is NULL

commit 0e582381ef874cb8a6785b6f8d11e2d4edb9a2b3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 5 12:45:37 2011 -0400

    tests: Check for multicast before gupnp tests

commit 67a0fdf66e4f4c73a25292f5b72f617513755df4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Apr 2 21:58:16 2011 -0400

    python: Don't link to libpython
    
    Some distributions (Debian) link libpython statically into the python
    interpreter

commit 467d8807d779743652d48a235ba2647930eee61e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 16 17:40:02 2011 -0400

    rtpsession: Immediately adds transmitter sink, we need to send RTCP even when receiving
    
    The parent elements should be be waiting for this bin to continue because
    transmitter has async=FALSE and async-handling=TRUE
    
    Reverts a020bf8c34656e8c5b1ebfde478847e6aebbfa51

commit 68ae7a7b5c55d821d2940db8b200a610e511d16c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 11 15:36:09 2010 -0500

    Request keyframes with all-headers when we have a new target

commit ee9674058b327d3e2fc0c70a41bbd0ae3016147c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 7 17:34:55 2011 +0100

    stream: Add python bindings for src pad iterator

commit bb637b74caec4dccfc186bc0f8a11e5001e0f8bd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 7 16:24:35 2011 +0100

    tests: Ignore some more things in the async dispose case

commit 8f9e381cdcaaf5091f0983b0e8880479ea2ff891
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 9 18:09:17 2011 -0500

    nicestream: Request keyframe only if stream is >= connected

commit 1560b16f912f0ef775274a4962e3870b571bbe86
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 16:49:45 2011 +0000

    raw: Move all Gst processing to the session

commit 6aee195dba0efd3533aa9d3fedae32cf38caec42
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 9 17:36:48 2011 -0500

    rawsession: Correctly protect transmitter_linked

commit 48c8cc96d5a26f4f48bd842a34aefff873db3c8f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 9 16:58:14 2011 -0500

    rawsession: Set capsfilter to null when disposing

commit 228f5eaa39d6246f9d13dd3fa494c679b589b3fe
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 15:51:05 2011 +0000

    rawstream: Rename capsfilter to recv_capsfilter

commit cec5a855a517d286c999ad700b1739915bbf3cf3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 15:46:36 2011 +0000

    rawsession: Correctly name remove_stream method

commit 821fb893894b9a7434d5bf2cd9ea2ebfc0a438a9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 9 16:45:02 2011 -0500

    rawsession: Rename capsfilter to send_capsfilter

commit f1cfa2c2cd0e852a77e5916d1e73feb13fc7fe83
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 14:04:12 2011 +0000

    rawstream: Greatly simplify ghostpad addition

commit 8e2f7e2ca05f9b8eba3577c2a398a6df25757f49
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Mar 9 16:42:16 2011 -0500

    rawsession: Add method to get transmitter from stream

commit 6862918b82dec55533b3f0dfa102a9400b8a94fd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 8 11:21:22 2011 +0000

    rawsession: If its !=NULL is useless

commit 347b3b30056646da20c1dfbf7b9dbe59ff63a22b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Mar 1 16:56:08 2011 -0500

    rtp: Use fs_codec_new() everywhere

commit a004b388e5a28d38892a93243e7186a48a08e3e0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 28 15:21:59 2011 -0500

    interfaces: Re-order includes/ifdefs to make it build on windows

commit 4807a91be9d7cb8b1767b5cd416872f0c1aeb4ff
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 23 16:13:24 2011 -0500

    Version 0.0.26.1

commit 72ef2c35a48538b6c26ef9900a227611dc9c6cdc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 23 16:04:46 2011 -0500

    Version 0.0.26

commit 2f30193b1f257579e62275e5dc34d23aead460a6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 23 14:52:43 2011 -0500

    rawconference: Correctly check if thread is internal

commit 1c3854fe3138b213cd1d3278ca86beb6e6a88061
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 23 15:35:51 2011 -0500

    rawstream: Don't start sending before having codecs

commit ccd9a5354b4473ce20fa6ef91fa97d80f3fc7066
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 23 15:36:19 2011 -0500

    rawsession: Only manipulate the valve from the session itlsef

commit 279b78a8d5bcbf6b70a7c76b431c9c139c227e38
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 23 15:12:07 2011 -0500

    rawsession: Simplify transform bins creation

commit 0e176ed25403ab64539c3c2e1b99483d03da116d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 23 15:09:00 2011 -0500

    rawsession: Remove g_debug

commit 0352d3c1cfa0cd10f8816abe83b62931abbc175e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 23 15:07:16 2011 -0500

    rawsession: Unref the right object

commit 256af8d78b10a9aecfe9c75042dc7e8e9f57fea8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 23 15:06:46 2011 -0500

    rawsession: Only remove sink if it has been added

commit 3d25a3ef1116df4d95664ddf8abba64b0ff09244
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 23 14:52:02 2011 -0500

    rtpconference: Correctly check if a thread is internal

commit 9b67a3d5493d7d4645bd48a334765a12bc797dbd
Author: Jakub Adam <jakub.adam@ktknet.cz>
Date:   Sun Feb 20 22:17:14 2011 +0100

    rtpstream: Fix reference leak in fs_rtp_stream_set_negotiated_codecs_unlock()

commit 21f7a67eec08db6f2e7325cc3cc942481a741a1a
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Mon Feb 21 18:32:11 2011 +0000

    Keep a ref to the fakesink

commit 1459b54dcdc03f14e76dd4cffbd4649af653de33
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Mon Feb 21 14:23:25 2011 +0000

    fsrawconference: Make the construction more consistent
    
    In the construction of a raw session we add a bunch of elements. For all
    elements unref them in _constructed if adding them to the bin fails, for
    all other failures, leave it to the _dispose function to remove and
    unref the elements

commit 30686e6bde917d1265f399b4f8ab3397437faab6
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Mon Feb 21 14:20:00 2011 +0000

    Use full prefix, even for private functions

commit b70c43a141d8183a3354369dae7cd351a289b035
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Fri Feb 18 19:40:56 2011 +0000

    Add a transformation bin the source pipeline
    
    As upstream negotiation in Gstreamer still doesn't actually work, we'll
    need to change transform elements around every time the caps are changed
    as that will cause a re-negotiation and things will keep working..
    
    Unfortunately managing dynamic pipelines has its own challenges, so add
    a tee ! fakesink which will eat all the errors for us...

commit a2650fa32ce7cb28c343efe18d247cd62770fba8
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Thu Feb 17 18:00:13 2011 +0000

    fsrawconference: Make fsrawstream explicitely ask the session to set the direction

commit f2bf87379d54d76d832196b5a284599cdc50fffc
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Thu Feb 17 17:52:05 2011 +0000

    fsrawconference: Cope with fs_raw_session_new returning NULL

commit 06c1d7cd9322c3d380d7f5482c42f4de57c4cb91
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 15 12:26:22 2011 -0500

    Version 0.0.25.1

commit 82ae43536096773e56d7c454102015a5be1d5877
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 15 12:16:16 2011 -0500

    Version 0.0.25

commit a64fc0e98135e5a39830f6531d777c1c01dfe58b
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Tue Feb 15 14:24:02 2011 +0000

    nicestreamtrans: Fix off-by-one bug
    
    https://bugs.freedesktop.org/show_bug.cgi?id=34291

commit 00c51f57e87cfa8a929722e0ca14307bb06a2e8c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 20:34:28 2011 +0000

    Version 0.0.24.1

commit 7fca1a7b94c572fe7430937270cfbeadde80f587
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 20:24:58 2011 +0000

    Version 0.0.24

commit 4e38065f498be2f780afa34cce58ca6319832485
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 20:16:30 2011 +0000

    tests: Rtcp test doesn't make sense in raw

commit 0933f2a4c79f1c632f1239dc75b6ba2aef9361dc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 20:08:26 2011 +0000

    rtp: add default prefs to EXTRA_DIST

commit b208a2b2e305ffa042b038fe2b769e2291d3bcf0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 20:01:49 2011 +0000

    tests: Fix another race in tests

commit 3bbcc8456ef905e20d043b35487015a88f262b38
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 19:58:38 2011 +0000

    nicestream: Skip Nice errors if the component has never been ready

commit afc31f00f87a35c83b1ba6623bb49e35225beca3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 19:52:12 2011 +0000

    nicestream: Fix small leak

commit 21f5f608c3ab6d6a15de3d584dd11731b7cef108
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Thu Feb 10 19:47:27 2011 +0000

    nicestream: Sort ipv4 addresses first

commit bc1fe3674aba764d9c8ac58f5d7d0aa4f57a772b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 10 17:26:12 2011 +0000

    utils: Fix doc string

commit 4bef5ac11bcc9b29838e395e20b4e97e21deb83c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 25 16:02:52 2011 -0500

    utils: the keyfile stuff already checks the user dirs

commit 7091068c01ae9667cd3df048a9b2221e1d819617
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 25 14:56:20 2011 -0500

    utils: Pass the element directly instead of its factory name

commit 0601247f77918d5164d9437b39958488d0c8137e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 25 14:51:35 2011 -0500

    utils: Check default properties/codecs in user data dir too

commit 9fbf87263e6987f1cb3815c1f3f59d0bc81d5e18
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 3 21:29:52 2011 -0500

    rtp: Add default-element-properties

commit 6fd2080695ff480afff472bc702736f701a32926
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 3 21:25:12 2011 -0500

    utils: Add function to get default element properties

commit 937a7024d94cd49c7f0f4b7e67f93a077c04b0eb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 3 21:12:47 2011 -0500

    rtp: Add default codec preferences

commit 995bc91e11e0cdc387c382fb40ee0342d460b165
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 3 21:06:58 2011 -0500

    utils: Add function to get default codec preferences

commit a6b21cf32800ac89328ed7d2dafc5cb5921db042
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 9 14:32:40 2011 +0000

    raw: Don't delete non-generated files

commit 12f411d74cd6806e822b26595ca3c994664c1419
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Thu Feb 3 16:08:01 2011 +0000

    Remove the temporary socket directory after usage

commit f7eaafac336e7a0d4bd3095ed23cfc46104adb9c
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Wed Feb 2 18:54:06 2011 +0000

    nicetransmitter: Place the local socket in the tmp dir
    
    Don't hardcode /tmp, instead use g_get_tmp_dir to potentialy get it from
    the environment, but falling back to /tmp

commit bcf2e5601e8a6fc5952546f0645314c22c157c8f
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Wed Feb 2 18:50:25 2011 +0000

    nicetransmitter: Add documentation for create-local-candidates

commit f31e4f1f81fdbe4e92e3a46aab871496d9cba448
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Wed Feb 2 18:34:29 2011 +0000

    nicetransmitter: Add an option for the transmitter to pick the local side

commit 735a9afb2ff464f63e7cc09123b1e48b3019dc5b
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Sun Jan 30 19:09:13 2011 -0600

    rawconference: This is really meant to be called on the stream.

commit 9dcf389fe180d043dd5c0a3f01a00712a16ff82d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Mon Jan 31 18:55:35 2011 +0000

    nicetrans: Only emit local-candidate after gathering
    
    Unfortunately libnice doesn't currently support doing connectivity
    checks untill it has finished gathering. If we send a remote peer our
    candidates before finishing gathering they can start sending us
    connectivity checks before we're ready for them...
    
    So instead sends the local candidates in one batch when gathering is
    finished, so we'll be ready for the connectivity checks.

commit 4de2ee6cf7c7a921fe586bac2ddcd96762bf1cde
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Jan 28 18:18:01 2011 -0500

    rawconf: Put the whole caps into the encoding_name in codecs

commit 71241041866f1f88f9332c6d4e523c78fadf63cb
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Fri Jan 28 16:22:21 2011 -0600

    rawconference: Make FsRawStream codec doc visible.

commit 05469ae14cbb244bb5fab0423e0f2974d643cbba
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 27 22:25:23 2011 -0500

    docs: Improve the title

commit 1c7e76e591a2428fac220de7782ebcdc5a6a4660
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 27 22:22:08 2011 -0500

    docs: Add docs for the raw plugin

commit 8c7bce8df1812735a70a4d1fa070b539ee4fed8a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 27 22:00:00 2011 -0500

    raw: Remove trailing whitespace

commit 3af48c2c25b23e635d3e5058dfca24028d393d33
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 27 21:57:52 2011 -0500

    raw: Simplify session notification of new stream codecs

commit 5a0d0be465413d30b6ddcb18ff56279550d56560
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 27 21:52:46 2011 -0500

    rawstream: Simplify set_remote_codecs

commit 1640a0df00f2065b3317c365cda7f407f9d3d317
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 27 21:50:44 2011 -0500

    cuseless

commit 16917a0ce3cbf129c5da55453ee93ffe26638d5c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 27 21:38:25 2011 -0500

    rawsession: Codec has already been validated

commit 22fae947afa44962f80815bf218bd7eeaec34f7b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 27 21:33:22 2011 -0500

    raw: Don't check for stuff in the codecs that is meaningless for raw

commit 93157d2029372249c157b70b52eaf44ef089b0dd
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Jan 26 01:50:23 2011 -0600

    rawconference: Add a test with the shm transmitter.

commit 249546141263e6d5cb0b6c271fe75de3d5ac6697
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Jan 20 22:54:58 2011 -0600

    rawconference: Remove stream from session in stream's dispose.
    
    There's a chance that removing the stream when the session has it
    weak-reffed can be called from a streaming thread. This can cause
    it to crash and/or deadlock. This patch changes the stream to
    call the remove_stream function in the session in its dispose
    function. The stream already protects itself from being disposed
    in a streaming thread and therefore prevents the crash/deadlock.

commit a71ce2e1e578838576956436fbd5696c44c446b3
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Jan 19 22:25:30 2011 -0600

    rawconference: Use local conference variable.

commit 1182d5e54502576080bbb71aaaba1720a93de237
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 17 21:51:04 2011 -0500

    tests: Split the rtpconf extra init into separate callbacks for stream and conf

commit 88b8af0b7022f0414f2039a34779545535eda0d8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 17 21:36:37 2011 -0500

    tests: Split the rawconf extra init into separate callbacks for stream and conf

commit 299f9bca316e5dc0edbc124783e2d2cbdfc684cd
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Mon Jan 17 21:04:59 2011 -0600

    rawconference: Remove weak_ref when done.

commit 0d995759f2cbe8e4d807609da5925c4475eff190
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Jan 13 23:28:50 2011 -0600

    rawconference: Dispose FsRawStream in a separate thread if needed.

commit ddebdd5331edc9bfb9bc7a6fc31cc52c0207fe28
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Jan 13 23:22:27 2011 -0600

    rawconference: Add fs_raw_conference_is_internal_thread.

commit 5aeb5bb3b477a7c55e99cb112d1bcd0c752d4982
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Jan 13 23:07:50 2011 -0600

    rawconference: Fix trailing whitespace.

commit 3fc1903dd11d04a432c97a388b96e50e6c02c262
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Jan 6 18:37:07 2011 -0600

    rawconference: Correct an error message.

commit 1dc1ec9b5dcc3b93bb63807f20cce07ee57628d3
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Jan 6 16:03:07 2011 -0600

    rawconference: Wait to add the transmitter's gst-sink until sending.

commit 01be250a04dc4e46a5c76ca7d995e602b0c3410e
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Dec 22 20:03:45 2010 -0600

    rawconference: Dispose of objects in a single place in new_stream.

commit c02711cccf1c468dae4c88b0523ad8d711ce0ef5
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Dec 22 19:06:57 2010 -0600

    rawconference: blocking_id will always be 0 here.

commit cdb408a99c72ccaabbfaeb850fcfe13ff34ee911
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Dec 22 19:03:01 2010 -0600

    rawconference: Remove transmitter-pad from the public API.

commit ede1c36fc2ca0657e23575f68a0a32fd2a0baf38
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Dec 22 16:33:13 2010 -0600

    rawconference: Correctly use g_value_set_boxed instead of _take_boxed.

commit 89aaa3f9c93a5c83f0418e49641c44f8c3a95498
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Dec 22 16:12:42 2010 -0600

    rawconference: Use macro instead of g_mutex_lock directly.
    
    This patch creates and uses FS_RAW_SESSION_LOCK and _UNLOCK and
    FS_RAW_STREAM_LOCK and _UNLOCK to improve the ability to debug
    mutexes.

commit 92b2c0152b6654dce6ecd26e9dce2638703b1185
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Dec 22 15:45:03 2010 -0600

    rawconference: Add @author to the files I made.

commit d40a53ff1fd9fe42ed58e407501400f91d8b75ed
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Jan 6 18:38:39 2011 -0600

    rawconference: Misc style and error checking fixes to Sjoerd's commits.

commit 252365baec664f29c8683f3db9de4e9c39eb40ab
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Tue Dec 21 19:15:52 2010 +0000

    When adding streams, sync the element states with the parent element

commit 400e1e243ea53f3fb8948a251ec5884655f46603
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Tue Dec 21 19:15:31 2010 +0000

    When removing a stream, make the valve drop packets again

commit ac7b28bc5b7e2d23d21ff63c93bc114a33d6359c
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Fri Dec 10 16:17:11 2010 -0600

    rawconference: Change signature of function to avoid collision.
    
    This patch changes the signature of fs_codec_to_gst_caps to
    fs_raw_codec_to_gst_caps to avoid colliding with a function of
    the same name in the FsRtpConference plugin.

commit 81786172cafa99550ba56c327bf46afdba0a8401
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 23:16:23 2010 -0600

    rawconference: Keep reference to GstObjects in FsRawStream.

commit 3884313398786472d0dbb76f81d1551efbaed31b
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 23:15:16 2010 -0600

    rawconference: Actually store the src_pad in FsRawStream.

commit adfaa7d3c677e0dc39f309b8d204c66376664a88
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 23:00:02 2010 -0600

    rawconference: Remove unused member from FsRawStream private struct.

commit 403faf6cb341fb3c39ff4445c4b84924b1d003c4
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 22:47:12 2010 -0600

    rawconference: Improve locking in FsRawStream.

commit d4483ffff8ec363fb7ad4c0cda5e2e7540496559
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 22:25:52 2010 -0600

    rawconference: Simplify FsRawSession dispose a little.

commit b0a31fffcd29b3bf10ebc5094edeaef58bd18a62
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 22:17:44 2010 -0600

    rawconference: Hold references to GstObjects in FsRawSession.

commit c5b911455c60d7dadaeae571d7cb840daae0d7c5
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 21:49:22 2010 -0600

    rawconference: Improve FsRawSession's locking.

commit b8b318ec394c534c1d01b9a2a3d12c08130f3aa1
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 21:06:35 2010 -0600

    rawconference: Remove elements from bin if sync_state_with_parent fails.

commit 2343da21a899c50e21582eea83fab87250f4b906
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 20:18:36 2010 -0600

    rawconference: Simplify a little of removing streams.

commit af89d1294910c65ee52399e9d4959bbe70d9fe22
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 19:59:45 2010 -0600

    rawconference: Simplify FsRawSession's dispose function.

commit 731a7f97898ee904079922b13504b6b9fd188062
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 19:52:32 2010 -0600

    rawconference: Remove redundant gst_element_sync_with_parent call.

commit dca8eee64d96bd3fcfeca63441a9f574f09a1852
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 18:59:17 2010 -0600

    rawconference: Fix implemention of FsRawSession's current-send-codec.

commit 3764477bb2e3442d8296c2dc2b51c7151b924807
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 9 17:35:45 2010 -0600

    rawconference: Store FsRawSession codecs and notify on change.

commit 7d49655cf293b40249533cb67842ae7cb7dfe024
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Dec 8 21:10:39 2010 -0600

    rawconference: Fix potential double-free.

commit 79305183c8cd77634b524cae0f43bacd107e01cb
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Dec 8 20:41:47 2010 -0600

    rawconference: Deactivate pad after removing from bin.

commit 497995e1f217ad7a4d1e78aab6eb73dbf3d51ec1
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Dec 8 20:32:44 2010 -0600

    rawconference: Remove unneeded variable and just return value.

commit ac35328ca4c2c6d8f6bda415a8ca2d37f4c1dcf1
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue Dec 7 22:52:03 2010 -0600

    rawconference: Fix copy/paste errors.

commit 946d4d96a472805a267b7c43cadbb742e7911622
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue Dec 7 22:45:20 2010 -0600

    rawconference: Use correct pad template.

commit 0b5a485f339760a64739042e1d5217af85f19622
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue Dec 7 16:32:08 2010 -0600

    rawconference: Fix disposed testcase.

commit 4cb2235dfeb99e3e9712b08927ff6d188523e9db
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue Dec 7 16:27:53 2010 -0600

    rawconference: Free transmitter src and sink when removing streams.

commit 793adf54314b05d610ea8e7a893d44c83b6b3994
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue Dec 7 16:26:04 2010 -0600

    rawconference: Set the correct error in fs_raw_session_new_stream.

commit 4d33116c5be131431bc41b24f3ac70cdab55d557
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Mon Dec 6 19:36:56 2010 -0600

    rawconference: Fix base test. FsRawConference doesn't generate codecs.

commit 19bcab0f5eac23018ef8b9a1519d406e641ed4f7
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Fri Dec 3 19:53:58 2010 -0600

    rawconference: Use optional_parameters for codec properties.

commit 976455ddaa78bbfa1bce2bee6e9b6819ec852a95
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 15:29:14 2010 -0600

    rawconference: Abstract converting FsCodec to GstCaps.

commit aa0f00a35e9f62570c5448fc0a21ac1f2dc655c3
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 12:15:22 2010 -0600

    rawconference: Add tests for FsRawConference plugin.
    
    This patch adds tests for the FsRawConference plugin. Virtually
    all of the code is from the FsRtpConference plugin testsuite.

commit fbc01a45ad847a3f4564ba5453e135ac238b6e64
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 11:08:22 2010 -0600

    rawconference: Add data probe and src_pad_added emission.

commit 06c964515fd8811451be5c81732cf7b6196164ac
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 11:01:19 2010 -0600

    rawconference: Set capsfilter caps when set_remote_codecs is called.

commit dbdca89b1e97cf97aadee885d10e1d9c79b871ff
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 10:59:39 2010 -0600

    rawconference: Plug memory leak.

commit 7529cdce2d5a32c5d53b9e6d4cdd5c757e77c940
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 10:58:19 2010 -0600

    rawconference: Set initial valve drop settings after creation.

commit 34a2b8146decafb206ca616081e2d76616d85485
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 10:56:06 2010 -0600

    rawconference: Set ST's "sending" property when setting "direction".

commit 8589287d2125f772ff4371c113ae629cb7ad1e4a
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 10:48:35 2010 -0600

    rawconference: Set booleans instead of bitmasked integers.

commit ae0e46b054f3ae6c660e6c2a7acae780a79039ae
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 09:59:07 2010 -0600

    rawconference: Fix some GstElement refcount issues.

commit 8c9aee835102cc55450cdbe8e7786f203b2615fe
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 09:47:39 2010 -0600

    rawconference: Implement FsRawSession's remote codec handler.

commit 6a28aca56d1d7ef5849888b69085797546e06d59
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 09:46:06 2010 -0600

    rawconference: Implement FsRawSession's codecs properties.
    
    Implement the FsRawSession's "codecs" and "codecs-without-config"
    properties.

commit bd9b9c1a7dfcc298324fe9e4cd08b26d20ac8b18
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 09:44:08 2010 -0600

    rawconference: Link the FsRawSession's capsfilter and transmitter_sink.

commit 652fd46887658b751b8f10f2a0db72f2dfbb1d55
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Dec 2 09:16:48 2010 -0600

    rawconference: Free the FsRawSession's FsTransmitter.

commit 7a69ac1b61e25eeec54b224e20ac2baa24d3bbea
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Nov 24 02:02:01 2010 -0600

    rawconference: Add to FsConference and partially link transmitter.

commit e225019df1fd66150e0ea56479ee845989f6aa1a
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue Nov 23 23:18:26 2010 -0600

    rawconference: Fix getting an out of range warning on a gboolean value.

commit 8701fe7fa56f9b3d67c78e748b1f1f85476c382b
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue Nov 23 01:31:19 2010 -0600

    rawconference: Fix some type issues in fs_raw_session_new_stream.

commit 4e029fecdc46be0557f7d42964f180dbb7117552
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Nov 18 23:10:33 2010 -0600

    rawconference: Improve setting the direction.

commit 4f0087e0c99238c0119768b18b4561d80b872296
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Nov 17 21:57:42 2010 -0600

    rawconference: Implement the remote-codecs FsRawStream property.

commit b70363090e2bebf8ac74bce981df8427af3fca36
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Mon Nov 15 23:05:43 2010 -0600

    rawconference: Implement fs_raw_stream_set_remote_codecs.

commit 063f2638f987b7898dc4d7f2bc4c928098d0bdb1
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Sun Nov 14 18:09:03 2010 -0600

    rawconference: Create and connect FsStreamTransmitter signal handlers.

commit 1e382ae597944c970358d2d4c5f42ef777f09afb
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Fri Nov 12 14:53:28 2010 -0600

    rawconference: Implement fs_raw_stream_set_remote_candidates.

commit 667925eb8248482570ae0ec8f0f76446fac5f631
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Nov 11 21:23:11 2010 -0600

    rawconference: Remove fs_raw_stream_set_tos_locked.

commit 8fef272dfa18140118befe4563692fef3e204b74
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Nov 11 21:22:12 2010 -0600

    rawconference: Add FsStreamTransmitter.

commit f2e97b099d8b108f63bb64f7ad74df41daa19d8d
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Nov 11 20:00:19 2010 -0600

    rawconference: Implement fs_raw_session_get_stream_transmitter_type.

commit f9d4f972c4cf584668c561aa7be4a1ef873e28a7
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Nov 11 19:45:33 2010 -0600

    rawconference: Add FsTransmitter member.

commit 31974c06037c24d8a92c82494d473a5ac86242f1
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Nov 11 17:50:54 2010 -0600

    rawconference: Add FsRawStream class files.

commit 547c2091e4e92666f22f48b13be0127def0c9bb6
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Fri Nov 5 22:07:33 2010 -0500

    rawconference: Add capsfilter to the session pipeline.

commit 6d5546215bc20ed576ac10ec0abe35579530b69b
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Fri Nov 5 20:35:21 2010 -0500

    rawconference: Add an id to FsRawSessions and support creating them.

commit ba067d5b954e119a68d113558d8d2ab630f9ab28
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Nov 4 20:44:14 2010 -0500

    rawconference: Implement fs_raw_conference_list_transmitters.

commit 84060f78d4e2c1f31dc7e047446698dbd4d15b12
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Nov 4 20:26:03 2010 -0500

    rawconference: Add the FsRawSession class.
    
    These files have been copied directly from the FsMsnSession class
    and have simply been renamed. More modifications will be needed.
    P.S. The section documentation has also been altered to better
    suit the FsRawSession class.

commit 66d044279d23b7fdf01f125c1c2d42aeb17b9dbb
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Mon Nov 1 17:38:24 2010 -0500

    rawconference: Remove cname from FsRawParticipant.

commit 24e9a7184e18850b172bc7d218900308ccf5619e
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Sat Oct 30 22:37:47 2010 -0500

    rawconference: Add FsRawParticipant.

commit 0418bc34a1cdb701062a3bb5f2a44a4afd0a43f5
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Sat Oct 30 21:50:14 2010 -0500

    rawconference: Add base FsRawConference class and plugin structure.

commit 22774302f3aadba3f1df976aec4462779d4f147f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 20 21:57:31 2011 -0500

    Version 0.0.23.1

commit 680b46c8a3ac3b782f07a9c82f90cb145eaae7ba
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 20 21:40:17 2011 -0500

    Version 0.0.23

commit bed86be379f2f243474a4475fe42b53e12eae50b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 20 21:49:51 2011 -0500

    common-modified: Dist another stamp file

commit 33c8decb747ca2052cc04006746365abed82093a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 20 21:24:54 2011 -0500

    nice: Update to use the nice 0.1.0 API

commit 8a7ef0893b1f7abca05c24f9829e5c29778abc8f
Author: Jakub Adam <jakub.adam@ktknet.cz>
Date:   Thu Jan 20 20:51:04 2011 -0500

    nice: Add compatibility for MS Office Communicator 2007 R2

commit ea8cb34f2027241e348aa27e8bf16ae5be53bd45
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 20 16:15:14 2011 -0500

    example gui: Keep a ref to the FsElementAddedNotifier to keep it alive

commit cbe641522903ad838ec827135ac5f41d2c959de2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jan 19 14:46:05 2011 -0500

    example gui: Set the necessary properties for x264enc

commit bb9e92964fed41e1abbdfee4dd2205edacb74d06
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 17 22:31:05 2011 -0500

    rtpsession: Really fix dispose checking

commit 684eca007b642630f635de3390430acffa2e8251
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Jan 14 15:09:38 2011 -0500

    rtpsession: Only set disposed to TRUE when actually disposing

commit 84b2047da2ec50dc5417edd910ee9a6d2361e41d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jan 12 19:19:37 2011 -0500

    tests: Add a test of codecs-ready before calling any method
    
    Make sure the codecs-ready is not TRUE if no methods have been called yet
    and some codecs that require discovered parameters are missing.

commit 342ef3b56ce3ffe09aa5e0fd7f717db9218b8992
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jan 12 19:16:51 2011 -0500

    rtpsession: Make sure the original codecs are propertly setup
    
    Do the update codecs when creating a FsSession so that original codecs have
    the required bits for the parameter gathering.

commit 78458336223f2f28b61a92e0399d14566ed73815
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 20 16:56:44 2010 +0530

    tests: Add test for pad alloc in fsfunnel
    
    Patch by Yongnian Le <yongnian.le@intel.com>

commit 4dafd5471f6a006f41e3eb55d5aa5accff6dbdf7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 20 16:50:07 2010 +0530

    funnel: Implement pad allocation
    
    Patch by Yongnian Le <yongnian.le@intel.com>
    
    https://bugs.freedesktop.org/show_bug.cgi?id=32208

commit 2c56d479b9f5bc29ffdbb119e1f6e7c70840dfda
Author: Andoni Morales Alastruey <ylatuya@gmail.com>
Date:   Thu Dec 9 22:33:41 2010 +0100

    Use portable 'g_snprintf' instead of 'snprintf'
    
    https://bugs.freedesktop.org/show_bug.cgi?id=32276

commit e9ecb91ed9589716883eb3aa05d1eb5ff0f2342d
Author: Andoni Morales Alastruey <ylatuya@gmail.com>
Date:   Thu Dec 9 22:54:07 2010 +0100

    Replace legacy index() with strchr() and avoid calculating the index twice
    
    https://bugs.freedesktop.org/show_bug.cgi?id=32276

commit 8b16e803264325d1941ba420adc72dfcfd1f4e26
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Dec 15 21:56:04 2010 +0530

    mcaststreamtransmitter: Fix error message

commit c2966a229a14da1c751dc8ee2c32535512653563
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Nov 23 16:08:41 2010 -0500

    shmtransmitter: Remove unused header includes

commit cb3de7b50a42a414e59456a10fafc694ad2426d5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Nov 9 15:19:02 2010 -0500

    Update gtk-doc-plugins.mak from common/

commit 9b732e99dd895ff09f67a72cbcb4f77c9b477ad3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 8 15:52:08 2010 -0500

    Verify the sanity of arguments passed to user-facing functions

commit c8302f5170d842c7081520a30cb5280a21dd7140
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Nov 4 18:35:29 2010 -0400

    rtpsession: Unblock pad if the discovery callback is called while disposing of a session

commit f7fb339ef66ec9f1325701d1f2ef4207afd52b34
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 1 17:36:44 2010 -0400

    docs: Add docs for the shm transmitter

commit 717f494dfbdc4ab64c03440f2a384cad8f4e4651
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 1 17:35:55 2010 -0400

    docs: Update custom doc building rules to match newer gst tools

commit 81a7237a05a37c8c973e0114b3d930c5d8035ec4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 1 17:35:28 2010 -0400

    nice: Use the right enum type for pad link return

commit 12d971d58760d89dc0f3a20f43b02567ad3c1049
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 1 16:56:17 2010 -0400

    Version 0.0.22.1

commit b356af11e71889eb64daa01553307dbbad4e4717
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 1 16:06:58 2010 -0400

    Version 0.0.22

commit 36a7fc2ec61dc6d69448542d5546d1cf0bdfa0ef
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 1 16:47:03 2010 -0400

    Disable the test for changing the DTMF PT for now

commit 559b582051b83eda33e2cf8e5563d22d6e8e5de4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 1 16:05:51 2010 -0400

    python: Require pygobject 2.16 to build

commit c5bf786f663c65881c3375101db36c5f28fcc89f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Oct 8 12:41:10 2010 -0400

    rtpconference: The ptime/maxptime in caps are actually uints, not strings

commit de1b8406948278d182dff54965241d940cbefbac
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Oct 4 17:24:31 2010 -0400

    Update common and tabify Makefiles

commit 2643cb8a870509074002c408e59f941f2eee15c0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Sep 13 18:07:24 2010 -0400

    gitignore: Hide shm test

commit 495b81157bf4856752085b7cc9d919b9cb468761
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 8 14:26:26 2010 +0300

    readme: bump -bad requirement for shm plugin

commit b772ff59d4f7aa2bebca5a1c3ca149918dad8b35
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 8 14:06:14 2010 +0300

    tests: Whitelist shm plugin

commit dcb980da78ddd3d97103508e2110ca02987af6ff
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 8 10:50:44 2010 +0300

    tests: Clear GError* between tests

commit 530cf1c46f232f4b2990249813480d0363d321db
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 8 10:50:18 2010 +0300

    shmtrans: Don't try to unref NULL pointer on error

commit 7dd8951d6583dc5e8e61a32f9e13c9b378da08c3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 8 10:37:04 2010 +0300

    configure: Require GLib 2.16 for GIO
    
    GIO is required by the shm example, require it.

commit fcafc3b510a8f8be6c26c50ad1fafe4c4cea04bc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 9 11:19:54 2010 +0000

    tests shm: check that prepared is called

commit 89ca5fa4f6fedbc5f69c965f591c88aedb71c633
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 3 18:03:12 2010 +0200

    shmtrans: Sync downstream element states before linking them

commit be502e3d8334dfe450e8b1214c3cc4dac0022eb6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 26 14:59:38 2010 +0200

    shmtrans: Add debug

commit fd916e1a71e5e2530c6a5c38a6241b8c479cf19c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Feb 3 17:31:38 2010 +0200

    shmtrans: Release teepad before stopping downstream elements

commit ed0937ed0eb62c354de4c327061821756c57e1f1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 26 12:37:28 2010 +0200

    shmtrans: Emit local candidate with new path

commit 7d9d69b75f7a0ee749f9d8e62d74e452340dea5e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 26 14:48:51 2010 +0200

    shmstreamtrans: Set the sending in set property (not get)

commit 631ef3725315f94597e09ee4136b65b68e26944c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 26 14:22:31 2010 +0200

    shmtrans: Set do-timestamp and is-live to true on shmsrc

commit df48a86229a4cc1d2e1e47918c2ea8c773af4417
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 25 08:39:46 2010 -0500

    shmstreamtransmitter: Emit local-candidates-prepared

commit eb7be5cfab3007fc5c05acaa3ad9390fb43e35d8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Nov 20 20:04:05 2009 -0500

    shm: Document shm stream transmitter

commit d2bd51bbcda4b51f93df8c5b8cf76eee198c793a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Nov 20 19:55:04 2009 -0500

    shmstream: Also ignore usernames that are empty

commit 3d3f7d093c4450923ca429367bee39bd822d1ee7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Nov 20 19:52:28 2009 -0500

    shm: Replace base_ip with username

commit 405175be1ccb24440d018e374d2c933b7a5d607f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Nov 20 19:36:08 2009 -0500

    simplecall: Add shm version of simple-call

commit bd79115bc77891ee33914b4478510a2d778616e5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Nov 20 19:06:20 2009 -0500

    shm: Verify the success of state changes

commit 2126b76eb46a74e4bd142cc2dc664f59c499f5db
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Oct 21 10:27:21 2009 +0300

    tests: Add tests for the shm transmitter

commit f6b69e63a83a07be8833b55fd61c69e675ee0891
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Oct 20 12:01:33 2009 +0300

    shm: Implement shm transmitter

commit 76da655c11a52545a19b073dd22c242a74115ba9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Oct 16 16:40:27 2009 -0400

    shm: Add empty transmitter

commit 3d14332b2d3992c9a3f14f158135c26751ee3c4d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 2 21:09:17 2010 -0400

    tests: Unlock lock in all cases

commit 9605bd0371a36cae6c203cc9d9f3840b246ebae6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 2 18:36:03 2010 -0400

    fsplugin: Release lock on errors

commit 38fca349840efb464b58856a97b393f8d1e7bdcd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Aug 24 14:08:33 2010 -0400

    elementaddednotifier: Don't abort on elements that have no factory

commit 1348c07f7c6306905691b96d9ad6774d03725804
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Aug 16 18:51:52 2010 -0400

    rtpsession: Use copy of codec because mutex has been unlocked
    
    Can't use the ca pointer because it is part of a list that
    has been unlocked.

commit 94ea369ca309f5b4a5d80b3fafec4aec8e4d783c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Aug 12 15:08:35 2010 +0200

    tests: Skip theora reception test if theora is not detected

commit c022406deac41c5b3e356d537f8c1ad8cc4f480b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Jul 16 19:12:41 2010 -0400

    Version 0.0.21.1

commit 09c35f45fb4137dd8e0e2972ebca39ff2cdf9abd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Jul 16 19:01:14 2010 -0400

    Version 0.0.21

commit ecacf4f86a51470aca6de8747642e4224d906407
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jul 15 12:20:31 2010 -0400

    tests: Have iteratory fold func return TRUE

commit 09b528df52d4b92872fa3dcf9f63270cfb081c33
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jul 15 12:04:37 2010 -0400

    rtpcodecspecific: Don't dereference potentially NULL variable

commit 527a8361ea3297e35112ec7d3637e73820692a96
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jul 14 16:42:24 2010 -0400

    Add warning cflags

commit 1e1752d1cd2731d96ac13b25c8cb62184ea7ab5e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jun 30 16:12:21 2010 -0400

    tests: Fix broken tests

commit 4a55046e411205d1322e87e207054576ffd3942c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 29 17:54:14 2010 -0400

    common-modified: Rename file in Makefile.am too

commit e0af30df990c3363b78c44999b972e11a18b8209
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 29 17:47:39 2010 -0400

    Add new enum-types file names to .gitignore

commit c54b58700b53cc015a18bc648dbc4556d5f7a3fc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 29 17:44:58 2010 -0400

    docs: Add crosslinks between libs and plugins doc

commit a98e459707789e8b6f1f4a387102967a0747c0db
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 29 17:00:52 2010 -0400

    gtk-doc-plugins: Update from common

commit bea77f711e714be449363eb2306a0ddb81673d52
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 29 16:32:10 2010 -0400

    rtpsession: Put codecs from from "other" pads in the secondary codecs
    
    If the send_codec_bin has more than one src pad, then the codecs from the
    pads that dont match the main codec will show up in the "secondary-codecs"
    property of the "farsight-send-codec-changed" message.

commit d70bc03956b1ad74a00eb9900e06e850fca67cf6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 29 16:07:15 2010 -0400

    rtpsession: Return error detaisl when linking send codec src pads

commit 76ca77924b44367eda150ed7e6439b289f2b9078
Author: Olivier Crête <tester@tester.ca>
Date:   Sun Jun 27 04:37:55 2010 -0400

    nice: Use nice_interfaces to get local addresses

commit a98e85e79b74b932c40fdbcbf84547f584f8139c
Author: Olivier Crête <tester@tester.ca>
Date:   Sun Jun 27 03:32:46 2010 -0400

    Actually need dep on fs-enutypes.h to regenerate it

commit d5d98ca1715a2a1d0db00b2cf566a56a9262156f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jun 26 16:56:36 2010 -0400

    tests: Use GST_PLUGIN_LOADING_WHITELIST to prevent unintented failures

commit 1932e991d46f36bffdb5896de8e4b525890c0567
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jun 26 16:30:57 2010 -0400

    Don't regen fs-enum-types.h symlink if not needed

commit c5496115517064047f8b64646bba88c4982754d5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jun 23 19:29:51 2010 -0400

    tests: Drop messages in codec tests

commit a4bc9ee1d1a7fa7565d30248d2afb52c3fff6e71
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jun 23 18:22:00 2010 -0400

    Don't re-create symlink when target changes

commit ad33fc798ce6b16351180fc6857f804fa8ae5799
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jun 23 17:14:36 2010 -0400

    tests: media_type isn't a pointer

commit 60772f6cd9d280bfe9249448f6b8eeef944131fc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jun 23 17:13:40 2010 -0400

    fsstream: Allow src_pads to not be empty
    
    It could be non-empty if the src pads are removed during
    the dispose phase.

commit 177299ecdd35fd1e441ba65c9dd78dac6b6118ae
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jun 21 16:29:46 2010 -0400

    fsstream: Chain finalize to parent

commit 1043a7f8e5f3209fffe1fe0583be6afd62da0aef
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jun 21 14:31:33 2010 -0400

    rtpdiscocodec: Add useful info to debug message

commit 8768b5fad83bc6b147bb2d33b776552656708b7f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jun 21 14:30:09 2010 -0400

    rtpdiscocodec: Use the proper getter functions

commit 96c96fa9b1bccc9232b191ca6483b82177baf311
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jun 21 17:18:38 2010 +0100

    rtpdiscocodecs: Remove a bad cast when listing codecs

commit 8af63824c3fad84bc0e3a45f0018f75700b3e0cb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 15 17:25:35 2010 -0400

    rtpcodecdisco: Use gst_caps_copy_nth

commit dea00429e8eb9cee778afbc656bb48cd38714b0b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 15 17:24:23 2010 -0400

    rtpdiscocodec: Simplify loop a bit more

commit a646df62454567ba71c06cfea652453d935c9843
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 15 17:23:40 2010 -0400

    rtpdiscocodec: Remove commented out code

commit 746af45fad4616e89703bf390572d7d84e2a287e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 15 17:23:15 2010 -0400

    rtpdiscocodec: Simplify loop a bit

commit 00a7cb2ef3ed6acb35069dbc9e3f89a0b192719b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jun 14 20:02:19 2010 -0400

    fsstream: Remove #if0'd code

commit 2dc1f1ceca585f474df5a0a9111987ef4f67632b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jun 14 20:01:54 2010 -0400

    fsstream: Actually do finalize

commit 9428c3903bb46ca9232349f3593cef1f96d45bd1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jun 14 19:57:36 2010 -0400

    tests: Add lock to prevent unref before initialisation has finished

commit 83c6b7229d49811c47fb03a576982907b580848b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jun 3 17:24:23 2010 -0400

    Remove divergent copy of glib-gen.mk and use silent rules where possible

commit a0e112dc9cfede0f86e74601869ddedc2ea4f338
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jun 3 17:18:51 2010 -0400

    gst-glib-gen: Rename enum types tp FS_

commit 7ccde3d466703f5c82aa85ed9e87d5a5eae35bf5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jun 3 17:18:15 2010 -0400

    Add gst-glib-gen.mak From gst common 357b0db99f9957e1003df3979506cf6ca3278138

commit ff14bc7b1d71a68bd32ebb363a76622f1c5c1ecd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 1 17:27:03 2010 -0400

    Version 0.0.20.1

commit 95fcdf18b0b877d073614fd322dcccfd870a7f87
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 1 17:12:33 2010 -0400

    Version 0.0.20

commit b757f7cd345cb50b7413fc8688f6aea845d006de
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jun 1 16:55:26 2010 -0400

    tests: Remove extra debug

commit 2d0aff947d1bc25adbaad25c6fe520e7363e3036
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu May 20 14:10:17 2010 -0400

    tests: Add test for stream pads iterator

commit a4f2fc80ba843023643ae7d1b121e17ac9882aa1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu May 20 13:03:23 2010 -0400

    fsstream: Add iterator to get src pads
    
    Allows finding which src pads belong to which FsStream

commit c0a26ab7442103fb46011ebd8698e5ecd6b3cb75
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu May 20 13:02:56 2010 -0400

    fsstream: Keep track of src pads

commit 3f2ca3bb5aeb5733733d9a4d4bc19e520e73edbf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon May 31 15:18:40 2010 -0400

    tests: Check that secondary-codecs are correct in dtmf test

commit 9f63f05575c0722025702d2855ce7ca009819640
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed May 26 15:09:06 2010 -0400

    Add secondary codecs to the farsight-send-codecs-changed message
    
    This way, the user can know when a change in DTMF codec has taken effect.

commit 0a5462944878ab7c64893b35d1ae9e137955dfa7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon May 31 16:13:19 2010 -0400

    rtpcodecspecific: Separate mandatory and optional config parameters
    
    Only be happy with the mandatory ones. Also add "delivery-method" as an
    optional one.

commit d4f5cb0dd2f46a09c52b09747e84afdca2023c12
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon May 31 15:24:31 2010 -0400

    nicetransmitter: Remove nicesrc before stopping it
    
    This should prevent any EOS

commit 56cb75eca2f161e801e391735e7e4b3b406941cf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Mar 6 22:29:57 2010 -0500

    tests: Add simple test for funnel element

commit 7a258f3d6ee2630774476ca2c3fffd2e3fe67a86
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Fri May 28 20:55:00 2010 +0100

    rtpsession: Correctly lock codec association in send_src_pad_blocked_callback()

commit 48181445f0663d8a8cbfd5e88c50997dc490b005
Author: Sjoerd Sjoerd <sjoerd.simons@collabora.co.uk>
Date:   Fri May 28 20:07:59 2010 +0100

    rtpcodecnego: Skip disabled and reserved codec-associations in match function

commit 6412913150cad978d9a9d7f05784dfb169ac201c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri May 28 13:45:47 2010 -0400

    rtpsession: Use a copy of the codec because the lock has been released

commit 506191030cbb9d868ea1d7dbb43304d8bad2bc93
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri May 28 13:45:31 2010 -0400

    rtpcodecnego: Skip disabled/reserved codecs while negotiating

commit f9a2ce305e342e897a3499db40c154cf0e5b2639
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Fri May 28 13:58:59 2010 +0100

    Make a temporary copy of the send codec
    
    It's not safe to use a pointer to our codec associations without holding
    the FsRtpSession lock as other functions might destroy/replace them. Instead
    make a temporary copy of the selected send codec, which can be used safely
    outside of the locked sections

commit 739290af44b7f2abc07fc142175321ffc7f614bd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed May 19 15:40:21 2010 -0400

    Version 0.0.19.1

commit 9f833f49ed4ac7a4a578d0a3266c000486314c7b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed May 19 15:25:16 2010 -0400

    Version 0.0.19

commit 7d1c909fbd276c79f5464efcf50082c896d946fb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sun May 9 22:48:59 2010 -0400

    rtpcodecnego: Get the codec params after the negotiation
    
    Only keep the codec params after the negotiation if the send codec has not changed

commit 0f99348a7c89eefc45d72ddb003267b0496a27ec
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon May 17 17:43:10 2010 -0400

    rtpsession: Keep the recv codec as the discovery codec

commit 5ac07d8e7e5b34218f9ca1e6e2c9131d29d62591
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 18 22:10:56 2010 -0400

    fsplugin: Lock global variables

commit 74ace7988083fd5cc284bdd07fa8cee6cf8ad74e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 18 20:12:42 2010 -0400

    Update common/ and remove shave in favor of automake silent rules

commit fb9843f846ab72cd10010e6deb166977d4277cc1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sun May 9 22:46:46 2010 -0400

    rtp: Only emit send-codec-changed if something changed

commit bc23b47dad9aa6e975789a4a6db5117c70d804c0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sun May 9 22:45:38 2010 -0400

    gui: Ignore elements with no factory

commit 4f0e2d4dd23a837a5eaa6bd7acddfcb1a0af3d21
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sun May 9 21:56:11 2010 -0400

    rtp: Work with new rtpdtmfmux using priority_pad for dtmf

commit 6a0e2eff9eed12f5dcd20fcd62a92c2ec7aa222d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jan 21 14:29:10 2010 -0500

    rtpsession: Set "favor-new" property when it exists

commit 809408b31a48764054ef08cbbb1eef1336a720b2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed May 5 15:17:27 2010 -0400

    tests: Remove test on ptime in send-codec-changed
    
    The ptime in send-codec-changed is now the ptime used to receive
    on the same payload type (ie, it is the codec from "codecs"). Not
    the actual codec used to send.

commit a8d1f30d2c1698ce0f94a00b939da7f29b89f55c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed May 5 14:51:43 2010 -0400

    tests: There may be more than one send-codec-changed message on the bus
    
    If the timing is unlucky, there may be a first send-codec-changed message before
    the new one.

commit 418137f1f6cfbca6ee5b53801469d657cfa0f18f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 4 20:11:49 2010 -0400

    Version 0.0.18.1

commit faaa85d3746799c0bb4c6dc0545fc12f4af98b58
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 4 19:52:38 2010 -0400

    Version 0.0.18

commit cfa5727ffb40cd5c22fce59721f4d0c1c1c0a998
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon May 3 14:31:34 2010 -0400

    tests: Add test for H.264 parameter negotiation

commit 90f61c184656399783539f6fbfbfded0390fda2c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon May 3 14:27:53 2010 -0400

    rtpcodecspecific: Read the vales in the H.264 profile-level-id in the right order

commit 4560f835883c097335b62bb45717b12786f6b0c6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon May 3 14:27:23 2010 -0400

    rtpcodecspecific: Give enough space for H.264 profile-level-id

commit 0912af993b494d6dfe7baaf0eb7eef3689125847
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 30 18:32:33 2010 -0400

    tests: H263-2000 negotiation tests
    
    Also fixes some bugs in the implementation

commit 8e60f92c79903a96dd12c9bb8e0893a4acd0d43b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 30 17:31:29 2010 -0400

    tests: Add tests for H263-1998 paramete negotiation

commit 438c602844b3f03944ac3eb2f24cd31b35e89993
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 30 17:27:25 2010 -0400

    rtpcodecspecific: For H.261/H.261 SQCIF/QCIF are restrictors
    
    These parameters restrict the default, so we have to keep them
    even if one side has them. The other ones are larger than the default, so
    they should only be present if both sides support them.

commit e772760ce08fadfdba6ee3976ddebdb006b8311c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 30 16:05:19 2010 -0400

    rtpcodecspecific: Ignore H263-2000 with profile but no level

commit 7645aead7e031b03aa21be78b49266e61df467f2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 30 13:41:48 2010 -0400

    tests: Add test for H.261 negotiation

commit 25b81d029411576331ce0dd0453733aec168d1df
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 29 20:03:11 2010 -0400

    tests: Add test for G.729 param nego

commit 66c925d3858cfbd2712c2aebc182a4832220ca06
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 29 19:52:04 2010 -0400

    rtpcodecspecific: Support G.729 annexb=yes correctly
    
    The parameter restricts the codec, so it has to be kept even if only
    one side supports it.

commit 02f47f758638d1f42d418a7e39fefdaf8c8c413e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 29 18:08:27 2010 -0400

    tests: Add test for iLBC param negotiation

commit ddc7a691a11c12e938f66ce8cd42aa15ce8a4206
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 29 18:08:10 2010 -0400

    rtpcodecnego: Don't keep previously negotiation params when re-creating the local list

commit 6ffe4fa9cdd12cc05bbc68f5b897a5aebf4943cf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 29 16:09:13 2010 -0400

    rtpcodecnego: Allow profile-based codecs with dynamically allocated payload types

commit fc144cd9dca94a7d8e07463c192e34fa8c72ab0e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 29 15:55:04 2010 -0400

    tests: Fix small leak in test

commit bad4e98475fae154af43604355849e6a7ff407c2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 29 15:06:50 2010 -0400

    tests: Factor out the setup phase for codec negotiation tests

commit e62722b3002bb74e28fb2153073e10aca3626bbf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 28 17:54:14 2010 -0400

    rtpcodecspecific: Add H.264 negotiation

commit 0e3d829169860362d6ef7b65a11b874c80345bb4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 28 16:27:55 2010 -0400

    rtpcodecspecific: Add jpeg2000 param negotiation

commit 3b553203462579ef607be1b42e90996d123b777c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 28 16:07:07 2010 -0400

    rtpcodecspecific: Add negotiation data for H.261

commit e16ac9342492f3aef5659dc54d53ed1492c12e31
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 28 13:47:12 2010 -0400

    rtp: Keep a separate send_codec in the list to separate send and recv parameters
    
    Instead of treating ptime/maxptime as if they were special, now treat them like any other
    parameter and have two codecs with potentially different parameters. This means
    that the send side can now just take the send_codec from the CodecAssociation.
    
    This also has the side-effet that the ptime/maxptime can be put in optional_parameters.

commit 1542f02478dce2da3caabbf200312d0326e7555a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 27 17:51:39 2010 -0400

    rtp: Replace codec_copy_without_config with more generic codec_copy_filtered

commit 59e2c9511c14c1f42d989a6c60b92b6c34a7beb7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 27 15:31:20 2010 -0400

    rtpcodecspecific: Use the default function to telephone-event events

commit 14c8ab67903095174ce8e54cde84cc5c1959e294
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 27 13:14:24 2010 -0400

    rtpcodecnego: Replace use_local_ids by multi_stream

commit 18896af565d106c9a814209fe30863ef6d0cb62c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 26 20:47:42 2010 -0400

    rtpcodecspecific: Handle ptime/maxptime in the text parameters

commit 24eaa05748e32a211ccd6d1e97867e80bcee3994
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 26 20:47:26 2010 -0400

    rtpcodecspecific: Split the param type filter into local and remote filters

commit 26f4d51ab0ca7e219fd9f1938ea70c0ec95cb455
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 26 20:40:59 2010 -0400

    rtpcodecnego: Add a few debug messages

commit 0076e73568ec26e7ed7eb363f25a389f764b0895
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 26 20:00:26 2010 -0400

    rtpcodecnego: Remove duplicated list traversal
    
    The fs_codec_get_optional_parameter function does the exact same thing.
    That is finding an optional parameter by name.

commit 9c08f0a3b52c0532930a62e10ef84f54b42faccd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 26 18:01:14 2010 -0400

    rtpcodecspecific: Replace FsStreamDirection with FsParamType

commit 2bb6e38c954427a950885a80dd54747e04b92a30
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Apr 24 15:17:19 2010 -0400

    tests: Make message more accurate
    
    This test is done on stream and session codecs.

commit 20f0bbe1c7aa6eea0d51e3db3fec8f368a0b1669
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 23 12:58:38 2010 -0400

    rtpsession: Do correct atomic manipulation of codec preferences

commit 3e7ccae619e4e2899c8c9ea86abfc4e44040e2ed
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 23 12:42:08 2010 -0400

    rtpcodecnego: Verify the codecs using the negotiation function

commit 859f9eb9244e65830c71d6a5b023c80fd423bccf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 22 19:54:16 2010 -0400

    rtpcodecspecific: Massively simplify codec-specific negotiation
    
    Have per parameter functions instead of a massive one.

commit 3db32c219bce64cbc3fe8847d69d2d8e37b4811b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 23 12:45:07 2010 -0400

    fscodec: Let the param parameter of remove_optional_param be NULL

commit b0640d53cdf7742c38cc81426943fd4140d36a84
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 16 17:41:09 2010 -0400

    rtpcodecnego: Rename lookup_codec_association_custom_intern to _internal

commit 474593d19b33d690e62e6cf1c69d832d58512c22
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 16 14:37:27 2010 -0400

    rtpcodecspecific: Remove mode=20 from iLBC if both sides support it
    
    This should implement the negotiation from RFC 3952.

commit 3d5002b55d0e805b2b2d155f78d7662265eca8de
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Jun 25 19:21:13 2009 -0400

    rtp: Release the request pads from gstrtpbin, require gst-p-bad 0.10.17 to match

commit f169dec1535dbc00699fa801b50309fe0198a2c1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jul 29 16:55:37 2009 -0400

    rtpsession: Defer dispose to another thread if dispose is called from a streaming thread

commit 4721b6f63c772b1f7eeef663798c5108e7bf1b58
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Jul 29 16:44:42 2009 -0400

    rtp: Keep track of all internal threads

commit b24a9c7403760cb728ff82ba4c289361fff3d6ac
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 1 19:45:56 2010 -0400

    rtpsubstream: Use the session's enter/leave mechanism and keep refs in substream callbacks

commit ab0519f2ae4c6ba3a522c27c72b0822148b9a77f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 7 21:24:08 2010 -0400

    rtpsubstream: Don't loop to get new codec bins
    
    It will be re-locked if the codecs is changed so the callback will be called again

commit 6ba456df1694aeaba2d80f10572a27c7bdac073f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Apr 7 21:16:53 2010 -0400

    tests: Add test for theora reception without config

commit 63f2178ff41ee0134560b2e5b5d78fd100c99d08
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 4 14:21:49 2010 -0400

    Use gst_pad_get_caps_reffed
    
    Use this new function where logical. Now require GStreamer 0.10.26

commit fd1f9a3d09122c031fa06729611e14209d03566e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 4 14:12:58 2010 -0400

    rtp: Use gst_caps_can_intersect() where possible
    
    Use the new function where possible, required gstremaer 0.10.25 for it.

commit 9afc783721081f2d3cc1bd64084e8ed7c38f00bb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue May 4 13:55:30 2010 -0400

    rtpsubstream: Don't try to modify caps from buffer

commit d707dff35724b8f54001ea0b039dff5431483d2c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 15 15:19:32 2010 -0400

    rtpspecificnego: Use the default function for H263-2000, so less duplicated code

commit f566173d832c0e468435f3261946186ff8c078b9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 18:09:23 2010 -0400

    gitignore: Remove no longer existant file

commit 999960e74e2f4409afe9dbb868647072a78cf7b7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 17:59:46 2010 -0400

    Rename _doc.c files to .doc.c

commit 5e8bbdf945df61eb5df77aeec796a671204f26d5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 17:58:18 2010 -0400

    rtp: Rename gstfsrtpconference.c to fs-rtp-conference-plugin.c

commit b9cb72e59ff7e5aa51fef11b45a844a4bcd1677e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 17:43:16 2010 -0400

    lib: Put the includes in the order according to the coding style

commit 5b94e5d645968b4823a8691eccbb7aff60ac8521
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 17:40:13 2010 -0400

    msn: Put the includes in the order according to the coding style

commit 71e23fb7571632ad92108924ecb6f0d57171534f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 17:36:09 2010 -0400

    rtp: Put the includes in the order according to the coding style

commit e014f667f7f535be64b6cc899d033f7ea62cf709
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 17:37:29 2010 -0400

    docs: Add header order to the CodingStyle file

commit 15639bea2501bac9725b75258d9a5d17ee900e07
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 17:28:50 2010 -0400

    rtp: Rename fs-rtp-specific-nego to fs-rtp-codec-specific

commit 3495664c1de60a1ba385ab0a980948d215d83c46
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 16:49:17 2010 -0400

    rtpspecificnego: Rename sdp_is_compat to more accurate sdp_negotiate_codec

commit aa71f48e51c8afcaad67db29d237e52b54d95aef
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 16:46:19 2010 -0400

    rtp: Remove validate_config option from sdp_is_compat
    
    Option is not useful anymore, taking a remote codec without the config does no
    harm.

commit 0d5bdb9d79f239b39173e23233d54d2d5f643a92
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Apr 13 16:34:44 2010 -0400

    rtpspecificnego: Document the goal of the various specific config functions

commit 54034b29d5a151f9514efa4c63902478ed1e9e11
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 12 15:08:25 2010 -0400

    docs: Fix the unused warnings

commit 0f4404d86b22b41ba5b508bf0176ebfed6ad44b5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 9 18:14:00 2010 -0400

    rtpsession: Fix line above 80 chars

commit 2b06614455a059f61d3cba9bb86d10ae9c8bc347
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 9 17:28:11 2010 -0400

    nicestreamtransmitter: Don't include udp-bsd.h
    
    It is no longer needed
    
    https://bugs.freedesktop.org/show_bug.cgi?id=27260

commit b35321b7e9fa54311f41e7e520884c29ec7eeaeb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Apr 9 17:22:05 2010 -0400

    interfaces: Use union to prevent strict-aliasing violation
    
    Patch by Reimundo Heluani <rheluani@gmail.com>
    
    https://bugs.freedesktop.org/show_bug.cgi?id=25797

commit 6ca5ea83a63389d7b2eb5cf13ab4e980d2ea8aeb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Apr 5 14:37:21 2010 -0400

    rtpsubstream: Fix ref leak if substream is stopped

commit 49eaf7976c2b3ebf0d54134bac537f4d4b7c1f56
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 1 18:47:02 2010 -0400

    rawudptransmitter: Make sure stack variable is empty before using

commit 459c46a2af31de2fd47e06c3c0e122e84b089dfb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 1 18:45:40 2010 -0400

    rtpsession: Remove leaked element

commit 03b8f9fb6e70e400ed7c189bbcdcefe0435e4c83
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Apr 1 18:41:28 2010 -0400

    rtpcodecache: Sanity check the number of blueprints

commit b19e3e7582e210a8f85a4b043c7b4615aeb87cee
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Feb 23 18:36:10 2010 -0500

    rtpnego: Ignore ptime/maxptime when copying the CodecAssociation
    
    The maxptime in the CodecAssociation only comes from the remote side, not
    from the local one.

commit acbb1698ed55d6ea87d41195ba351db9d26a2841
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 22 21:26:49 2010 -0500

    rtpcodecnego: Take ptime into account when looking for sending codec association

commit 4a11b95fde8843673acae7a7632720e4552c3384
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 22 21:20:14 2010 -0500

    rtpcodecnego: Don't deadloop if codec isn't valid for sending

commit f7304fa2dd546d60562401e53320109cb931b33d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 22 17:45:12 2010 -0500

    rawudpcomponent: Put version number in upnp comment

commit 3ede4eefda3ae6f548d8562b130279d11d26b0a4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Feb 18 17:24:04 2010 -0500

    rawudpcomponent: Unlock on invalid IP error

commit bc6ffc8d967ac741330c0bc3b3423208a6511c3d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 23 16:08:50 2009 +0100

    rtp: Force new keyframe when a new SSRC is validated
    
    A new SSRC being validated means we have received RTP packets from a new
    source. It means the NAT bindings exist.

commit 814ebee8d98adeb42c0b6aad9073c0b8128b0265
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 23 12:28:15 2009 +0100

    nice: Request new keyunit when a component becomes ready

commit b05b01559918cec54069e28f9c2bbb99c770acf6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 8 19:03:14 2010 +0000

    tests: ptime test had inverted condition

commit 333cdc6b88ac724bef0f5874471ac8b448e9c661
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 8 18:55:09 2010 +0000

    rtpspecificnego: Fix corner cases in dtmf events processing

commit c3b0aad4283476a9e478b9613e7ffd03069fd6e7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 8 18:54:18 2010 +0000

    tests: Correct double dtmf test result

commit c8e0f4eaa36506bbb9e03ae736a24bdf6fa1dd7c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Feb 8 16:53:36 2010 +0000

    tests: DTMF events will be at most 15 in real life and requires events=

commit 9339d7e758f6497760286b0639ab507b4e783a1f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 25 18:30:58 2010 +0200

    msnsession: Already disposed condition was inverted

commit 4d89782b0d6a8c96f459ce23df4dad26b5b1d195
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 5 12:35:38 2010 -0500

    Version 0.0.17.1

commit 56c1eecaa134a71d2c46ccbe1b63194aacacc782
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Jan 5 12:14:40 2010 -0500

    Version 0.0.17

commit f64d09baa3a3ddc798859c8b32e43d4826747a06
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Jan 4 15:57:08 2010 -0500

    tests: Add test for telephone-event events parameter nego

commit b29d812239f3871d2fd79e687d6206fecc4fa4e7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Jan 2 17:47:09 2010 -0500

    rtpspecificnego: Add handling of telephone-event event ranges

commit 070ff2aba5c04cd3f7491e3583e1d0180c2a1206
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sun Jan 3 20:25:28 2010 -0500

    tests: Skip tests if no local candidates are produced

commit 327e825d42c46678e6d4ba818af98c8c9e9633b0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sun Jan 3 20:16:12 2010 -0500

    rtcpfilter: Reduce the packet size when reducing the packet

commit 31e1b458076c88bb2dc990bbd2543f8c7caa2093
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sun Jan 3 19:07:14 2010 -0500

    tests: Skip libnice tests if it finds no local candidates

commit 1cf636312b3e78833bdeb22a41176575c8d5aed4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sun Jan 3 19:05:01 2010 -0500

    rtpdtmfsoundsource: Respect the ptime/maxptime too

commit fb8059850299c2c9ae3cbcd9d64527a523ec5690
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Dec 29 14:09:03 2009 -0500

    tests: Add test ptime/maxptime passing

commit 5e0a762ab70d2a098059420c3eafc9666d2448f1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 28 21:19:54 2009 -0500

    rtpsession: Set the ptime/maxptime on the send codec bin caps

commit 69d70c143143347f26fe591a960e32dcbfb82ddf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 28 21:19:39 2009 -0500

    rtpcodecnego: Negotiate the ptime/maxptime

commit 16084893a78030d8865decc57c9112d03678396b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 28 21:18:50 2009 -0500

    rtpconference: Add function to make gst caps while keeping the ptime

commit 5733939b65124648620e5aa9e2bdba6368b0680b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 28 21:16:11 2009 -0500

    rtpcodecnego: Add function to copy the list of codecs with the send-side ptime

commit 06df2cba3cd242a373b87039dd26a57369cec1e3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 28 20:18:59 2009 -0500

    tests; Add test for fscodec ptime/maxptime handling

commit 16af4796550b512b6568e96d8f342bbeb068ce49
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 28 20:13:56 2009 -0500

    codec: Add ptime

commit ccdddc4941ff53713f9b5d148b268742cb7e8ee5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Dec 3 10:12:36 2009 +0530

    codec: Add maxptime

commit 0e81d852d0d3f2aac280f01a87ae6dd4f8781a05
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Dec 22 15:55:41 2009 -0500

    tests: Take rtpsession lock during message emissions
    
    This ensures that it is not held across message emissions.

commit 39e92f6356b533adb4e378cb830b770eff6b3332
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Dec 22 13:06:39 2009 -0500

    tests: Add debug-blocks

commit 039cda44dd0e41f7f4e1a4ca409343d0b5361b61
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Dec 22 13:06:30 2009 -0500

    rtpsubstream: Keep ref on substream while callbacks are invoked

commit f71363416f7845fe60faf47b88ffd0220f890334
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Dec 22 13:06:08 2009 -0500

    rtpsubstream: Put codec/codecbin inside loop

commit d3aa11f608eb7a1225f79db31034a6d60e7d4401
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 21 17:10:43 2009 -0500

    rtpsubstream: Use rw-lock to make sure the substream really stops

commit 98fd50c7f74dfbd58b31ea3522ee68cdb5ab8263
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 21 16:45:57 2009 -0500

    rtp: Move locking into callback

commit 35c11d71f4482d241b47b82401f079baa1eba521
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 21 15:39:33 2009 -0500

    rtpsubstream: Don't hold session lock too much while setting new codecbin

commit 9cbd95a8958478b1b4537f11d4ba705f81be6ed6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 21 15:24:56 2009 -0500

    rtpsubstream: Move modification locking to blocked function
    
    Also allow only one thread to be in substream blocked function at once.

commit e11ef1a346baf58dcf67f59ae4e3e0dc787dd639
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 21 14:09:06 2009 -0500

    rtp: Move substream blocking logic into substream

commit 6c5129ac32684b9a80094a0e2071b9754ea7f307
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 21 14:08:40 2009 -0500

    rtp: Don't include marshaller headers in headers

commit 24182b1d04e2350a56831dac6dc5cb050bd917fa
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Dec 21 14:07:47 2009 -0500

    rtp: Depend on the correct var for marshaller list generation

commit f0ca4af5c9b3583ab8ffc9bbc01840e2184a20d8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sun Dec 27 11:38:41 2009 -0500

    rtcpfilter: Add gst-p-base paths to Makefile.am
    
    Patch contributed by Armijn Hemel <armijn@loohuis-consulting.nl>

commit d84cff657a7057fef1218580449ecc71daffc5f3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Sat Dec 5 14:25:24 2009 +0530

    rawudp: Remove upnp-request-timeout, it was a terrible idea

commit 4c6a92d54b2ea441d14ac296aaf9625e78cdef31
Author: Javier Jardón <jjardon@gnome.org>
Date:   Thu Dec 3 22:43:21 2009 +0100

    Substitute deprecated Glib symbol: g_mapped_file_free
    
    Use g_mapped_file_unref if Glib >= 2.22 is available
    
    http://bugs.freedesktop.org/show_bug.cgi?id=21422

commit 4a0ac4a9275bc0a634e9137c422f23c311e5012c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Nov 20 19:12:47 2009 -0500

    rtpsession: Only add stream to list if its creation worked

commit 42c565ec5e3d0e2bdb8e7b90c297425f1984254f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Nov 18 10:52:08 2009 -0500

    README: Require gst-p-bad 0.10.17 for dtmfsrc
    
    dtmfsrc can do do more than 8000 Hz, that has only been fixed in
    gst-plugins-bad 0.10.17

commit af3392d0634b1cf084afc164459394125d041e8b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Nov 11 16:48:09 2009 -0500

    rtpdtmfsound: Try hardwired PCMx only if the clock-rate is 8000

commit 3e7b98ade4ffede0fb8bc5ce326daff6a1a360ae
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 9 15:33:52 2009 -0500

    rtp: Lookup codec with config is always for sending, so make it explicit
    
    Also, the dtmf sound will always get a valid codec now.

commit b9c3f87e23c4e08a93abf2b2ed735ca447235863
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 9 13:03:08 2009 -0500

    rtpconference: Make message about gst_bin_add failure more accurate

commit ae09f2625284ba27dcc8a0c5fb54745c41501e98
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Nov 9 13:02:30 2009 -0500

    rtpdtmfsoundsource: Ignore codecs that don't have a blueprint

commit a4b660da2d2863fea824b384811ee0edfb617378
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Nov 5 16:44:07 2009 -0500

    tests: Test dtmf as sound

commit 3fc8eaeb003e475044063c34a205fa52e9af3249
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Nov 5 16:01:49 2009 -0500

    tests: Make recv-pipeline per test

commit a154b292b530873eadc62119a28c63373eafd9a7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Nov 4 17:54:03 2009 -0500

    rtpdtmfsoundsource: Use main codec if PCMA/U are not available

commit b8d3b2b9f969b982d5ea07f26b81c397959392f3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Nov 4 16:07:51 2009 -0500

    rtpspecialsource: Make local class_get_codec function static

commit a908a023039fe62a4da51749d99118c2d0578945
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Nov 4 16:03:04 2009 -0500

    rtp: Regroup CodecBlueprint related functions in one place

commit c5a996fadd8bc24bdac4549792d6aa152ee68a20
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Nov 4 14:50:44 2009 -0500

    rtpspecialsource: Rename negotiated_codecs to negotiated_codec_associations
    
    This way, the list contents can be guessed

commit 446e5b38951ba4dc85b4081db923cd713fac8084
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Oct 9 20:31:22 2009 -0400

    rtpsession: Don't need to set queue-delay anymore

commit f09359f8e8ba07f283bbced4a74c5b9d51a80fa5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Oct 9 20:30:29 2009 -0400

    rtpsession: Split codecbin generation from factory from profile

commit 1657e35c10ff73e2cf191b9c86578d884c23af32
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Nov 13 19:44:25 2009 -0500

    tests: Make it build against GUPnP 0.13

commit f9f9d5a3895ecf6669012dcba7c8cb68adc1e575
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Nov 6 13:49:12 2009 -0500

    msnsession: Check if dispose has already been called

commit 04c5ea7586f6d6559be3d2bd963bda2c27285475
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Nov 6 13:47:05 2009 -0500

    fstransmitter: uint can't be < 0

commit 2efb3ffbfcb533b003f0b426a6ec01690f7e95c5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Oct 26 13:52:55 2009 +0000

    rawudp: Bring upnp discovery timeout down to 2 seconds

commit 27d875f7e1e632272a3e1b5ae07ce676a448c0f2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Oct 26 12:32:58 2009 +0000

    tests: Verify that it is not possible to disable all codecs
    
    Add a reserve-pt to guarantee that it is not possible to disable all codecs

commit aa346ebd2a6d29f7ba0ec65aad45590331660fcb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Oct 26 12:42:06 2009 +0000

    rtpcodecnego: Verify if there are any valid local codecs left after applying preferences

commit 573ff392b197c6255e3cb4c6935eabb45f7ddca7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Oct 9 16:07:33 2009 -0400

    rtpsession: Make error message less cryptic

commit 3d9847d67304a1b7de05f936fd7d5d39e9b6bf9b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Oct 6 14:42:30 2009 -0400

    Version 0.0.16.1

commit 30889433aec2a3ac9e91c69235bb91a920df1fe1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Oct 6 14:23:32 2009 -0400

    Version 0.0.16

commit d0b400225cbbac0b7f2dfd40b4430b4cd203c30a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Oct 5 15:07:15 2009 -0400

    rtpspecialsource: Remove want_source() method
    
    get_codec() function does the same thing

commit 43ed724ee47ce1f80c7b3a2947ffa1499c51fe8a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Oct 5 15:01:15 2009 -0400

    rtpdtmfsoundsource: Implement get_codec method

commit cdddd7835fe1dbf5d308f59be9eb5badc67c90cf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Oct 5 14:52:22 2009 -0400

    rtpdtmfeventsource: Implement get_codec method

commit 6227b7d59b5319db449cd5243661407749af9ec0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Oct 5 14:45:15 2009 -0400

    rtpspecialsource: Add new get_codec method

commit 94e51ff396f980e94b301877d560ba918fa9e15c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 30 19:05:30 2009 -0400

    rtp: Check if the codec changed when removing special sources

commit dc374fec5d6ba1d6ccb998febb720985b57c84ae
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 30 18:55:26 2009 -0400

    rtp: Allow checking if a codec is valid for sending even if it has no way to build a codecbin

commit 28ca580d77444830cc525093eade4aabc15ddc5a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 30 15:31:19 2009 -0400

    rtpcodecnego: Fix doc string

commit 152a26550bf8dd2f08de5f91bb2977104b5a5bbf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 30 15:13:10 2009 -0400

    rtpspecialsource: Move static function closer to its use place

commit 260cea17e20a4eb77d207712790fc8a041ca0574
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 30 14:25:17 2009 -0400

    rtpspecialsource: Fix over-80 line

commit 0d10afe4ff342f988c69916d2510bbd2bc7f6161
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Wed Sep 30 14:24:51 2009 -0400

    rtpsession: Check/update secondary sources even if the primary one doesn't change

commit 269568e6c30797e02c122b0d0ce1ff1d1a0677c2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Sep 29 19:19:32 2009 -0400

    tests: Tests changing the dtmf PT mid-call

commit 0747362705098acd5336eaddb4f071c5f95231ac
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Sep 29 18:46:40 2009 -0400

    tests: Make sure dtmf events are really received

commit dc7c9df2fdf8e27abe5ccfc6201cec2e1f0354f9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Sep 29 18:45:13 2009 -0400

    test: Test changing the dtmf_id

commit 02eaccd14eb2def5148d9302e8647309eaa36b46
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Sep 29 18:07:18 2009 -0400

    tests: dtmf method is not always auto

commit e90f83853a8affa655dcfabdffcdb0dbb16ccc99
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Sep 29 18:05:48 2009 -0400

    rtpsession: Only emit send-codec-changed message after the special codecs have been changed

commit a12ecea8e3187ef38bb254794d573c4b579e8e71
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 24 20:57:20 2009 -0400

    rtpsession: Don't leak iterator on linking failure

commit d6f3c3b7d88db29d455eb4b5a20e558075d822a6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 24 20:57:06 2009 -0400

    rtpsession: Cleanup send codecbin on failure

commit 3cc35a8592ef7ca083b9dea658ea24bf5f90656e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 24 20:55:51 2009 -0400

    rtpsession: Print error on session dispose problems

commit ccb7cac69c5f07479c603f6776a01eb0571414ec
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 24 17:25:10 2009 -0400

    rtpdtmfsoundsource: Correctly check the presence of elements

commit 8407fc8b6c280712d11ade59db34661f1e95aa49
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Sat Sep 19 18:15:59 2009 +0100

    rawudp: Use %d for ints, not %s

commit 1c8f9c12c9de884362287e89dc51da37ca1cc467
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Fri Sep 18 15:46:53 2009 -0400

    configure: quiet automake portability bs

commit c7c7e355a20b4a0e117232d733407dc656cc6652
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 17 21:58:07 2009 -0400

    msnstream: Make send sink async=false for now

commit b51c1f8559bf9704857c5483294b68eca3a02701
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 17 21:44:35 2009 -0400

    msnstream: Don't keep lock into set_remote_candidates

commit a8393dbb09aca8902c94996cc0061acbc48d8bc9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 17 12:46:27 2009 -0400

    tests: Test invalid property name in fs_element_added_notifier_from_keyfile

commit 1f2685d2335eae0bcb6547e49410afec466f5355
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 17 12:47:10 2009 -0400

    element-added-notifier: Don't crash on invalid property

commit 928e4a5f785507d98cdb467a4e1e7feafb18e326
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Mon Sep 14 17:38:26 2009 -0400

    rtpconference: Don't assert on non-existing sdes parts

commit c884c30b8157f184c9e2aa39c20ca0aeffe808ba
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 10 17:33:49 2009 -0400

    rtpspecialsource: Dispose is not always called twice, cleanup in finalize

commit e893ed9ae9b533cf0910dfc9d179979dcff5730a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Tue Sep 8 19:28:20 2009 -0400

    rtpsession: Remove useless ref

commit c581896d27c1838f8f4df74587ee3f7144b14bc1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 3 18:44:23 2009 -0400

    Version 0.0.15.1

commit 0c0baf1e171afb2e9f3622486398a957f11fece2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 3 18:24:08 2009 -0400

    Version 0.0.15

commit 3453a584cea2c7272e0a5cc5b3b42d130d91e5ba
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 3 18:17:25 2009 -0400

    Require gst-p-bad 0.10.14 for mimic

commit e3708e794bc68c482fd76fbf57b503913ea38d30
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 3 17:56:53 2009 -0400

    tests: Unlock src before setting it to playing

commit b1019f6c98f2a10b1eb975d3ebab8d281f565d87
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   Thu Sep 3 17:55:57 2009 -0400

